2023-11-20  [Paul] 4.2.0

	* NEWS
	* README
	* RELEASE_NOTES		
		for release 4.2.0

2023-11-20  [Paul] 4.1.1-119-g6b848994b

	* po/ca.po
	* po/cs.po
	* po/pl.po
	* po/pt_BR.po
	* po/pt_PT.po
	* po/ru.po
	* po/sk.po
	* po/sv.po
	* po/tr.po
	* po/zh_TW.po		
		updated translations by David Medina, David Vachulka, Łukasz
		Wojniłowicz, Frederico Goncalves Guimaraes, Hugo Carvalho, Mikhail
		Kurinnoi, Slavko, Andreas Rönnquist, Numan Demirdöğen, and Mark Chang

2023-11-20  [Paul] 4.1.1-118-g10e6aa125

	* src/plugins/litehtml_viewer/Makefile.am		
		add missing file

2023-11-19  [Ricardo Mones] 4.1.1-117-gf45a39231

	* src/common/tlds.h		
		Update TLDs for release

2023-11-17  [Paul] 4.1.1-116-gad77f62cf

	* src/compose.c
	* src/plugins/dillo/dillo_viewer.c		
		fix bug 4361, 'Embedding external editor crashes Claws-Mail on
		Wayland' and a similar crash with the dillo plugin

2023-11-16  [wwp] 4.1.1-115-g40a7c311b

	* po/fr.po		
		Update French translation.

2023-11-16  [Ricardo Mones] 4.1.1-114-gea3b45116

	* po/es.po		
		Update Spanish translation

2023-11-10  [Ricardo Mones] 4.1.1-113-g7dbde9581

	* src/summaryview.c		
		More parentheses for yet another warning  summaryview.c:3986:66:
		warning: suggest parentheses around ‘&&’ within ‘||’

2023-11-10  [Ricardo Mones] 4.1.1-112-g7ac7d0b48

	* src/mimeview.c		
		Add parentheses to fix warning  mimeview.c:1946:39: warning: suggest
		parentheses around ‘&&’ within ‘||’

2023-11-05  [Paul] 4.1.1-111-gd0dbd94b8

	* INSTALL
	* configure.ac
	* manual/en/plugins.xml
	* manual/es/plugins.xml
	* manual/fr/plugins.xml
	* po/POTFILES.in
	* src/plugins/Makefile.am		
		don't build or distribute the gdata plugin

2023-11-04  [Jonathan Boeing] 4.1.1-110-g1a795ba0b

	* src/plugins/vcalendar/vcal_manager.c		
		Fix -Wstringop-truncation warnings

2023-11-04  [Jonathan Boeing] 4.1.1-109-g9d22fe3a0

	* src/prefs_account.c		
		Fix size_t format specifier warning

2023-11-04  [Jonathan Boeing] 4.1.1-108-g42d934c28

	* src/action.c
	* src/common/unmime.c
	* src/common/utils.c
	* src/compose.c
	* src/filtering.c
	* src/folder.c
	* src/plugins/gdata/cm_gdata_contacts.c
	* src/plugins/pgpcore/sgpgme.c
	* src/prefs_account.c		
		Fix -Wunused-result warnings from g_string_free()

2023-11-03  [Ricardo Mones] 4.1.1-107-gd08ffb5ce

	* src/plugins/acpi_notifier/Makefile.am
	* src/plugins/address_keeper/Makefile.am
	* src/plugins/archive/Makefile.am
	* src/plugins/att_remover/Makefile.am
	* src/plugins/attachwarner/Makefile.am
	* src/plugins/bogofilter/Makefile.am
	* src/plugins/bsfilter/Makefile.am
	* src/plugins/clamd/Makefile.am
	* src/plugins/demo/Makefile.am
	* src/plugins/dillo/Makefile.am
	* src/plugins/fancy/Makefile.am
	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/gdata/Makefile.am
	* src/plugins/keyword_warner/Makefile.am
	* src/plugins/libravatar/Makefile.am
	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/mailmbox/Makefile.am
	* src/plugins/managesieve/Makefile.am
	* src/plugins/newmail/Makefile.am
	* src/plugins/notification/Makefile.am
	* src/plugins/pdf_viewer/Makefile.am
	* src/plugins/perl/Makefile.am
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/python/Makefile.am
	* src/plugins/rssyl/Makefile.am
	* src/plugins/smime/Makefile.am
	* src/plugins/spam_report/Makefile.am
	* src/plugins/spamassassin/Makefile.am
	* src/plugins/tnef_parse/Makefile.am
	* src/plugins/vcalendar/Makefile.am		
		Disable stack execution on plugins

2023-10-26  [Paul] 4.1.1-106-ga8e4b62dd

	* src/addrmerge.c		
		fix CID 1548056:  Error handling issues

2023-10-26  [Paul] 4.1.1-105-g2ffed0163

	* src/prefs_themes.c		
		plug leaks

2023-10-25  [Paul] 4.1.1-104-g2f166a77a

	* src/prefs_themes.c		
		no longer allow installing or removing system themes  this eliminates
		bug 4710, 'Write error on system wide icon theme install'

2023-10-22  [Jonathan Boeing] 4.1.1-103-g6a7354fb3

	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/litehtml_viewer/lh_widget.h
	* src/plugins/litehtml_viewer/litehtml/document.h		
		Replace over_element() with upstream's get_over_element()

2023-10-21  [Jonathan Boeing] 4.1.1-102-gb35db77b6

	* src/plugins/litehtml_viewer/litehtml/Makefile.am
	* src/plugins/litehtml_viewer/litehtml/README.md
	* .../litehtml_viewer/litehtml/css_properties.cpp
	* .../litehtml_viewer/litehtml/css_properties.h
	* .../litehtml_viewer/litehtml/css_selector.cpp
	* src/plugins/litehtml_viewer/litehtml/document.cpp
	* src/plugins/litehtml_viewer/litehtml/document.h
	* .../litehtml_viewer/litehtml/el_before_after.cpp
	* .../litehtml_viewer/litehtml/el_before_after.h
	* src/plugins/litehtml_viewer/litehtml/el_image.cpp
	* src/plugins/litehtml_viewer/litehtml/el_style.h
	* src/plugins/litehtml_viewer/litehtml/el_table.cpp
	* src/plugins/litehtml_viewer/litehtml/element.cpp
	* src/plugins/litehtml_viewer/litehtml/element.h
	* .../litehtml/formatting_context.cpp
	* .../litehtml_viewer/litehtml/formatting_context.h
	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp
	* src/plugins/litehtml_viewer/litehtml/html_tag.h
	* src/plugins/litehtml_viewer/litehtml/line_box.cpp
	* src/plugins/litehtml_viewer/litehtml/master_css.h
	* .../litehtml_viewer/litehtml/media_query.cpp
	* .../litehtml_viewer/litehtml/render_block.cpp
	* .../litehtml_viewer/litehtml/render_block.h
	* .../litehtml/render_block_context.cpp
	* .../litehtml/render_block_context.h
	* .../litehtml_viewer/litehtml/render_flex.cpp
	* src/plugins/litehtml_viewer/litehtml/render_flex.h
	* .../litehtml_viewer/litehtml/render_image.cpp
	* .../litehtml_viewer/litehtml/render_image.h
	* .../litehtml_viewer/litehtml/render_inline.h
	* .../litehtml/render_inline_context.cpp
	* .../litehtml/render_inline_context.h
	* .../litehtml_viewer/litehtml/render_item.cpp
	* src/plugins/litehtml_viewer/litehtml/render_item.h
	* .../litehtml_viewer/litehtml/render_table.cpp
	* .../litehtml_viewer/litehtml/render_table.h
	* src/plugins/litehtml_viewer/litehtml/string_id.h
	* src/plugins/litehtml_viewer/litehtml/style.cpp
	* .../litehtml_viewer/litehtml/stylesheet.cpp
	* src/plugins/litehtml_viewer/litehtml/table.h
	* src/plugins/litehtml_viewer/litehtml/types.h		
		Update LiteHTML sources  Sync with upstream commit
		42632777fbb047e15cb6a4f661a3304f993671ec

2023-10-10  [Jonathan Boeing] 4.1.1-101-gd4170e674

	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/litehtml_viewer/lh_widget.h		
		Sync with api changes

2023-10-09  [Jonathan Boeing] 4.1.1-100-gfd6149254

	* src/plugins/litehtml_viewer/container_linux.cpp
	* src/plugins/litehtml_viewer/container_linux.h
	* .../litehtml_viewer/container_linux_images.cpp
	* .../litehtml_viewer/container_linux_images.h		
		Build fixes

2023-10-09  [Jonathan Boeing] 4.1.1-99-gabed0c4a5

	* src/plugins/litehtml_viewer/container_linux.cpp
	* src/plugins/litehtml_viewer/container_linux.h		
		Use custom get_default_font_size() and _name()

2023-10-09  [Jonathan Boeing] 4.1.1-98-g13cf4f62c

	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/litehtml_viewer/lh_widget.h
	* src/plugins/litehtml_viewer/lh_widget_text.cpp		
		Use upstream font functions

2023-10-09  [Jonathan Boeing] 4.1.1-97-g5253556f4

	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/litehtml_viewer/css.inc
	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/litehtml_viewer/lh_widget.h		
		Sync with master_css changes

2023-10-09  [Jonathan Boeing] 4.1.1-96-g532414c67

	* .../litehtml_viewer/container_linux_images.cpp
	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/litehtml_viewer/lh_widget.h
	* src/plugins/litehtml_viewer/lh_widget_text.cpp		
		String api updates  Upstream replaced tstring with string and
		tchar_t* with char*

2023-10-09  [Jonathan Boeing] 4.1.1-95-gbf5fb4346

	* src/plugins/litehtml_viewer/container_linux.cpp
	* src/plugins/litehtml_viewer/container_linux.h		
		Sync with litehtml v0.7

2023-10-09  [Jonathan Boeing] 4.1.1-94-gcf2e2a323

	* src/plugins/litehtml_viewer/litehtml/Makefile.am
	* src/plugins/litehtml_viewer/litehtml/attributes.h
	* .../litehtml_viewer/litehtml/background.cpp
	* src/plugins/litehtml_viewer/litehtml/background.h
	* src/plugins/litehtml_viewer/litehtml/borders.h
	* src/plugins/litehtml_viewer/litehtml/box.cpp
	* src/plugins/litehtml_viewer/litehtml/box.h
	* src/plugins/litehtml_viewer/litehtml/codepoint.cpp
	* src/plugins/litehtml_viewer/litehtml/codepoint.h
	* src/plugins/litehtml_viewer/litehtml/context.cpp
	* src/plugins/litehtml_viewer/litehtml/context.h
	* .../litehtml_viewer/litehtml/css_borders.cpp
	* .../litehtml_viewer/litehtml/css_length.cpp
	* src/plugins/litehtml_viewer/litehtml/css_length.h
	* src/plugins/litehtml_viewer/litehtml/css_margins.h
	* src/plugins/litehtml_viewer/litehtml/css_offsets.h
	* .../litehtml_viewer/litehtml/css_position.h
	* .../litehtml_viewer/litehtml/css_properties.cpp
	* .../litehtml_viewer/litehtml/css_properties.h
	* .../litehtml_viewer/litehtml/css_selector.cpp
	* .../litehtml_viewer/litehtml/css_selector.h
	* src/plugins/litehtml_viewer/litehtml/document.cpp
	* src/plugins/litehtml_viewer/litehtml/document.h
	* .../litehtml/document_container.cpp
	* .../litehtml_viewer/litehtml/document_container.h
	* src/plugins/litehtml_viewer/litehtml/el_anchor.cpp
	* src/plugins/litehtml_viewer/litehtml/el_anchor.h
	* src/plugins/litehtml_viewer/litehtml/el_base.cpp
	* src/plugins/litehtml_viewer/litehtml/el_base.h
	* .../litehtml_viewer/litehtml/el_before_after.cpp
	* .../litehtml_viewer/litehtml/el_before_after.h
	* src/plugins/litehtml_viewer/litehtml/el_body.cpp
	* src/plugins/litehtml_viewer/litehtml/el_body.h
	* src/plugins/litehtml_viewer/litehtml/el_break.cpp
	* src/plugins/litehtml_viewer/litehtml/el_break.h
	* src/plugins/litehtml_viewer/litehtml/el_cdata.cpp
	* src/plugins/litehtml_viewer/litehtml/el_cdata.h
	* .../litehtml_viewer/litehtml/el_comment.cpp
	* src/plugins/litehtml_viewer/litehtml/el_comment.h
	* src/plugins/litehtml_viewer/litehtml/el_div.cpp
	* src/plugins/litehtml_viewer/litehtml/el_div.h
	* src/plugins/litehtml_viewer/litehtml/el_font.cpp
	* src/plugins/litehtml_viewer/litehtml/el_font.h
	* src/plugins/litehtml_viewer/litehtml/el_image.cpp
	* src/plugins/litehtml_viewer/litehtml/el_image.h
	* src/plugins/litehtml_viewer/litehtml/el_li.cpp
	* src/plugins/litehtml_viewer/litehtml/el_li.h
	* src/plugins/litehtml_viewer/litehtml/el_link.cpp
	* src/plugins/litehtml_viewer/litehtml/el_link.h
	* src/plugins/litehtml_viewer/litehtml/el_para.cpp
	* src/plugins/litehtml_viewer/litehtml/el_para.h
	* src/plugins/litehtml_viewer/litehtml/el_script.cpp
	* src/plugins/litehtml_viewer/litehtml/el_script.h
	* src/plugins/litehtml_viewer/litehtml/el_space.cpp
	* src/plugins/litehtml_viewer/litehtml/el_space.h
	* src/plugins/litehtml_viewer/litehtml/el_style.cpp
	* src/plugins/litehtml_viewer/litehtml/el_style.h
	* src/plugins/litehtml_viewer/litehtml/el_table.cpp
	* src/plugins/litehtml_viewer/litehtml/el_table.h
	* src/plugins/litehtml_viewer/litehtml/el_td.cpp
	* src/plugins/litehtml_viewer/litehtml/el_td.h
	* src/plugins/litehtml_viewer/litehtml/el_text.cpp
	* src/plugins/litehtml_viewer/litehtml/el_text.h
	* src/plugins/litehtml_viewer/litehtml/el_title.cpp
	* src/plugins/litehtml_viewer/litehtml/el_title.h
	* src/plugins/litehtml_viewer/litehtml/el_tr.cpp
	* src/plugins/litehtml_viewer/litehtml/el_tr.h
	* src/plugins/litehtml_viewer/litehtml/element.cpp
	* src/plugins/litehtml_viewer/litehtml/element.h
	* src/plugins/litehtml_viewer/litehtml/html.cpp
	* src/plugins/litehtml_viewer/litehtml/html.h
	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp
	* src/plugins/litehtml_viewer/litehtml/html_tag.h
	* src/plugins/litehtml_viewer/litehtml/iterators.cpp
	* src/plugins/litehtml_viewer/litehtml/iterators.h
	* src/plugins/litehtml_viewer/litehtml/line_box.cpp
	* src/plugins/litehtml_viewer/litehtml/line_box.h
	* src/plugins/litehtml_viewer/litehtml/litehtml.h
	* src/plugins/litehtml_viewer/litehtml/master_css.h
	* .../litehtml_viewer/litehtml/media_query.cpp
	* src/plugins/litehtml_viewer/litehtml/media_query.h
	* src/plugins/litehtml_viewer/litehtml/num_cvt.cpp
	* src/plugins/litehtml_viewer/litehtml/num_cvt.h
	* src/plugins/litehtml_viewer/litehtml/os_types.h
	* .../litehtml_viewer/litehtml/render_block.cpp
	* .../litehtml/render_block_context.cpp
	* .../litehtml_viewer/litehtml/render_flex.cpp
	* .../litehtml_viewer/litehtml/render_image.cpp
	* .../litehtml_viewer/litehtml/render_inline.cpp
	* .../litehtml/render_inline_context.cpp
	* .../litehtml_viewer/litehtml/render_item.cpp
	* src/plugins/litehtml_viewer/litehtml/render_item.h
	* .../litehtml_viewer/litehtml/render_table.cpp
	* src/plugins/litehtml_viewer/litehtml/string_id.cpp
	* src/plugins/litehtml_viewer/litehtml/string_id.h
	* src/plugins/litehtml_viewer/litehtml/strtod.cpp
	* src/plugins/litehtml_viewer/litehtml/style.cpp
	* src/plugins/litehtml_viewer/litehtml/style.h
	* .../litehtml_viewer/litehtml/stylesheet.cpp
	* src/plugins/litehtml_viewer/litehtml/stylesheet.h
	* src/plugins/litehtml_viewer/litehtml/table.cpp
	* src/plugins/litehtml_viewer/litehtml/table.h
	* .../litehtml_viewer/litehtml/tstring_view.cpp
	* .../litehtml_viewer/litehtml/tstring_view.h
	* src/plugins/litehtml_viewer/litehtml/types.h
	* src/plugins/litehtml_viewer/litehtml/url.cpp
	* src/plugins/litehtml_viewer/litehtml/url.h
	* src/plugins/litehtml_viewer/litehtml/url_path.cpp
	* src/plugins/litehtml_viewer/litehtml/url_path.h
	* .../litehtml_viewer/litehtml/utf8_strings.cpp
	* .../litehtml_viewer/litehtml/utf8_strings.h
	* src/plugins/litehtml_viewer/litehtml/web_color.cpp
	* src/plugins/litehtml_viewer/litehtml/web_color.h		
		Sync with litehtml v0.7

2023-10-08  [Jonathan Boeing] 4.1.1-93-g99db9602c

	* src/plugins/litehtml_viewer/container_linux.cpp
	* .../litehtml_viewer/container_linux_images.cpp		
		Move functions back to container_linux.cpp  Move load_image(),
		get_image_size(), and clear_images() from container_linux_images.cpp
		to container_linux.cpp

2023-10-17  [wwp] 4.1.1-92-gc556ff93f

	* src/common/utils.c		
		URIs may contain the '$' dollar sign (fix broken syntax).

2023-10-17  [wwp] 4.1.1-91-g9e28cb56d

	* src/common/utils.c		
		URIs may contain the '$' dollar sign.

2023-09-24  [Paul] 4.1.1-90-gf0b5dc5b4

	* src/compose.c		
		when queueing or drafting a msg with an attachment which no longer
		exists, use the correct label on the button of the warning dialogue

2023-09-21  [wwp] 4.1.1-89-gb4fc92008

	* README
	* src/gtk/quicksearch.c		
		Updated quicksearch mini-doc in README file, sorted QA help list in
		dialog.

2023-09-21  [wwp] 4.1.1-88-gb0775d48a

	* src/advsearch.c
	* src/gtk/quicksearch.c		
		remove support for the 'y S' quicksearch expression (one may now use
		'v X-Label S')

2023-09-21  [wwp] 4.1.1-87-g5d259b6d5

	* src/matcher.c		
		fix using a custom header in found_in_addressbook match expressions

2023-09-21  [wwp] 4.1.1-86-g3ad43ddd0

	* src/advsearch.c
	* src/gtk/quicksearch.c		
		fix bug 4700, 'Add v H V search shortcut'  patch by Thomas Orgis

2023-09-21  [Paul] 4.1.1-85-g8ad2efdef

	* src/mainwindow.c
	* src/mainwindow.h		
		a more nuanced sensitivity is needed

2023-09-21  [Paul] 4.1.1-84-g16e8226ca

	* configure.ac		
		allow building the litehtml plugin with libgumbo >= 0.10 but < 0.12
		if, and only if, explicitly requested

2023-09-21  [Paul] 4.1.1-83-g03654c4ff

	* configure.ac		
		don't fail to build if we don't have gumbo >= 0.12, just don't build
		the litehtml_viewer plugin

2023-09-21  [Michael Rasmussen] 4.1.1-82-g579967a7e

	* configure.ac		
		Missed removing comment ,dnl disabled by default' 

2023-09-21  [Michael Rasmussen] 4.1.1-81-g994da6529

	* configure.ac		
		Build litehtml_viewer-plugin by default if gumbo2 found 

2023-09-19  [Paul] 4.1.1-80-g4db43a95f

	* AUTHORS		
		update AUTHORS file

2023-09-18  [Michael Rasmussen] 4.1.1-79-g23c34bc4b

	* src/gtk/authors.h
	* src/oauth2.c		
		Update on-disk tokens as well when in-memory tokens are updated.
		Patch by Gianni Ceccarelli 

2023-09-12  [Paul] 4.1.1-78-gec2333b90

	* src/plugins/vcalendar/vcal_folder.c
	* src/plugins/vcalendar/vcal_manager.c		
		fix bug 4637, 'Segmentation fault when using SUMMARY is empty'

2023-08-24  [Paul] 4.1.1-77-g109fb63a7

	* configure.ac		
		only build litehtml_viewer plugin if explicitly instructed

2023-08-23  [Ricardo Mones] 4.1.1-76-g7506dd998

	* src/password.c
	* src/password.h		
		Don't link unused function with newer encryption  Encryption with
		previous broken method is only used when explicitly requested by
		configuring with --with-password-encryption=old

2022-03-25  [Ricardo Mones] 4.1.1-75-g7f2cc1b35

	* src/stock_pixmap.c		
		Fix three warnings in do_pix_draw()  stock_pixmap.c:971:4: warning:
		‘gtk_widget_get_style’ is deprecated: Use
		'gtk_widget_get_style_context' instead [-Wdeprecated-declarations]
		stock_pixmap.c:973:4: warning: ‘gdk_cairo_create’ is deprecated: Use
		'gdk_window_begin_draw_frame() and
		gdk_drawing_context_get_cairo_context()' instead
		[-Wdeprecated-declarations] stock_pixmap.c:974:4: warning:
		‘gdk_cairo_set_source_color’ is deprecated: Use
		'gdk_cairo_set_source_rgba' instead [-Wdeprecated-declarations]

2023-08-18  [Paul] 4.1.1-74-gd832b62d7

	* src/prefs_themes.c
	* src/stock_pixmap.c
	* src/stock_pixmap.h		
		fix bug 4693, 'Hang and crash when enable disable SVG Rendering
		prefs' by reverting d6dfb9960cc1c8d25a1dbfaf6958fb82e596c46b

2023-08-18  [Paul] 4.1.1-73-g9eb64a780

	* src/compose.c		
		when redirecting, disable queueing because re-editing a redirected
		msg allows changing it. Also disable the Attachments context menu so
		that it is not possible to remove an attachment from a redirected msg

2023-08-17  [Paul] 4.1.1-72-g265d0a7dd

	* src/imap.c		
		use the statusbar to show that expunge is happening  patch by Tim
		Mann

2023-08-12  [Paul] 4.1.1-71-ga8f5ca94d

	* AUTHORS
	* src/gtk/authors.h
	* src/gtk/filesel.c
	* src/plugins/archive/archiver_gtk.c
	* src/plugins/clamd/clamav_plugin_gtk.c		
		add RFE 4686, 'use gtk native filechooser'  patch by nycex

2023-08-11  [Paul] 4.1.1-70-g18c51de5c

	* AUTHORS
	* configure.ac
	* po/pt_PT.po
	* src/gtk/authors.h
	* tools/claws.i18n.status.pl		
		add newly updated (almost complete) Portuguese translation by Hugo
		Carvalho

2023-08-09  [Paul] 4.1.1-69-g453d869b3

	* AUTHORS
	* src/account.c
	* src/etpan/imap-thread.h
	* src/gtk/authors.h
	* src/imap.c
	* src/prefs_account.c
	* src/prefs_account.h		
		fix bug 4618, 'Rate limit by remote breaks queued/marked actions
		(Delete/Move)'  patch by Charles Huber

2023-08-09  [Paul] 4.1.1-68-gabde28bea

	* src/compose.c		
		remove the arbitrary paste restriction, which could be worked around
		by using the context menu anyway

2023-07-09  [Andreas Oberritter] 4.1.1-67-g4c6844370

	* src/etpan/imap-thread.c
	* src/imap.c
	* src/imap.h
	* src/prefs_account.c		
		Add support for SCRAM-SHA-{224,256,384,512} authentication mechanism
		(via libetpan) to IMAP.  They are supported by Cyrus IMAP. Dovecot
		supports SCRAM-SHA-256.

2023-06-24  [Ricardo Mones] 4.1.1-66-gb63e9ce42

	* src/plugins/gdata/cm_gdata_contacts.c
	* src/prefs_account.c		
		Fix five constness related warnings  prefs_account.c:4134:17:
		warning: assignment discards ‘const’ qualifier from pointer target
		type cm_gdata_contacts.c:7xx:34: warning: passing argument 1 of
		'g_free' discards 'const' qualifier from pointer target type

2023-06-24  [Paul] 4.1.1-65-gda7ac9b35

	* src/mimeview.c		
		allow saving attachments only, without other msg parts

2023-06-09  [wwp] 4.1.1-64-gc18a2f85c

	* src/procheader.c		
		Fix CID 1532282.

2023-06-08  [Paul] 4.1.1-63-gdc955cc65

	* AUTHORS
	* src/gtk/authors.h
	* src/procheader.c		
		fix bug 4679, 'The correct date header is interpreted incorrectly to
		display strange date.'  patch by Takayuki Sakaguchi

2023-06-03  [Ricardo Mones] 4.1.1-62-g7c1ea64fe

	* src/plugins/fancy/fancy_viewer.c		
		Fix error creation and warning  The error won't be created if the
		GQuark is 0, only a warning is emitted and NULL is returned. See:
		https://gitlab.gnome.org/GNOME/glib/-/blob/main/glib/gerror.c#L792

2023-05-26  [Paul] 4.1.1-61-g671a081c4

	* src/procmime.c		
		fix coverity issue CID 1530431:  Memory - illegal accesses  (OVERRUN)

2023-05-25  [Paul] 4.1.1-60-g5226e3dc3

	* src/procmime.c
	* src/procmime.h		
		recognise font/* and chemical/* mime types

2023-04-19  [Paul] 4.1.1-59-ga9a16a253

	* src/plugins/litehtml_viewer/litehtml/html.h
	* src/plugins/litehtml_viewer/litehtml/num_cvt.h		
		fix bug 4648, 'fails to build with gcc 13'

2023-04-18  [Ricardo Mones] 4.1.1-58-gf0cab27e8

	* src/common/utils.c		
		Quit searching if string became empty

2023-04-18  [Paul] 4.1.1-57-g9c2dc86a8

	* src/common/utils.c		
		fix bug 4670, 'To/CC incorrectly escaped with a trailing backslash'

2023-04-09  [Ricardo Mones] 4.1.1-56-ga9cb94446

	* src/addrbook.c		
		Fix new warning and complete previous commit  addrbook.c:54:13:
		warning: ‘addrbook_print_book’ declared ‘static’ but never defined

2023-04-09  [Ricardo Mones] 4.1.1-55-g4ba880512

	* src/addrbook.c		
		Remove unused function warning  addrbook.c:223:13: warning:
		‘addrbook_print_book’ defined but not used

2023-04-07  [Paul] 4.1.1-54-g8ac5c0b3a

	* src/compose.c		
		fix message which is shown when mail can't be sent

2023-03-31  [Paul] 4.1.1-53-gf66863109

	* src/image_viewer.c		
		image viewer: don't make the 'load image' button larger than
		necessary

2023-03-31  [Paul] 4.1.1-52-ga8abb5491

	* src/image_viewer.c		
		fix image viewer when not auto-loading images: fix alignments of
		text; show the 'load' button; re-arrange the code in a more linear
		fashion

2023-03-25  [Sergei Trofimovich] 4.1.1-51-ge178a14c6

	* po/ru.po		
		po/ru.po: fix "text" translation  "text" should be translatext
		"текст"(and suffix), not "тест".

2023-03-24  [Sergei Trofimovich] 4.1.1-50-g5bbf75638

	* po/ru.po		
		po/ru.po: fix "Grey" translation  "Зеленый" is Green, not Grey.

2023-03-20  [Paul] 4.1.1-49-g34bb3379f

	* src/plugins/rssyl/rssyl_prefs.c		
		use the same terminology as everywhere else

2023-03-12  [Ricardo Mones] 4.1.1-48-g49501393a

	* po/es.po		
		Update Spanish translation

2023-02-24  [Paul] 4.1.1-47-ge2e7f63c6

	* configure.ac
	* src/plugins/fancy/Makefile.am
	* src/plugins/fancy/fancy_prefs.c
	* src/plugins/fancy/fancy_prefs.h
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h		
		remove checks for libsoup and libsoup-gnome, and remove the proxy
		pref from the fancy plugin because none of this is used  thanks to
		Páder Rezsõ for the hint

2023-02-24  [Paul] 4.1.1-46-gbed3a071a

	* src/plugins/attachwarner/attachwarner.h
	* src/plugins/attachwarner/attachwarner_prefs.c
	* src/plugins/attachwarner/attachwarner_prefs.h
	* src/plugins/keyword_warner/keyword_warner.h
	* src/plugins/keyword_warner/keyword_warner_prefs.c
	* src/plugins/keyword_warner/keyword_warner_prefs.h
	* src/plugins/rssyl/libfeed/feed.c
	* src/plugins/rssyl/libfeed/feed.h
	* src/plugins/rssyl/libfeed/feeditem.c
	* src/plugins/rssyl/libfeed/feeditem.h
	* src/plugins/rssyl/libfeed/feeditemenclosure.c
	* src/plugins/rssyl/libfeed/feeditemenclosure.h
	* src/plugins/rssyl/libfeed/parser.c
	* src/plugins/rssyl/libfeed/parser.h
	* src/plugins/rssyl/libfeed/parser_atom10.c
	* src/plugins/rssyl/libfeed/parser_atom10.h
	* src/plugins/rssyl/libfeed/parser_rdf.h
	* src/plugins/rssyl/libfeed/parser_rss20.c
	* src/plugins/rssyl/libfeed/parser_rss20.h
	* src/plugins/rssyl/opml_export.c
	* src/plugins/rssyl/opml_export.h
	* src/plugins/rssyl/opml_import.c
	* src/plugins/rssyl/opml_import.h
	* src/plugins/rssyl/parse822.c
	* src/plugins/rssyl/parse822.h
	* src/plugins/rssyl/plugin.c
	* src/plugins/rssyl/rssyl.c
	* src/plugins/rssyl/rssyl.h
	* src/plugins/rssyl/rssyl_add_item.c
	* src/plugins/rssyl/rssyl_add_item.h
	* src/plugins/rssyl/rssyl_cb_menu.c
	* src/plugins/rssyl/rssyl_cb_menu.h
	* src/plugins/rssyl/rssyl_deleted.c
	* src/plugins/rssyl/rssyl_deleted.h
	* src/plugins/rssyl/rssyl_feed.c
	* src/plugins/rssyl/rssyl_feed.h
	* src/plugins/rssyl/rssyl_feed_props.c
	* src/plugins/rssyl/rssyl_feed_props.h
	* src/plugins/rssyl/rssyl_gtk.c
	* src/plugins/rssyl/rssyl_gtk.h
	* src/plugins/rssyl/rssyl_parse_feed.c
	* src/plugins/rssyl/rssyl_parse_feed.h
	* src/plugins/rssyl/rssyl_prefs.c
	* src/plugins/rssyl/rssyl_prefs.h
	* src/plugins/rssyl/rssyl_subscribe.c
	* src/plugins/rssyl/rssyl_subscribe.h
	* src/plugins/rssyl/rssyl_subscribe_gtk.c
	* src/plugins/rssyl/rssyl_subscribe_gtk.h
	* src/plugins/rssyl/rssyl_update_comments.c
	* src/plugins/rssyl/rssyl_update_comments.h
	* src/plugins/rssyl/rssyl_update_feed.c
	* src/plugins/rssyl/rssyl_update_feed.h
	* src/plugins/rssyl/rssyl_update_format.c
	* src/plugins/rssyl/rssyl_update_format.h
	* src/plugins/rssyl/strutils.c
	* src/plugins/rssyl/strutils.h		
		update forgotten copyright headers

2023-02-24  [Paul] 4.1.1-45-g568c901bc

	* configure.ac		
		fix bug 4666, 'fancy plugin doesn't build with libwebkit2gtk-4.1'

2023-02-21  [Paul] 4.1.1-44-g914102789

	* src/gtk/authors.h		
		fix alphabetical order

2023-02-21  [Paul] 4.1.1-43-g48086e4e8

	* AUTHORS
	* src/gtk/authors.h
	* src/oauth2.c		
		fix bug 4664, 'OAUTH2 overwrites passwords even for plaintext logins'
		 based on patch by Roland Haas

2023-02-21  [Paul] 4.1.1-42-gc61593c30

	* src/oauth2.c		
		code style

2023-02-13  [Paul] 4.1.1-41-g9e1cb8b14

	* src/main.c		
		add spam session stats to command line output

2023-02-13  [Paul] 4.1.1-40-g22480dc3a

	* src/main.c		
		(re-)initialize session spam statistics

2023-02-08  [Paul] 4.1.1-39-g8d176a20c

	* src/textview.c		
		remove two unnecessary lines added in last commit

2023-02-08  [Paul] 4.1.1-38-gfbc0627c8

	* AUTHORS
	* src/gtk/authors.h
	* src/mimeview.c
	* src/procheader.c
	* src/procheader.h
	* src/textview.c		
		fix bug 4658, 'Headers unfolded incorrectly in message view'  based
		on patch by Viatrix

2023-02-06  [Paul] 4.1.1-37-g681b0766c

	* src/gtk/about.c
	* src/main.h
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bsfilter/bsfilter.c
	* src/plugins/spamassassin/spamassassin.c		
		add spam stats to session stats

2023-02-03  [Michael Rasmussen] 4.1.1-36-geba27f8d5

	* src/plugins/litehtml_viewer/lh_widget.cpp		
		Fix for bug #4300 again. Initially committer    Andrej Kacian
		<ticho@claws-mail.org> Tue, 6 Aug 2019 09:46:01 +0100 (10:46 +0200) 

2023-01-19  [wwp] 4.1.1-35-g07f38db5b

	* AUTHORS
	* po/fr.po		
		Fix duplicate menu shortcut (thanks to JP Guillonneau)

2023-01-05  [Paul] 4.1.1-34-g23df64c5a

	* src/folderview.c		
		re-add the mistakenly removed quick method of unsetting the start-up
		folder option, and improve it

2023-01-04  [Ricardo Mones] 4.1.1-33-g964f268a7

	* src/folderview.c		
		Fix CID 1518897

2023-01-03  [Ricardo Mones] 4.1.1-32-gcc3ffa1e2

	* src/folderview.c		
		Fix minor issues on new start-up folder feature  • Disallow setting
		top-level folders as start-up folders: there's nothing to be opened
		on them. • Give fast feedback of the folder currently set as start-up
		folder by setting the menu entry to disabled on it.

2023-01-02  [Paul] 4.1.1-31-g689ff464d

	* src/gtk/about.c		
		bump the year

2023-01-02  [Paul] 4.1.1-30-gca89ade8e

	* src/folderview.c
	* src/main.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_summaries.c		
		add an easy way to open any folder on start-up

2022-12-30  [Paul] 4.1.1-29-g102602650

	* src/main.c		
		remove obsolete /dev/mem_notify stuff

2022-12-15  [Ricardo Mones] 4.1.1-28-g3167a0a37

	* configure.ac		
		Improve naming and summary messages

2022-12-15  [Ricardo Mones] 4.1.1-27-g71ea22117

	* configure.ac		
		Add debug calls to configure summary

2022-12-15  [Ricardo Mones] 4.1.1-26-g8aaf0276c

	* configure.ac
	* src/addrindex.c
	* src/ldapctrl.c
	* src/ldapctrl.h
	* src/ldapquery.c
	* src/ldapquery.h
	* src/ldapserver.c
	* src/ldapserver.h		
		Exclude LDAP debug functions unless requested

2022-12-13  [Paul] 4.1.1-25-g1225798a8

	* src/gtk/quicksearch.c		
		fix 3476a5c7e4a7e77ccd474efac6a7156df973db1e (thanks Tristan\!)

2022-12-12  [Ricardo Mones] 4.1.1-24-gbc5122372

	* src/statusbar.c
	* src/statusbar.h		
		Remove unused function statusbar_print()

2022-12-10  [Paul] 4.1.1-23-g3476a5c7e

	* src/gtk/quicksearch.c		
		when changing quicsearch type update history list

2022-12-03  [Ricardo Mones] 4.1.1-22-g35e83190c

	* src/folderview.c
	* src/summaryview.c
	* src/summaryview.h		
		Remove unnecessary definitions and calls  The summaryview_lock
		function is never called yet its unlock counterpart is called twice
		to undo something never done.

2022-11-27  [Jonathan Boeing] 4.1.1-21-gefd66a931

	* configure.ac		
		Use libetpan CFLAGS for header check

2022-11-27  [Jonathan Boeing] 4.1.1-20-g51d6662d2

	* configure.ac
	* m4/ax_func_mkdir.m4
	* m4/gnupg.m4		
		Use AX_FUNC_MKDIR from autoconf-archive

2022-11-27  [Jonathan Boeing] 4.1.1-19-gaae5f0929

	* configure.ac
	* m4/gnupg-check-typedef.m4
	* src/common/md5.c
	* src/common/md5.h		
		Replace u32 with guint32

2022-11-27  [Jonathan Boeing] 4.1.1-18-gb1255f92e

	* m4/aspell.m4
	* m4/check-type.m4
	* m4/codeset.m4
	* m4/glibc2.m4
	* m4/glibc21.m4
	* m4/intdiv0.m4
	* m4/intmax.m4
	* m4/inttypes-pri.m4
	* m4/inttypes.m4
	* m4/inttypes_h.m4
	* m4/isc-posix.m4
	* m4/lcmessage.m4
	* m4/longdouble.m4
	* m4/longlong.m4
	* m4/printf-posix.m4
	* m4/signed.m4
	* m4/size_max.m4
	* m4/stdint_h.m4
	* m4/uintmax_t.m4
	* m4/ulonglong.m4
	* m4/wchar_t.m4
	* m4/wint_t.m4
	* m4/xsize.m4		
		Remove unused m4 files

2022-11-27  [Jonathan Boeing] 4.1.1-17-gb8b9a2986

	* Makefile.am
	* configure.ac
	* m4/Makefile.am		
		Make m4 an EXTRA_DIST rather than a SUBDIR

2022-11-27  [Jonathan Boeing] 4.1.1-16-g6b35a3874

	* configure.ac
	* m4/gpgme.m4		
		Improve cross-compile compatibility of GPGME check  Update gpgme.m4
		from upstream and prefer pkg-config to AM_PATH_GPGME

2022-11-26  [Ricardo Mones] 4.1.1-15-g928a2e256

	* configure.ac
	* src/addrbook.c
	* src/addrbook.h
	* src/addrclip.c
	* src/addrclip.h
	* src/addressbook.c
	* src/addrindex.c		
		Don't include unused debug functions in binary  Unless requested by
		user with the new configure flag.

2022-11-21  [Paul] 4.1.1-14-g741ecb32d

	* configure.ac		
		don't attempt to build the perl plugin if ExtUtils::Embed is not
		installed

2022-11-21  [Paul] 4.1.1-13-gb3d3f6ec1

	* src/plugins/fancy/Makefile.am		
		put web_extensions/ at the same level as plugins/ so users do not
		assume it contains a loadable plugin

2022-11-19  [Ricardo Mones] 4.1.1-12-g81df77350

	* src/setup.c
	* src/setup.h		
		Remove unused function setup()  Completes commit
		8fa3ba47460dae9351a25f084fb05362fbf5c57e

2022-11-08  [Michael Rasmussen] 4.1.1-11-g15f792b7e

	* src/pop.c
	* src/pop.h		
		Fix POP3 using OAuth2 to handle Microsoft POP3 OAuth2 protocol. Patch
		provided by H.Merijn Brand 

2022-11-08  [Paul] 4.1.1-10-g8d158aaeb

	* src/mainwindow.c		
		fix bug where, when starting with msgview hidden, toggling msgview to
		show it would use incorrect height

2022-11-03  [wwp] 4.1.1-9-g3bcd1c797

	* src/addr_compl.c		
		Fix bug 4491: address autocompletion list does not expand in height
		with the number of matches

2022-11-02  [Paul] 4.1.1-8-g2745c1c8f

	* AUTHORS
	* src/gtk/authors.h		
		remove (now ex-)German treanslator's email address at his request

2022-10-27  [Ricardo Mones] 4.1.1-7-ga269d94f6

	* configure.ac
	* src/compose.c		
		Raise glib version requirement to 2.50 again  Revert the revert: as
		discussed on irc first revert seems to be mistake, as 2.50 is needed
		to use G_PID_FORMAT. While we're at it, remove also the remaining
		check for this version.  This reverts commit
		1445df7021764ede5cea62338e3724726006c413.

2022-10-24  [Ricardo Mones] 4.1.1-6-gf00440558

	* configure.ac		
		Allow building vCalendar without ExtUtils::Embed  Thanks Paul for the
		heads up!

2022-10-24  [Ricardo Mones] 4.1.1-5-gd0ba07703

	* configure.ac		
		Fix 4645: fails to check for perl-ExtUtils::Embed

2022-10-24  [Paul] 4.1.1-4-g803b7a15a

	* AUTHORS
	* src/gtk/authors.h		
		update team data

2022-10-24  [Paul] 4.1.1-3-gf0a04026a

	* src/plugins/fancy/fancy_web_extension.c		
		fix copy/paste error in last commit

2022-10-24  [Paul] 4.1.1-2-gb358b973c

	* src/plugins/fancy/fancy_web_extension.c		
		use GLib 2.66 when available  make things simpler for our future
		selves

2022-10-22  [Michael Rasmussen] 4.1.1-1-g1e3b95e1d

	* src/plugins/fancy/fancy_web_extension.c		
		Since g_uri_peek_scheme requires GLib 2.66 replace it with
		g_uri_parse_scheme 

2022-10-20  [Paul] 4.1.1

	* NEWS
	* README
	* RELEASE_NOTES		
		for release 4.1.1

2022-10-20  [Paul] 4.1.0-1394-g65608443d

	* src/summaryview.c		
		fix bold_marked

2022-10-20  [wwp] 4.1.0-1393-g2392431f2

	* manual/fr/advanced.xml		
		Update the French manual (hidden prefs).

2022-10-20  [Paul] 4.1.0-1392-g4e6a2ef03

	* configure.ac		
		clean up check for valgrind

2022-10-20  [Paul] 4.1.0-1391-g333f56c38

	* src/plugins/fancy/fancy_web_extension.c		
		check for return value when setting G_MESSAGES_DEBUG

2022-10-19  [Jonathan Boeing] 4.1.0-1390-gc45dc1be7

	* src/plugins/fancy/Makefile.am
	* src/plugins/fancy/fancy_viewer.c		
		Don't load Fancy if the Web Extension isn't found

2022-10-19  [Paul] 4.1.0-1389-g5d798106f

	* po/ca.po
	* po/cs.po
	* po/nl.po
	* po/pl.po
	* po/pt_BR.po
	* po/ru.po
	* po/sk.po
	* po/sv.po
	* po/tr.po
	* po/zh_TW.po		
		update translations

2022-10-19  [Paul] 4.1.0-1388-g2ae8be2b8

	* claws-mail.desktop		
		Polish update by Łukasz Wojniłowicz

2022-10-19  [Paul] 4.1.0-1387-gc74916d8f

	* src/plugins/fancy/fancy_web_extension.c		
		show the debug output

2022-10-09  [Jonathan Boeing] 4.1.0-1386-gae80c5e67

	* src/plugins/fancy/Makefile.am
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h
	* src/plugins/fancy/fancy_web_extension.c		
		fix bug 4630, 'Fancy loads remote images when remote content is
		disabled'  Upstream changes broke the 'empty network proxy' method of
		blocking remote content, so replace it with a WebKit extension that
		handles the send-request signal.

2022-10-19  [Paul] 4.1.0-1385-gdb8edf89d

	* src/compose.c		
		fix bug where NNTP account's SMTP server wasn't used

2022-10-18  [Ricardo Mones] 4.1.0-1384-gfde7dd3fb

	* AUTHORS		
		Remove duplicated entry

2022-10-17  [Michael Rasmussen] 4.1.0-1383-g8287ec1b2

	* src/oauth2.c		
		Use define for gnutls-priority instead of hard coded string 

2022-10-17  [Michael Rasmussen] 4.1.0-1382-g15c3f52d7

	* src/oauth2.c		
		Handle non-ascii characters in server response. Fixes bug #4636 

2022-10-17  [Ricardo Mones] 4.1.0-1381-g538bd9160

	* src/common/tlds.h		
		Update TLDs for release

2022-10-16  [Ricardo Mones] 4.1.0-1380-g6049ff468

	* po/es.po		
		Update Spanish translation

2022-10-16  [Ricardo Mones] 4.1.0-1379-ga0d5f3a23

	* src/plugins/spam_report/spam_report_prefs.c		
		Fix frame label alignment to match other prefs

2022-10-16  [wwp] 4.1.0-1378-ga1aa2a69e

	* po/fr.po		
		Update French translation.

2022-10-08  [Jonathan Boeing] 4.1.0-1377-gf5080c0fc

	* claws-features.h.in
	* configure.ac
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/smime/Makefile.am		
		Add pkgconfig support for gpgme and libgpg-error

2022-10-08  [Jonathan Boeing] 4.1.0-1376-gb2b89f91d

	* m4/Makefile.am
	* m4/missing/gdk-pixbuf.m4
	* m4/missing/gettext.m4
	* m4/missing/gpgme.m4
	* m4/missing/imlib.m4		
		Remove some m4 cruft

2022-10-16  [Michael Rasmussen] 4.1.0-1375-g729413f1d

	* src/oauth2.c		
		Do not use a hard coded value for socket timeout. Use the user
		configured timeout (socket I/O timeout) 

2022-10-09  [Paul] 4.1.0-1374-gaad93a035

	* src/prefs_account.c		
		differentiate this "Send" from others for better translation
		possibilities

2022-10-08  [Jonathan Boeing] 4.1.0-1373-g5be706bb7

	* src/prefs_account.c		
		Fix building on Windows

2022-10-05  [Paul] 4.1.0-1372-g85f18a81a

	* src/prefs_other.c		
		remove text about modifying keyboard shortcuts

2022-09-25  [wwp] 4.1.0-1371-g2bf99f055

	* README		
		Fix bug 4628: typos in the README file, patch by Andreas Rönnquist.

2022-09-23  [Ricardo Mones] 4.1.0-1370-gd47f31be5

	* Makefile.am
	* configure.ac
	* get-git-version		
		Modernize configure.ac  And move computing git version to an external
		script.

2022-09-20  [Paul] 4.1.0-1369-g3a31cf2d6

	* src/plugins/fancy/fancy_viewer.c		
		disable the cache  fixes bug where the wrong mid/cid images would be
		shown when named identically to previously viewed images

2022-09-19  [Ricardo Mones] 4.1.0-1368-g7f7084536

	* manual/es/advanced.xml		
		Sync 'bold_marked' to the Spanish manual

2022-09-19  [Paul] 4.1.0-1367-gf39a6b9a8

	* manual/en/advanced.xml		
		correction: 'bold_marked' is off by default

2022-09-19  [Paul] 4.1.0-1366-g6124bf5a1

	* manual/en/advanced.xml		
		add 'bold_marked' entry to manual

2022-09-19  [Paul] 4.1.0-1365-g61b676f31

	* src/prefs_common.c
	* src/prefs_common.h
	* src/summaryview.c		
		optionally (via hidden pref) use bold font in summaryview for
		'marked' messages

2022-09-12  [Ricardo Mones] 4.1.0-1364-g8d910b825

	* src/addressadd.c		
		Fix unchecked access to pointer

2022-09-11  [Ricardo Mones] 4.1.0-1363-ge95e0eafe

	* po/es.po		
		Improve some sieve-related translations

2022-09-05  [Paul] 4.1.0-1362-g69f78ed4c

	* src/compose.c		
		correctly set modified flag after auto-save

2022-09-01  [Paul] 4.1.0-1361-g43d043bc8

	* src/gtk/description_window.c		
		improve readability of symbol list

2022-08-17  [wwp] 4.1.0-1360-g8a875ee61

	* src/filtering.c		
		Review filtering logging: fix few cases to make logging compliant to
		what's documented, use positive matching and rework logic when it's
		twisted.

2022-08-16  [Ricardo Mones] 4.1.0-1359-g1e04ff348

	* src/filtering.c		
		Fix CID 1508488: Control flow issues (DEADCODE)  And the logic
		surrounding the logging of filtering.

2022-08-02  [Paul] 4.1.0-1358-g269c86146

	* src/plugins/att_remover/att_remover.c		
		escape filenames to fix bug where filenames would not be shown and
		corrupt the output  also save some work for the translators, and
		remove some idle whitespace

2022-08-01  [Paul] 4.1.0-1357-g9e07c9d83

	* po/de.po		
		fix bug 4620, 'German translation of Content-Transfer-Encoding adds
		unwanted colon'

2022-07-28  [Paul] 4.1.0-1356-g0cc7a4961

	* src/customheader.c
	* src/prefs_customheader.c		
		give an appropriate error msg when disallowing a colon in a custom
		header

2022-07-28  [Ricardo Mones] 4.1.0-1355-ge134be0de

	* src/customheader.c		
		Make custom headers compliant with RFC 2822 § 3.6  And disallow
		setting header names with colons inside.

2022-07-24  [Paul] 4.1.0-1354-gbe0f05095

	* configure.ac		
		forgotten capitalisation

2022-07-24  [Paul] 4.1.0-1353-gd7543298f

	* src/gtk/about.c		
		the features list is supposed to be in alphabetical order, fix that

2022-07-24  [Paul] 4.1.0-1352-gc2cb61123

	* src/gtk/about.c		
		no-one can say IPv6 is new these days, so we won't either

2022-07-24  [Paul] 4.1.0-1351-gd1d9ffd6c

	* configure.ac
	* src/common/smtp.c
	* src/etpan/imap-thread.c
	* src/gtk/about.c
	* src/imap.c
	* src/inc.c
	* src/oauth2.c
	* src/oauth2.h
	* src/pop.c
	* src/prefs_account.c
	* src/send_message.c		
		make oauth2 depend on gnutls at build time, but add --disable-oauth2
		so the interface can be decluttered for those that will never need
		oauth2

2022-07-23  [Paul] 4.1.0-1350-g94019c056

	* configure.ac
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpcore/tests/Makefile.am
	* src/plugins/pgpcore/tests/pgp_utils_test.c		
		fix bug 4547, '--enable-tests makes compilation fail'  remove broken
		test

2022-07-23  [Paul] 4.1.0-1349-g7c3fb6c33

	* src/common/socket.c
	* src/etpan/imap-thread.c
	* src/etpan/nntp-thread.c
	* src/plugins/libravatar/libravatar_federation.c		
		fix some warnings when building with --disable-gnutls

2022-07-23  [Paul] 4.1.0-1348-ga48eb8d8a

	* src/common/smtp.c
	* src/etpan/imap-thread.c
	* src/imap.c
	* src/inc.c
	* src/oauth2.c
	* src/oauth2.h
	* src/pop.c
	* src/prefs_account.c
	* src/prefs_account.h
	* src/send_message.c		
		fix bug 4615, 'Compilation fails with --disable-gnutls'  don't build
		oauth2 support when using --disable-gnutls

2022-07-23  [Michael Rasmussen] 4.1.0-1347-gedc57db93

	* src/oauth2.c		
		Revert redirect URL to 127.0.0.1 

2022-07-23  [Paul] 4.1.0-1346-gfd4c5f697

	* src/oauth2.c		
		remove unused variable

2022-07-20  [Ricardo Mones] 4.1.0-1345-gcfecbde13

	* src/printing.c		
		Remove GTK3 deprecated calls from printing  Fixes: sys:1: Warning:
		../../../gobject/gsignal.c:2613: signal 'expose_event' is invalid for
		instance '0x2d768d0' of type 'GtkDrawingArea'  And the following
		warnings are also gone: • printing.c:517:9: warning:
		‘gtk_widget_set_double_buffered’ is deprecated • printing.c:648:9:
		warning: ‘gdk_cairo_create’ is deprecated: … • printing.c:1262:65:
		warning: ‘gdk_color_free’ is deprecated: …

2022-07-13  [Paul] 4.1.0-1344-ga7993f658

	* src/summaryview.c		
		in the summaryview tooltip, show name+addr

2022-06-22  [Paul] 4.1.0-1343-g885cd5ebe

	* src/mimeview.c
	* src/prefs_common.c
	* src/prefs_common.h		
		fix 'save all' dialogues  * don't treat not overwriting a file as an
		error * add checkboxes/hidden prefs to not show the post-saving
		informational dialogues * fix counts in informational dialogues *
		improvements to dialogue labels

2022-06-22  [Paul] 4.1.0-1342-gcb87cf1dd

	* src/compose.c		
		make the external editor error msg more useful and less obscure

2022-06-16  [Michael Rasmussen] 4.1.0-1341-g42b153731

	* src/prefs_account.c		
		Fix building on FreeBSD 

2022-06-09  [Ricardo Mones] 4.1.0-1340-gd65f9fb28

	* src/prefs_account.c		
		Make OAuth2 displayed results translatable…  …and remove artificial
		limits to accommodate translations.

2022-06-05  [Ricardo Mones] 4.1.0-1339-g6ff340cb7

	* src/mainwindow.c
	* src/plugins/mailmbox/mailmbox.c
	* src/plugins/newmail/newmail.c
	* src/plugins/notification/gtkhotkey/x11/eggaccelerators.c
	* src/plugins/pdf_viewer/poppler_viewer.c
	* src/plugins/pgpcore/select-keys.c
	* src/plugins/vcalendar/vcal_folder.c		
		Remove more unused macros

2022-06-05  [Ricardo Mones] 4.1.0-1338-g025449b5e

	* src/prefs_account.c		
		Remove unused macro

2022-05-27  [Michael Rasmussen] 4.1.0-1337-g6fbe52dbc

	* src/prefs_account.c		
		Fix CID 1504479 and 1504581 

2022-05-27  [Michael Rasmussen] 4.1.0-1336-g6a28f853f

	* src/prefs_account.c		
		Fix CID 1504580 

2022-05-27  [Colin Leroy-Mira] 4.1.0-1335-g42520ed14

	* src/oauth2.c		
		Use localhost instead of 127.0.0.1 for Microsoft Oauth2  RedirectURIs
		in Azure must "start with https:// or http://localhost"

2022-05-27  [Michael Rasmussen] 4.1.0-1334-ga166d4484

	* src/prefs_account.c		
		Clean code formatting 

2022-05-27  [Michael Rasmussen] 4.1.0-1333-ge4e359121

	* src/prefs_account.c		
		Improved OAuth solution from David Fletcher 

2022-05-26  [Ricardo Mones] 4.1.0-1332-g98d87a84c

	* src/prefs_account.c		
		Fix condition check at the end of function  Removes scaring traceback
		and emit a warning instead.

2022-05-24  [Michael Rasmussen] 4.1.0-1331-gea331e758

	* src/oauth2.c		
		Fix MS Outlook OAuth2 

2022-05-24  [Michael Rasmussen] 4.1.0-1330-g33c80dcb2

	* src/prefs_account.c		
		Small fix from David Fletcher 

2022-05-23  [Paul] 4.1.0-1329-g72ed8b4e2

	* src/compose.c		
		add missing space

2022-05-23  [Paul] 4.1.0-1328-g7e0c8bc23

	* src/compose.c		
		fix bug 4583, 'Compose window 'Discard message' dialog is displayed
		even though draft is already saved'

2022-05-22  [Paul] 4.1.0-1327-g82c164bb8

	* src/compose.c		
		fix bug 4584, 'Compose window causing Claws to terminate
		unexpectedly'

2022-05-21  [Jonathan Boeing] 4.1.0-1326-g2d4362f17

	* src/prefs_account.c		
		Fix building on windows

2022-05-21  [Michael Rasmussen] 4.1.0-1325-g964a11831

	* src/prefs_account.c		
		fix CID 1504463 

2022-05-21  [Michael Rasmussen] 4.1.0-1324-g0148b9569

	* src/prefs_account.c		
		fix CID 1504464 

2022-05-21  [Michael Rasmussen] 4.1.0-1323-g30f5f9f83

	* src/prefs_account.c		
		fix CID 1504466 

2022-05-20  [Michael Rasmussen] 4.1.0-1322-g6476ca3de

	* src/oauth2.c		
		fix for obtaining access code from request for Microsoft OAuth2
		functionality 

2022-05-20  [Michael Rasmussen] 4.1.0-1321-ge3a613af5

	* src/oauth2.c
	* src/prefs_account.c		
		New method for OAuth2 authentication and receiving of access token
		from David Fletcher applied including my fix for Microsoft OAuth2
		functionality 

2022-05-19  [wwp] 4.1.0-1320-gc23d02b23

	* configure.ac		
		Fix a typo error, thanks to Milan Obuch.

2022-05-18  [Paul] 4.1.0-1319-g483668f09

	* src/addrharvest.c
	* src/exportldif.c
	* src/folderview.c
	* src/gtk/icon_legend.c		
		normalise spelling of sub-folder

2022-05-18  [Paul] 4.1.0-1318-g05e53c2a9

	* po/en_GB.po		
		update en_GB.po

2022-05-18  [Paul] 4.1.0-1317-gaf7973c0b

	* m4/gpgme.m4		
		modernize autotools (forgot this file in last commit)

2022-05-18  [Paul] 4.1.0-1316-g79abcb428

	* configure.ac
	* m4/check-type.m4
	* m4/gnupg-check-typedef.m4
	* m4/gnupg.m4
	* m4/intmax.m4
	* m4/inttypes-pri.m4
	* m4/inttypes.m4
	* m4/inttypes_h.m4
	* m4/longdouble.m4
	* m4/signed.m4
	* m4/spamassassin.m4
	* m4/stdint_h.m4
	* m4/wchar_t.m4		
		modernise autotools

2022-05-17  [Paul] 4.1.0-1315-gbb6c9a439

	* configure.ac		
		modernize configure.ac and require autoconf 2.69 or greater

2022-05-09  [Paul] 4.1.0-1314-gc7814b779

	* tools/claws.i18n.status.pl		
		update Polish translator

2022-05-09  [Paul] 4.1.0-1313-gaebe1714b

	* AUTHORS
	* src/gtk/authors.h		
		update Polish translator info

2022-05-09  [Paul] 4.1.0-1312-geb8535afa

	* AUTHORS
	* manual/de/advanced.xml
	* src/gtk/authors.h		
		updat for page of Ferman manual, submitted by Christoph Klassen

2022-05-09  [Paul] 4.1.0-1311-g2a4fe7a81

	* manual/en/advanced.xml
	* manual/es/advanced.xml
	* manual/fr/advanced.xml		
		replace g**gle with duckduckgo and other minor updates

2022-05-09  [Paul] 4.1.0-1310-g02e6c839b

	* README		
		some minor updates

2022-05-07  [Ricardo Mones] 4.1.0-1309-ga32b62657

	* src/plugins/gdata/cm_gdata_contacts.c		
		Fix syntax (too many python these days ^_^)

2022-05-07  [Ricardo Mones] 4.1.0-1308-g2c16c66d8

	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp		
		Fix CID 1498793: access the managed object of an empty smart pointer

2022-05-07  [Ricardo Mones] 4.1.0-1307-g107cee427

	* src/plugins/gdata/cm_gdata_contacts.c		
		Fix CID 1491331: "cached_contact" going out of scope leaks

2022-05-07  [Ricardo Mones] 4.1.0-1306-gbefad9080

	* src/msgcache.c		
		Fix CID 1504312: uninitialized value "data_ver"

2022-05-06  [wwp] 4.1.0-1305-g0892075ca

	* src/uri_opener.c		
		Remove duplicate check.

2022-05-06  [Paul] 4.1.0-1304-gb61f6cfcf

	* NEWS
	* doc/man/claws-mail.1		
		remove some stray conflict markers

2022-04-23  [Ricardo Mones] 3.19.0-10-g5fee50c54

	* src/plugins/perl/perl_plugin.c		
		Fix building perl plugin since perl v5.35.2  Using XSRETURN_* macros
		in expressions is now deprecated:
		
		afc760

2022-04-23  [Ricardo Mones] 4.1.0-9-g1465ce9c0

	* src/plugins/perl/perl_plugin.c		
		Fix building perl plugin since perl v5.35.2  Using XSRETURN_* macros
		in expressions is now deprecated:
		
		afc760

2022-04-20  [paul] 4.1.0-8-g1a0678541

	* src/compose.c
	* src/grouplistdialog.c		
		fix building with older GLIBs

2022-04-18  [paul] 4.1.0-7-g3769357f1

	* src/editgroup.c		
		fix bug 4589, 'Edit Group Details panel wording unclear.' and also
		swap placement of available addrs and addrs in group and
		capitalisation of dialogue titles (to match the standard way)

2022-04-14  [paul] 4.1.0-6-g7db4f9d96

	* src/grouplistdialog.c		
		replace deprecated g_pattern_match_string()

2022-04-14  [paul] 4.1.0-5-gb9f9b4718

	* src/compose.c		
		replace deprecated g_spawn_check_exit_status()

2022-04-13  [wwp] 4.1.0-4-ga212ee3d3

	* src/plugins/address_keeper/address_keeper.c		
		Fix address keeper plug-in not saving addresses: revert wrong changes
		to the logic done by 0391e584a2e44338bc19e589c727cd6a9bde2e66.

2022-04-13  [wwp] 3.19.0-9-ge399ec485

	* src/plugins/address_keeper/address_keeper.c		
		Fix address keeper plug-in not saving addresses: revert wrong changes
		to the logic done by 0391e584a2e44338bc19e589c727cd6a9bde2e66.

2022-04-12  [Ricardo Mones] 3.19.0-8-g1445df702

	* configure.ac		
		Revert "Raise glib version requirement to 2.50"  This reverts commit
		002826cb47c3b5ad8ec1692eb346bde70ac69837.

2022-04-12  [Ricardo Mones] 3.19.0-7-g002826cb4

	* configure.ac		
		Raise glib version requirement to 2.50  Completes commit
		fac24c59d7ed028f1ecb9ccae3aa759c756f7115

2022-04-12  [wwp] 4.1.0-3-gdeb7bc34a

	* src/compose.c		
		Fixing compilation issue due to the use of GLIB 2.50's G_PID_FORMAT
		in translated strings (also depends on the GLIBC/gettext version).

2022-04-12  [wwp] 3.19.0-6-gfebbbbff5

	* src/compose.c		
		Fixing compilation issue due to the use of GLIB 2.50's G_PID_FORMAT
		in translated strings (also depends on the GLIBC/gettext version).

2021-08-25  [paul] 3.19.0-5-g961f13a47

	* src/password.h
	* src/password_gtk.h		
		complete s/master/primary/

2022-04-04  [wwp] 4.1.0-2-g4f125f182

	* po/fr.po		
		Update the French translation.

2022-04-04  [wwp] 3.19.0-4-gf305fe4f9

	* po/fr.po		
		Update the French translation.

2022-04-04  [wwp] 3.19.0-3-g1648dbb25

	* po/fr.po		
		Update the French translation.

2022-04-04  [wwp] 3.19.0-2-gf62eb7849

	* src/plugins/rssyl/rssyl_cb_menu.c
	* src/prefs_matcher.c		
		Review few more strings for translations purposes.

2022-04-04  [wwp] 3.19.0-1-g918787b25

	* src/imap_gtk.c
	* src/mh_gtk.c
	* src/plugins/mailmbox/plugin_gtk.c
	* src/prefs_compose_writing.c		
		Review few strings for translations purposes.

2022-04-04  [wwp] 4.1.0-1-gd8b7f6878

	* src/imap_gtk.c
	* src/mh_gtk.c
	* src/plugins/mailmbox/plugin_gtk.c
	* src/prefs_compose_writing.c		
		Review few strings for translations purposes.

2022-04-03  [paul] 4.1.0

	* NEWS
	* README
	* RELEASE_NOTES		
		updated for release 4.1.0

2022-04-03  [Paul] 3.19.0

	* po/ro.po		
		Romanian translation updated by Cristian Secară

2022-04-03  [paul] 4.0.0-451-g048e9c9d4

	* po/ro.po		
		Romanian translation updated by Cristian Secară

2022-04-02  [Paul] 3.18.0-364-g8d7c71ba1

	* po/pl.po		
		another update to the Polish translation by Łukasz Wojniłowicz

2022-04-02  [paul] 4.0.0-450-g3555908c9

	* po/pl.po		
		another update to the Polish translation by Łukasz Wojniłowicz

2022-04-02  [Ricardo Mones] 4.0.0-449-gbacb4b2a3

	* po/es.po		
		Fix Spanish translation Project-Id-Version

2022-04-02  [Ricardo Mones] 3.18.0-363-g33fff61d1

	* src/common/tlds.h		
		Update list of TLDs for release

2022-04-02  [Ricardo Mones] 4.0.0-448-gd51ed7d68

	* src/common/tlds.h		
		Update list of TLDs for release

2022-04-02  [Ricardo Mones] 3.18.0-362-g2afec64ff

	* manual/es/advanced.xml		
		Sync Spanish manual hidden prefs

2022-04-02  [Ricardo Mones] 4.0.0-447-g52572d824

	* manual/es/advanced.xml		
		Sync Spanish manual hidden prefs

2022-04-02  [Ricardo Mones] 4.0.0-446-gc4f2d187a

	* po/es.po		
		Update Spanish translation

2022-04-02  [Ricardo Mones] 3.18.0-361-ga34a897c5

	* po/es.po		
		Update Spanish translation

2022-04-02  [Ricardo Mones] 3.18.0-360-geedadf13d

	* src/uri_opener.c		
		Remove conversion into unused variable

2022-04-02  [paul] 4.0.0-445-geed3501bc

	* po/pl.po		
		another (small) update

2022-04-02  [Paul] 3.18.0-359-g0e3756e55

	* po/ca.po
	* po/cs.po
	* po/fr.po
	* po/id_ID.po
	* po/pl.po
	* po/pt_BR.po
	* po/ru.po
	* po/sk.po
	* po/tr.po		
		updated translations  from Dvid Medina, David Vachulka, Tristan, M.
		Sulchan Darmawan, Łukasz Wojniłowicz, Frederico Goncalves Guimaraes,
		Mikhail Kurinnoi, Slavko, and Numan Demirdöğen

2022-04-02  [paul] 4.0.0-444-g97be3b97b

	* po/ca.po
	* po/cs.po
	* po/fr.po
	* po/id_ID.po
	* po/pl.po
	* po/pt_BR.po
	* po/ru.po
	* po/sk.po
	* po/tr.po		
		updated translations  from Dvid Medina, David Vachulka, Tristan, M.
		Sulchan Darmawan, Łukasz Wojniłowicz, Frederico Goncalves Guimaraes,
		Mikhail Kurinnoi, Slavko, and Numan Demirdöğen

2022-04-01  [wwp] 4.0.0-443-g75943206e

	* manual/fr/advanced.xml		
		Fix broken XML due to previous commit.

2022-04-01  [wwp] 3.18.0-358-gbf9699a9c

	* manual/fr/advanced.xml		
		Fix broken XML due to previous commit.

2022-04-01  [wwp] 4.0.0-442-g7c1229bc7

	* manual/fr/advanced.xml		
		Document missing hidden prefs in the French manual.

2022-04-01  [wwp] 3.18.0-357-g1a91d8f92

	* manual/fr/advanced.xml		
		Document missing hidden prefs in the French manual.

2022-04-01  [wwp] 4.0.0-441-g855978d31

	* manual/fr/advanced.xml		
		Sync w/ the English version: add missing quicksearch-related hidden
		prefs.

2022-04-01  [wwp] 3.18.0-356-ga04ac1848

	* manual/fr/advanced.xml		
		Sync w/ the English version: add missing quicksearch-related hidden
		prefs.

2022-04-01  [wwp] 4.0.0-440-g8a9ae5f9f

	* manual/en/advanced.xml		
		Document the hidden pref 'qs_press_timeout'.

2022-04-01  [wwp] 3.18.0-355-g59e1fe2f0

	* manual/en/advanced.xml		
		Document the hidden pref 'qs_press_timeout'.

2022-04-01  [wwp] 4.0.0-439-g464b6bb2c

	* src/prefs_actions.c		
		Fix weird logic with the 'Edit filter action' dialog.

2022-04-01  [wwp] 3.18.0-354-g37ac6b2e0

	* src/prefs_actions.c		
		Fix weird logic with the 'Edit filter action' dialog.

2022-03-31  [wwp] 3.18.0-353-g900c2461f

	* manual/fr/plugins.xml		
		Sync the French manual.

2022-03-31  [wwp] 4.0.0-438-gfad20209f

	* manual/fr/plugins.xml		
		Sync the French manual.

2022-03-31  [Ricardo Mones] 3.18.0-352-g04c536e82

	* manual/es/plugins.xml		
		Synchronise Spanish manual

2022-03-31  [Ricardo Mones] 4.0.0-437-g5bd7a59fa

	* manual/es/plugins.xml		
		Synchronise Spanish manual

2021-08-24  [paul] 3.18.0-351-g40b08ed52

	* src/addressbook.c
	* src/compose.c
	* src/mainwindow.c
	* src/password.c
	* src/password_gtk.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_other.c		
		'master passphrase' becomes 'primary passphrase'

2022-03-28  [paul] 3.18.0-350-gffc5c31b6

	* README
	* manual/en/plugins.xml		
		add Keyword Warner plugin details

2022-03-28  [paul] 4.0.0-436-g8086d41d8

	* README
	* manual/en/plugins.xml		
		add Keyword Warner plugin details

2022-03-28  [paul] 4.0.0-435-g69758c3e8

	* src/prefs_actions.c		
		fix paste error in string. Thanks to David Medina for noticing and
		reporting it

2022-03-24  [Paul] 3.18.0-349-gef36c0aac

	* src/plugins/notification/notification_pixbuf.c
	* src/stock_pixmap.c		
		fix last commit

2022-03-24  [Paul] 3.18.0-348-g59cc913fa

	* src/gtk/about.c
	* src/gtk/gtkutils.c
	* src/main.c
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/wizard.c		
		prevent claws-mail logo from being themed

2022-03-24  [paul] 4.0.0-434-g14f1e8bb6

	* src/gtk/about.c
	* src/gtk/gtkutils.c
	* src/main.c
	* src/plugins/notification/notification_pixbuf.c
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/wizard.c		
		prevent claws-mail logo from being themed

2022-03-23  [paul] 4.0.0-433-g8889f7735

	* src/plugins/fancy/fancy_viewer.c		
		fix bug 4577, 'Fancy plugin with GTK3 seems to ignore content
		encoding'

2022-03-21  [paul] 4.0.0-432-g4ed0ccbdc

	* src/prefs_themes.c		
		remove inappropriate icon from button

2022-03-19  [Ricardo Mones] 3.18.0-347-g0dea882a3

	* src/plugins/archive/archiver_gtk.c
	* src/plugins/clamd/clamav_plugin_gtk.c
	* src/plugins/fancy/fancy_viewer.c		
		Use our utils wrapper which already has it  Backport of gtk3 commit
		88d5cca731f4067e90f928bb591f94fd4ea723ff

2022-03-19  [Ricardo Mones] 4.0.0-431-g88d5cca73

	* src/plugins/archive/archiver_gtk.c
	* src/plugins/clamd/clamav_plugin_gtk.c
	* src/plugins/fancy/fancy_viewer.c		
		Use our utils wrapper which already has it

2022-03-19  [Ricardo Mones] 3.18.0-346-g3b03982e3

	* src/prefs_themes.c		
		New action button: view all theme icons  Backport of gtk3 commit
		58c44fcf5d964a2e6df530bfa8b4318bea53d113

2022-03-19  [Ricardo Mones] 4.0.0-430-g58c44fcf5

	* src/prefs_themes.c		
		New action button: view all theme icons

2022-03-18  [Ricardo Mones] 4.0.0-429-gdb91eb924

	* src/inc.c		
		Fix warning: extra tokens at end of #include directive 
		Unintentionally added in 817071429ee9fd06edd1f03463eac526c3e8c4ec

2022-03-18  [Ricardo Mones] 4.0.0-428-g39aff56f3

	* INSTALL
	* README
	* RELEASE_NOTES
	* claws-mail.desktop
	* doc/man/claws-mail.1
	* manual/en/plugins.xml
	* manual/es/plugins.xml
	* po/bg.po
	* po/el.po
	* po/eo.po
	* po/fi.po
	* po/he.po
	* po/hr.po
	* po/ko.po
	* po/pt_PT.po
	* po/sr.po
	* po/uk.po
	* po/zh_CN.po
	* src/account.c
	* src/account.h
	* src/action.c
	* src/action.h
	* src/adbookbase.h
	* src/addr_compl.c
	* src/addr_compl.h
	* src/addrbook.c
	* src/addrbook.h
	* src/addrcache.c
	* src/addrcache.h
	* src/addrclip.c
	* src/addrclip.h
	* src/addrcustomattr.c
	* src/addrcustomattr.h
	* src/addrdefs.h
	* src/addrduplicates.c
	* src/addrduplicates.h
	* src/addressadd.c
	* src/addressadd.h
	* src/addressbook.c
	* src/addressbook.h
	* src/addressbook_foldersel.c
	* src/addressbook_foldersel.h
	* src/addressitem.h
	* src/addrgather.c
	* src/addrgather.h
	* src/addrharvest.c
	* src/addrharvest.h
	* src/addrindex.c
	* src/addrindex.h
	* src/addritem.c
	* src/addritem.h
	* src/addrmerge.c
	* src/addrmerge.h
	* src/addrquery.c
	* src/addrquery.h
	* src/addrselect.c
	* src/addrselect.h
	* src/advsearch.c
	* src/advsearch.h
	* src/alertpanel.c
	* src/alertpanel.h
	* src/autofaces.c
	* src/autofaces.h
	* src/avatars.c
	* src/avatars.h
	* src/browseldap.c
	* src/browseldap.h
	* src/common/claws.c
	* src/common/claws.h
	* src/common/codeconv.c
	* src/common/codeconv.h
	* src/common/defs.h
	* src/common/file-utils.c
	* src/common/file-utils.h
	* src/common/hooks.c
	* src/common/hooks.h
	* src/common/log.c
	* src/common/log.h
	* src/common/mgutils.c
	* src/common/mgutils.h
	* src/common/passcrypt.c
	* src/common/passcrypt.h.in
	* src/common/pkcs5_pbkdf2.h
	* src/common/plugin.c
	* src/common/plugin.h
	* src/common/prefs.c
	* src/common/prefs.h
	* src/common/progressindicator.c
	* src/common/progressindicator.h
	* src/common/proxy.c
	* src/common/proxy.h
	* src/common/quoted-printable.c
	* src/common/quoted-printable.h
	* src/common/session.c
	* src/common/session.h
	* src/common/smtp.c
	* src/common/smtp.h
	* src/common/socket.c
	* src/common/socket.h
	* src/common/ssl.c
	* src/common/ssl.h
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
	* src/common/string_match.c
	* src/common/string_match.h
	* src/common/stringtable.c
	* src/common/stringtable.h
	* src/common/tags.c
	* src/common/tags.h
	* src/common/timing.h
	* src/common/unmime.c
	* src/common/unmime.h
	* src/common/utils.c
	* src/common/utils.h
	* src/common/uuencode.c
	* src/common/uuencode.h
	* src/common/version.h.in
	* src/common/w32_reg.c
	* src/common/w32_reg.h
	* src/common/xml.c
	* src/common/xml.h
	* src/common/xmlprops.c
	* src/common/xmlprops.h
	* src/compose.c
	* src/compose.h
	* src/crash.c
	* src/crash.h
	* src/customheader.c
	* src/customheader.h
	* src/displayheader.c
	* src/displayheader.h
	* src/editaddress.c
	* src/editaddress.h
	* src/editaddress_other_attributes_ldap.c
	* src/editaddress_other_attributes_ldap.h
	* src/editbook.c
	* src/editbook.h
	* src/editgroup.c
	* src/editgroup.h
	* src/editjpilot.c
	* src/editjpilot.h
	* src/editldap.c
	* src/editldap.h
	* src/editldap_basedn.c
	* src/editldap_basedn.h
	* src/edittags.c
	* src/edittags.h
	* src/editvcard.c
	* src/editvcard.h
	* src/enriched.c
	* src/enriched.h
	* src/entity.c
	* src/entity.h
	* src/etpan/etpan-errors.h
	* src/etpan/etpan-ssl.c
	* src/etpan/etpan-ssl.h
	* src/etpan/etpan-thread-manager-types.h
	* src/etpan/etpan-thread-manager.c
	* src/etpan/etpan-thread-manager.h
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
	* src/etpan/nntp-thread.c
	* src/etpan/nntp-thread.h
	* src/exphtmldlg.c
	* src/exphtmldlg.h
	* src/expldifdlg.c
	* src/expldifdlg.h
	* src/export.c
	* src/export.h
	* src/exporthtml.c
	* src/exporthtml.h
	* src/exportldif.c
	* src/exportldif.h
	* src/file_checker.c
	* src/file_checker.h
	* src/filtering.c
	* src/filtering.h
	* src/folder.c
	* src/folder.h
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/foldersel.c
	* src/foldersel.h
	* src/folderutils.c
	* src/folderutils.h
	* src/folderview.c
	* src/folderview.h
	* src/grouplistdialog.c
	* src/grouplistdialog.h
	* src/gtk/about.c
	* src/gtk/about.h
	* src/gtk/colorlabel.c
	* src/gtk/colorlabel.h
	* src/gtk/combobox.c
	* src/gtk/combobox.h
	* src/gtk/description_window.c
	* src/gtk/description_window.h
	* src/gtk/filesel.c
	* src/gtk/filesel.h
	* src/gtk/foldersort.c
	* src/gtk/foldersort.h
	* src/gtk/gtksctree.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/icon_legend.c
	* src/gtk/icon_legend.h
	* src/gtk/inputdialog.c
	* src/gtk/inputdialog.h
	* src/gtk/logwindow.c
	* src/gtk/logwindow.h
	* src/gtk/manage_window.c
	* src/gtk/manage_window.h
	* src/gtk/menu.c
	* src/gtk/menu.h
	* src/gtk/pluginwindow.c
	* src/gtk/pluginwindow.h
	* src/gtk/prefswindow.c
	* src/gtk/prefswindow.h
	* src/gtk/progressdialog.c
	* src/gtk/progressdialog.h
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
	* src/gtk/sslcertwindow.c
	* src/gtk/sslcertwindow.h
	* src/gtk/w32_filesel.c
	* src/headerview.c
	* src/headerview.h
	* src/html.c
	* src/html.h
	* src/image_viewer.c
	* src/image_viewer.h
	* src/imap.c
	* src/imap.h
	* src/imap_gtk.c
	* src/imap_gtk.h
	* src/import.c
	* src/import.h
	* src/importldif.c
	* src/importldif.h
	* src/importmutt.c
	* src/importmutt.h
	* src/importpine.c
	* src/importpine.h
	* src/inc.c
	* src/inc.h
	* src/jpilot.c
	* src/jpilot.h
	* src/ldapctrl.c
	* src/ldapctrl.h
	* src/ldaplocate.c
	* src/ldaplocate.h
	* src/ldapquery.c
	* src/ldapquery.h
	* src/ldapserver.c
	* src/ldapserver.h
	* src/ldapupdate.c
	* src/ldapupdate.h
	* src/ldaputil.c
	* src/ldaputil.h
	* src/ldif.c
	* src/ldif.h
	* src/localfolder.c
	* src/localfolder.h
	* src/main.c
	* src/main.h
	* src/mainwindow.c
	* src/mainwindow.h
	* src/manual.c
	* src/manual.h
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser.h
	* src/matcher_parser_lex.h
	* src/matcher_parser_lex.l
	* src/matcher_parser_parse.y
	* src/matchertypes.h
	* src/mbox.c
	* src/mbox.h
	* src/message_search.c
	* src/message_search.h
	* src/messageview.c
	* src/messageview.h
	* src/mh.c
	* src/mh.h
	* src/mh_gtk.c
	* src/mh_gtk.h
	* src/mimeview.c
	* src/mimeview.h
	* src/msgcache.c
	* src/msgcache.h
	* src/mutt.c
	* src/mutt.h
	* src/news.c
	* src/news.h
	* src/news_gtk.c
	* src/news_gtk.h
	* src/noticeview.c
	* src/noticeview.h
	* src/oauth2.c
	* src/oauth2.h
	* src/partial_download.c
	* src/partial_download.h
	* src/password.c
	* src/password.h
	* src/password_gtk.c
	* src/password_gtk.h
	* src/passwordstore.c
	* src/passwordstore.h
	* src/pine.c
	* src/pine.h
	* src/plugins/acpi_notifier/acpi_notifier.c
	* src/plugins/address_keeper/address_keeper.c
	* src/plugins/address_keeper/address_keeper.h
	* src/plugins/address_keeper/address_keeper_prefs.c
	* src/plugins/address_keeper/address_keeper_prefs.h
	* src/plugins/archive/archiver.c
	* src/plugins/archive/archiver.h
	* src/plugins/archive/archiver_gtk.c
	* src/plugins/archive/archiver_prefs.c
	* src/plugins/archive/archiver_prefs.h
	* src/plugins/archive/libarchive_archive.c
	* src/plugins/archive/libarchive_archive.h
	* src/plugins/att_remover/att_remover.c
	* src/plugins/attachwarner/attachwarner.c
	* src/plugins/attachwarner/attachwarner.h
	* src/plugins/attachwarner/attachwarner_prefs.c
	* src/plugins/attachwarner/attachwarner_prefs.h
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/bsfilter/bsfilter.c
	* src/plugins/bsfilter/bsfilter.h
	* src/plugins/bsfilter/bsfilter_gtk.c
	* src/plugins/clamd/clamav_plugin.c
	* src/plugins/clamd/clamav_plugin.h
	* src/plugins/clamd/clamav_plugin_gtk.c
	* src/plugins/clamd/libclamd/clamd-plugin.c
	* src/plugins/clamd/libclamd/clamd-plugin.h
	* src/plugins/demo/demo.c
	* src/plugins/dillo/dillo_prefs.c
	* src/plugins/dillo/dillo_prefs.h
	* src/plugins/dillo/dillo_viewer.c
	* src/plugins/fancy/fancy_prefs.c
	* src/plugins/fancy/fancy_prefs.h
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h
	* src/plugins/fetchinfo/fetchinfo_plugin.c
	* src/plugins/fetchinfo/fetchinfo_plugin.h
	* src/plugins/fetchinfo/fetchinfo_plugin_gtk.c
	* src/plugins/gdata/cm_gdata_prefs.c
	* src/plugins/keyword_warner/keyword_warner.c
	* src/plugins/keyword_warner/keyword_warner.h
	* src/plugins/keyword_warner/keyword_warner_prefs.c
	* src/plugins/keyword_warner/keyword_warner_prefs.h
	* src/plugins/libravatar/libravatar.c
	* src/plugins/libravatar/libravatar.h
	* src/plugins/libravatar/libravatar_cache.c
	* src/plugins/libravatar/libravatar_cache.h
	* src/plugins/libravatar/libravatar_federation.c
	* src/plugins/libravatar/libravatar_federation.h
	* src/plugins/libravatar/libravatar_image.c
	* src/plugins/libravatar/libravatar_image.h
	* src/plugins/libravatar/libravatar_missing.c
	* src/plugins/libravatar/libravatar_missing.h
	* src/plugins/libravatar/libravatar_prefs.c
	* src/plugins/libravatar/libravatar_prefs.h
	* src/plugins/litehtml_viewer/container_linux.cpp
	* src/plugins/litehtml_viewer/container_linux.h
	* .../litehtml_viewer/container_linux_images.cpp
	* src/plugins/litehtml_viewer/http.cpp
	* src/plugins/litehtml_viewer/http.h
	* src/plugins/litehtml_viewer/lh_prefs.c
	* src/plugins/litehtml_viewer/lh_prefs.h
	* src/plugins/litehtml_viewer/lh_viewer.c
	* src/plugins/litehtml_viewer/lh_viewer.h
	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/litehtml_viewer/lh_widget.h
	* src/plugins/litehtml_viewer/lh_widget_text.cpp
	* src/plugins/litehtml_viewer/lh_widget_wrapped.h
	* src/plugins/litehtml_viewer/plugin.c
	* src/plugins/mailmbox/mailmbox_folder.c
	* src/plugins/mailmbox/mailmbox_folder.h
	* src/plugins/managesieve/managesieve.c
	* src/plugins/managesieve/managesieve.h
	* src/plugins/managesieve/sieve_editor.c
	* src/plugins/managesieve/sieve_editor.h
	* src/plugins/managesieve/sieve_manager.c
	* src/plugins/managesieve/sieve_manager.h
	* src/plugins/managesieve/sieve_plugin.c
	* src/plugins/managesieve/sieve_prefs.c
	* src/plugins/managesieve/sieve_prefs.h
	* src/plugins/newmail/newmail.c
	* src/plugins/notification/notification_banner.c
	* src/plugins/notification/notification_prefs.c
	* src/plugins/pdf_viewer/poppler_viewer.c
	* src/plugins/pdf_viewer/poppler_viewer.h
	* src/plugins/perl/perl_gtk.c
	* src/plugins/perl/perl_gtk.h
	* src/plugins/perl/perl_plugin.c
	* src/plugins/perl/perl_plugin.h
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/pgpcore/passphrase.h
	* src/plugins/pgpcore/pgp_utils.c
	* src/plugins/pgpcore/pgp_utils.h
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/pgp_viewer.h
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/pgpcore/prefs_gpg.h
	* src/plugins/pgpcore/select-keys.c
	* src/plugins/pgpcore/select-keys.h
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpcore/sgpgme.h
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpinline/pgpinline.h
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/pgpmime.h
	* src/plugins/pgpmime/plugin.c
	* src/plugins/python/clawsmailmodule.c
	* src/plugins/python/examples/README.examples
	* src/plugins/rssyl/opml_export.c
	* src/plugins/rssyl/opml_import.c
	* src/plugins/rssyl/parse822.c
	* src/plugins/rssyl/plugin.c
	* src/plugins/rssyl/rssyl.c
	* src/plugins/rssyl/rssyl_add_item.c
	* src/plugins/rssyl/rssyl_cb_menu.c
	* src/plugins/rssyl/rssyl_deleted.c
	* src/plugins/rssyl/rssyl_feed_props.c
	* src/plugins/rssyl/rssyl_gtk.c
	* src/plugins/rssyl/rssyl_prefs.c
	* src/plugins/rssyl/rssyl_prefs.h
	* src/plugins/rssyl/rssyl_subscribe.c
	* src/plugins/rssyl/rssyl_subscribe_gtk.c
	* src/plugins/rssyl/strutils.c
	* src/plugins/smime/plugin.c
	* src/plugins/smime/smime.c
	* src/plugins/smime/smime.h
	* src/plugins/spam_report/spam_report.c
	* src/plugins/spam_report/spam_report_prefs.c
	* src/plugins/spam_report/spam_report_prefs.h
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin.h
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/tnef_parse/tnef_dump.c
	* src/plugins/tnef_parse/tnef_dump.h
	* src/plugins/tnef_parse/tnef_parse.c
	* src/plugins/vcalendar/common-views.c
	* src/plugins/vcalendar/day-view.c
	* src/plugins/vcalendar/month-view.c
	* src/plugins/vcalendar/plugin.c
	* src/plugins/vcalendar/vcal_dbus.c
	* src/plugins/vcalendar/vcal_dbus.h
	* src/plugins/vcalendar/vcal_folder.c
	* src/plugins/vcalendar/vcal_folder.h
	* src/plugins/vcalendar/vcal_interface.h
	* src/plugins/vcalendar/vcal_manager.c
	* src/plugins/vcalendar/vcal_manager.h
	* src/plugins/vcalendar/vcal_meeting_gtk.c
	* src/plugins/vcalendar/vcal_meeting_gtk.h
	* src/plugins/vcalendar/vcal_prefs.c
	* src/plugins/vcalendar/vcal_prefs.h
	* src/plugins/vcalendar/vcalendar.c
	* src/plugins/vcalendar/vcalendar.h
	* src/pop.c
	* src/pop.h
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_actions.c
	* src/prefs_actions.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_compose_writing.c
	* src/prefs_compose_writing.h
	* src/prefs_customheader.c
	* src/prefs_customheader.h
	* src/prefs_display_header.c
	* src/prefs_display_header.h
	* src/prefs_ext_prog.c
	* src/prefs_ext_prog.h
	* src/prefs_filtering.c
	* src/prefs_filtering.h
	* src/prefs_filtering_action.c
	* src/prefs_filtering_action.h
	* src/prefs_folder_column.c
	* src/prefs_folder_column.h
	* src/prefs_folder_item.c
	* src/prefs_folder_item.h
	* src/prefs_fonts.c
	* src/prefs_fonts.h
	* src/prefs_gtk.c
	* src/prefs_gtk.h
	* src/prefs_image_viewer.c
	* src/prefs_image_viewer.h
	* src/prefs_logging.c
	* src/prefs_logging.h
	* src/prefs_matcher.c
	* src/prefs_matcher.h
	* src/prefs_message.c
	* src/prefs_message.h
	* src/prefs_migration.c
	* src/prefs_migration.h
	* src/prefs_msg_colors.c
	* src/prefs_msg_colors.h
	* src/prefs_other.c
	* src/prefs_other.h
	* src/prefs_proxy.c
	* src/prefs_proxy.h
	* src/prefs_quote.c
	* src/prefs_quote.h
	* src/prefs_receive.c
	* src/prefs_receive.h
	* src/prefs_send.c
	* src/prefs_send.h
	* src/prefs_spelling.c
	* src/prefs_spelling.h
	* src/prefs_summaries.c
	* src/prefs_summaries.h
	* src/prefs_summary_column.c
	* src/prefs_summary_column.h
	* src/prefs_summary_open.c
	* src/prefs_summary_open.h
	* src/prefs_themes.c
	* src/prefs_themes.h
	* src/prefs_toolbar.c
	* src/prefs_toolbar.h
	* src/prefs_wrapping.c
	* src/prefs_wrapping.h
	* src/printing.c
	* src/printing.h
	* src/privacy.c
	* src/privacy.h
	* src/procheader.c
	* src/procheader.h
	* src/procmime.c
	* src/procmime.h
	* src/procmsg.c
	* src/procmsg.h
	* src/proctypes.h
	* src/quote_fmt.c
	* src/quote_fmt.h
	* src/quote_fmt_lex.h
	* src/quote_fmt_lex.l
	* src/quote_fmt_parse.y
	* src/recv.c
	* src/recv.h
	* src/remotefolder.c
	* src/remotefolder.h
	* src/send_message.c
	* src/send_message.h
	* src/setup.c
	* src/setup.h
	* src/sourcewindow.c
	* src/sourcewindow.h
	* src/ssl_manager.c
	* src/ssl_manager.h
	* src/statusbar.c
	* src/statusbar.h
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/summary_search.c
	* src/summary_search.h
	* src/summaryview.c
	* src/summaryview.h
	* src/textview.c
	* src/textview.h
	* src/toolbar.c
	* src/toolbar.h
	* src/undo.c
	* src/undo.h
	* src/uri_opener.c
	* src/uri_opener.h
	* src/vcard.c
	* src/vcard.h
	* src/viewtypes.h
	* src/wizard.c
	* src/wizard.h		
		Honor GTK project name¹, except some files…  …where it refers to
		previous name of the project.  ¹
		
		tml

2022-03-15  [paul] 3.18.0-345-g775c28496

	* po/POTFILES.in		
		add keyword_warner

2022-03-15  [paul] 4.0.0-427-geb7d43ad8

	* po/POTFILES.in		
		add keyword_warner

2022-03-15  [paul] 4.0.0-426-g38e2ce94e

	* src/gtk/prefswindow.c		
		cosmetic changes to prefs pages

2022-03-14  [paul] 3.18.0-344-g853503149

	* src/common/plugin.c		
		fix English usage

2022-03-14  [paul] 4.0.0-425-gbacc3a60f

	* src/common/plugin.c		
		fix English usage

2022-03-14  [paul] 3.18.0-343-gecf710cea

	* src/plugins/attachwarner/attachwarner_prefs.c
	* src/plugins/keyword_warner/keyword_warner_prefs.c		
		some minor changes to ui

2022-03-14  [paul] 4.0.0-424-g06837ab6d

	* src/plugins/attachwarner/attachwarner_prefs.c
	* src/plugins/keyword_warner/keyword_warner_prefs.c		
		some minor changes to ui

2022-03-11  [paul] 3.18.0-342-g7bd4827a9

	* src/plugins/keyword_warner/keyword_warner.c
	* src/plugins/keyword_warner/keyword_warner_prefs.c		
		improve plugin description, and remove unnecessary underscores

2022-03-11  [paul] 4.0.0-423-gf6918f9d7

	* src/plugins/keyword_warner/keyword_warner.c
	* src/plugins/keyword_warner/keyword_warner_prefs.c		
		improve plugin description, and remove unnecessary underscores

2022-03-09  [wwp] 4.0.0-422-gaf51609d2

	* src/plugins/address_keeper/address_keeper.c
	* src/plugins/attachwarner/attachwarner.c
	* src/plugins/keyword_warner/keyword_warner.c		
		Fix crash in attachwarner and keywordwarner plugins when regexp list
		is empty. Rework a bit the logic in the addrkeeper plugin as well.

2022-03-09  [wwp] 3.18.0-341-g0391e584a

	* src/plugins/address_keeper/address_keeper.c
	* src/plugins/attachwarner/attachwarner.c
	* src/plugins/keyword_warner/keyword_warner.c		
		Fix crash in attachwarner and keywordwarner plugins when regexp list
		is empty. Rework a bit the logic in the addrkeeper plugin as well.

2022-03-09  [wwp] 3.18.0-340-g294543ded

	* configure.ac
	* src/plugins/Makefile.am
	* src/plugins/keyword_warner/Makefile.am
	* src/plugins/keyword_warner/keyword_warner.c
	* src/plugins/keyword_warner/keyword_warner.h
	* src/plugins/keyword_warner/keyword_warner_prefs.c
	* src/plugins/keyword_warner/keyword_warner_prefs.h
	* src/plugins/keyword_warner/version.rc.in		
		Ported the keyword_warner plug-in to GTK2.

2022-03-09  [wwp] 3.18.0-339-g442e9ad9b

	* src/plugins/perl/perl_plugin.c		
		Make more strings translatable in the Perl plugin.

2022-03-09  [wwp] 4.0.0-421-gd7f5e949b

	* src/plugins/Makefile.am		
		Add missing keyword_warner to the plugins list.

2022-03-09  [wwp] 4.0.0-420-g075e9a3da

	* src/plugins/perl/perl_plugin.c		
		Make more strings translatable in the Perl plugin.

2022-03-08  [paul] 4.0.0-419-gfc475e592

	* configure.ac
	* src/plugins/keyword_warner/Makefile.am
	* src/plugins/keyword_warner/keyword_warner.c
	* src/plugins/keyword_warner/keyword_warner.h
	* src/plugins/keyword_warner/keyword_warner_prefs.c
	* src/plugins/keyword_warner/keyword_warner_prefs.h
	* src/plugins/keyword_warner/version.rc.in		
		add keyword_warner plugin

2022-03-07  [paul] 3.18.0-338-g115af738f

	* src/oauth2.c		
		fix bug 4346, 'Error: Certificate is for invalid2.invalid, but
		connection is to imap.gmail.com'  patch by Alphonse

2022-03-07  [paul] 4.0.0-418-gf498ce611

	* src/oauth2.c		
		fix bug 4346, 'Error: Certificate is for invalid2.invalid, but
		connection is to imap.gmail.com'  patch by Alphonse

2022-02-24  [paul] 4.0.0-417-g2c5399049

	* src/alertpanel.c		
		use more comfortable wrap mode

2022-02-24  [paul] 3.18.0-337-gea407c21b

	* src/common/utils.h
	* src/compose.c		
		double the size of MAX_ALLOCA_MEM_SIZE and use standard sizing in
		alertpanel

2022-02-24  [paul] 4.0.0-416-g0720268ba

	* src/common/utils.h
	* src/compose.c		
		double the size of MAX_ALLOCA_MEM_SIZE and use standard sizing in
		alertpanel

2022-02-23  [paul] 3.18.0-336-g5a9e9c5af

	* src/summaryview.c		
		make colour label checkboxes look like radio buttons

2022-02-23  [paul] 4.0.0-415-g2e7b9fe39

	* src/summaryview.c		
		make colour label checkboxes look like radio buttons

2022-02-14  [paul] 3.18.0-335-g0fa8f2c13

	* src/compose.c		
		fix bug where dialogue requesting choice from user is not shown and
		some options are lost (e.g. sign or request return receipt) when
		autosave happens immediately before user closes the window

2022-02-14  [paul] 4.0.0-414-gcca5bb8c5

	* src/compose.c		
		fix bug where dialogue requesting choice from user is not shown and
		some options are lost (e.g. sign or request return receipt) when
		autosave happens immediately before user closes the window

2022-02-10  [paul] 4.0.0-413-g933b67701

	* src/mainwindow.c		
		remove unneeded gtk_event_box_set_visible_window()

2022-02-08  [paul] 4.0.0-412-g59afe3c0a

	* src/mainwindow.c		
		fix View Log button

2022-02-06  [wwp] 4.0.0-411-ge9519f7e8

	* src/gtk/quicksearch.c
	* src/prefs_common.c
	* src/prefs_common.h		
		Make the quicksearch type-ahead keypress delay (before triggering the
		search) customizable using a hidden preference.

2022-02-06  [wwp] 3.18.0-334-gd154d3fe7

	* src/gtk/quicksearch.c
	* src/prefs_common.c
	* src/prefs_common.h		
		Make the quicksearch type-ahead keypress delay (before triggering the
		search) customizable using a hidden preference.

2022-02-01  [paul] 3.18.0-333-g305feef56

	* src/plugins/vcalendar/day-view.c		
		fix old bug where the tooltip in Day View shows the wrong month 
		thanks to John Crisp for reporting

2022-02-01  [paul] 4.0.0-410-g16aa94775

	* src/plugins/vcalendar/day-view.c		
		fix old bug where the tooltip in Day View shows the wrong month 
		thanks to John Crisp for reporting

2022-01-24  [Michael Rasmussen] 4.0.0-409-g4f36256a3

	* src/addressadd.c		
		Fix build error 

2022-01-24  [paul] 4.0.0-408-g0fa34a586

	* src/summary_search.c		
		make this string translatable

2022-01-24  [paul] 4.0.0-407-g2e9da93fe

	* src/prefs_display_header.c		
		fix wrong image on button

2022-01-24  [paul] 4.0.0-406-ge39325645

	* src/addrcustomattr.c
	* src/addrduplicates.c
	* src/addressbook.c
	* src/edittags.c
	* src/plugins/mailmbox/plugin_gtk.c
	* src/plugins/managesieve/sieve_manager.c
	* src/plugins/rssyl/rssyl_cb_menu.c
	* src/plugins/vcalendar/vcal_folder.c
	* src/prefs_actions.c
	* src/prefs_customheader.c
	* src/prefs_filtering.c
	* src/prefs_template.c		
		add image to Delete buttons

2022-01-24  [paul] 4.0.0-405-g817071429

	* src/account.c
	* src/addrcustomattr.c
	* src/addrduplicates.c
	* src/addressadd.c
	* src/addressbook.c
	* src/addressbook_foldersel.c
	* src/addrgather.c
	* src/addrindex.c
	* src/addrmerge.c
	* src/alertpanel.c
	* src/alertpanel.h
	* src/browseldap.c
	* src/compose.c
	* src/editaddress.c
	* src/editbook.c
	* src/editgroup.c
	* src/editjpilot.c
	* src/editldap.c
	* src/editldap_basedn.c
	* src/edittags.c
	* src/editvcard.c
	* src/exphtmldlg.c
	* src/expldifdlg.c
	* src/export.c
	* src/file_checker.c
	* src/foldersel.c
	* src/folderview.c
	* src/gtk/about.c
	* src/gtk/description_window.c
	* src/gtk/foldersort.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/icon_legend.c
	* src/gtk/pluginwindow.c
	* src/gtk/prefswindow.c
	* src/gtk/sslcertwindow.c
	* src/imap.c
	* src/imap_gtk.c
	* src/import.c
	* src/importldif.c
	* src/importmutt.c
	* src/importpine.c
	* src/inc.c
	* src/main.c
	* src/mainwindow.c
	* src/mbox.c
	* src/message_search.c
	* src/messageview.c
	* src/mh_gtk.c
	* src/mimeview.c
	* src/news.c
	* src/news_gtk.c
	* src/plugins/archive/archiver_gtk.c
	* src/plugins/att_remover/att_remover.c
	* src/plugins/attachwarner/attachwarner.c
	* src/plugins/libravatar/libravatar_prefs.c
	* src/plugins/mailmbox/plugin_gtk.c
	* src/plugins/managesieve/sieve_editor.c
	* src/plugins/managesieve/sieve_manager.c
	* .../notification/notification_foldercheck.c
	* src/plugins/notification/notification_trayicon.c
	* src/plugins/pdf_viewer/poppler_viewer.c
	* src/plugins/perl/perl_plugin.c
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/select-keys.c
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/rssyl/rssyl_cb_menu.c
	* src/plugins/vcalendar/vcal_folder.c
	* src/plugins/vcalendar/vcal_meeting_gtk.c
	* src/plugins/vcalendar/vcalendar.c
	* src/prefs_actions.c
	* src/prefs_customheader.c
	* src/prefs_display_header.c
	* src/prefs_filtering.c
	* src/prefs_filtering_action.c
	* src/prefs_folder_column.c
	* src/prefs_folder_item.c
	* src/prefs_matcher.c
	* src/prefs_migration.c
	* src/prefs_other.c
	* src/prefs_summaries.c
	* src/prefs_summary_column.c
	* src/prefs_summary_open.c
	* src/prefs_template.c
	* src/prefs_themes.c
	* src/send_message.c
	* src/ssl_manager.c
	* src/summary_search.c
	* src/summaryview.c
	* src/textview.c
	* src/toolbar.c
	* src/uri_opener.c		
		fix a bunch of buttons in dark corners. add some images to others

2022-01-17  [Jonathan Boeing] 4.0.0-404-gfdbb06fa7

	* src/Makefile.am
	* src/plugins/address_keeper/Makefile.am
	* src/plugins/address_keeper/claws.def
	* src/plugins/address_keeper/plugin.def
	* src/plugins/att_remover/Makefile.am
	* src/plugins/att_remover/claws.def
	* src/plugins/att_remover/plugin.def
	* src/plugins/attachwarner/Makefile.am
	* src/plugins/attachwarner/claws.def
	* src/plugins/attachwarner/plugin.def
	* src/plugins/bsfilter/Makefile.am
	* src/plugins/bsfilter/claws.def
	* src/plugins/bsfilter/plugin.def
	* src/plugins/fancy/Makefile.am
	* src/plugins/fancy/claws.def
	* src/plugins/fancy/plugin.def
	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/fetchinfo/claws.def
	* src/plugins/fetchinfo/plugin.def
	* src/plugins/libravatar/Makefile.am
	* src/plugins/libravatar/claws.def
	* src/plugins/libravatar/plugin.def
	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/litehtml_viewer/claws.def
	* src/plugins/litehtml_viewer/plugin.def
	* src/plugins/mailmbox/Makefile.am
	* src/plugins/mailmbox/claws.def
	* src/plugins/mailmbox/plugin.def
	* src/plugins/managesieve/Makefile.am
	* src/plugins/managesieve/claws.def
	* src/plugins/managesieve/plugin.def
	* src/plugins/notification/Makefile.am
	* src/plugins/notification/claws.def
	* src/plugins/notification/plugin.def
	* src/plugins/pdf_viewer/Makefile.am
	* src/plugins/pdf_viewer/claws.def
	* src/plugins/pdf_viewer/plugin.def
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpcore/claws.def
	* src/plugins/pgpcore/plugin.def
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpinline/claws.def
	* src/plugins/pgpinline/mypgpcore.def
	* src/plugins/pgpinline/plugin.def
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/pgpmime/claws.def
	* src/plugins/pgpmime/mypgpcore.def
	* src/plugins/pgpmime/plugin.def
	* src/plugins/rssyl/Makefile.am
	* src/plugins/rssyl/claws.def
	* src/plugins/rssyl/plugin.def
	* src/plugins/smime/Makefile.am
	* src/plugins/smime/claws.def
	* src/plugins/smime/mypgpcore.def
	* src/plugins/smime/plugin.def
	* src/plugins/spam_report/Makefile.am
	* src/plugins/spam_report/claws.def
	* src/plugins/spam_report/plugin.def
	* src/plugins/tnef_parse/Makefile.am
	* src/plugins/tnef_parse/claws.def
	* src/plugins/tnef_parse/plugin.def
	* src/plugins/vcalendar/Makefile.am
	* src/plugins/vcalendar/claws.def
	* src/plugins/vcalendar/plugin.def
	* src/plugins/win_pgpcore.mk
	* src/plugins/win_plugin.mk		
		Clean up plugin build files for Windows  Drop explicit .def files and
		rely on linker auto-import/export Move boilerplate to common automake
		include fragments

2022-01-17  [Jonathan Boeing] 3.18.0-332-g8ad86a330

	* src/Makefile.am
	* src/plugins/address_keeper/Makefile.am
	* src/plugins/address_keeper/claws.def
	* src/plugins/address_keeper/plugin.def
	* src/plugins/att_remover/Makefile.am
	* src/plugins/att_remover/claws.def
	* src/plugins/att_remover/plugin.def
	* src/plugins/attachwarner/Makefile.am
	* src/plugins/attachwarner/claws.def
	* src/plugins/attachwarner/plugin.def
	* src/plugins/bsfilter/Makefile.am
	* src/plugins/bsfilter/claws.def
	* src/plugins/bsfilter/plugin.def
	* src/plugins/fancy/Makefile.am
	* src/plugins/fancy/claws.def
	* src/plugins/fancy/plugin.def
	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/fetchinfo/claws.def
	* src/plugins/fetchinfo/plugin.def
	* src/plugins/libravatar/Makefile.am
	* src/plugins/libravatar/claws.def
	* src/plugins/libravatar/plugin.def
	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/litehtml_viewer/claws.def
	* src/plugins/litehtml_viewer/plugin.def
	* src/plugins/mailmbox/Makefile.am
	* src/plugins/mailmbox/claws.def
	* src/plugins/mailmbox/plugin.def
	* src/plugins/managesieve/Makefile.am
	* src/plugins/managesieve/claws.def
	* src/plugins/managesieve/plugin.def
	* src/plugins/notification/Makefile.am
	* src/plugins/notification/claws.def
	* src/plugins/notification/plugin.def
	* src/plugins/pdf_viewer/Makefile.am
	* src/plugins/pdf_viewer/claws.def
	* src/plugins/pdf_viewer/plugin.def
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpcore/claws.def
	* src/plugins/pgpcore/plugin.def
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpinline/claws.def
	* src/plugins/pgpinline/mypgpcore.def
	* src/plugins/pgpinline/plugin.def
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/pgpmime/claws.def
	* src/plugins/pgpmime/mypgpcore.def
	* src/plugins/pgpmime/plugin.def
	* src/plugins/rssyl/Makefile.am
	* src/plugins/rssyl/claws.def
	* src/plugins/rssyl/plugin.def
	* src/plugins/smime/Makefile.am
	* src/plugins/smime/claws.def
	* src/plugins/smime/mypgpcore.def
	* src/plugins/smime/plugin.def
	* src/plugins/spam_report/Makefile.am
	* src/plugins/spam_report/claws.def
	* src/plugins/spam_report/plugin.def
	* src/plugins/tnef_parse/Makefile.am
	* src/plugins/tnef_parse/claws.def
	* src/plugins/tnef_parse/plugin.def
	* src/plugins/vcalendar/Makefile.am
	* src/plugins/vcalendar/claws.def
	* src/plugins/vcalendar/plugin.def
	* src/plugins/win_pgpcore.mk
	* src/plugins/win_plugin.mk		
		Clean up plugin build files for Windows  Drop explicit .def files and
		rely on linker auto-import/export Move boilerplate to common automake
		include fragments

2022-01-21  [wwp] 3.18.0-331-g32b585d59

	* src/plugins/vcalendar/vcalendar.c		
		Fix wrong call to g_return_val_if_fail in a func w/ no expected
		return value.

2022-01-21  [wwp] 4.0.0-403-gddbb7286e

	* src/plugins/vcalendar/vcalendar.c		
		Fix wrong call to g_return_val_if_fail in a func w/ no expected
		return value.

2022-01-19  [paul] 3.18.0-330-gb87fc3c41

	* src/plugins/vcalendar/vcalendar.c		
		fix bug 4442, 'vcalendar segfault if in invitation email and switch
		to another folder'

2022-01-19  [paul] 4.0.0-402-g84455a6c0

	* src/plugins/vcalendar/vcalendar.c		
		fix bug 4442, 'vcalendar segfault if in invitation email and switch
		to another folder'

2022-01-13  [paul] 3.18.0-329-g54665f4fa

	* README
	* src/gtk/about.c		
		update copyright year

2022-01-13  [paul] 4.0.0-401-g03d035f2e

	* README
	* src/gtk/about.c		
		update copyright year

2022-01-13  [paul] 3.18.0-328-gc81b5638a

	* src/oauth2.c		
		improve the storage of refresh tokens for microsoft users  patch by
		David Fletcher

2022-01-13  [paul] 4.0.0-400-gbd288570a

	* src/oauth2.c		
		improve the storage of refresh tokens for microsoft users  patch by
		David Fletcher

2022-01-04  [Colin Leroy-Mira] 3.18.0-327-gf2a5429ae

	* src/oauth2.c		
		Fix uses after frees

2022-01-04  [Colin Leroy-Mira] 4.0.0-399-g2c79a264d

	* src/oauth2.c		
		Fix uses after frees

2022-01-04  [Michael Rasmussen] 3.18.0-326-g7182ba2d6

	* src/compose.c		
		Use internal function alertpanel_error instead of gtk_message_dialog 

2022-01-04  [Michael Rasmussen] 4.0.0-398-g75a2656e7

	* src/compose.c		
		Fix CID 1496850 

2022-01-03  [Michael Rasmussen] 4.0.0-397-g3d221d4dd

	* src/compose.c		
		Use internal function alertpanel_error instead of gtk_message_dialog 

2022-01-03  [Colin Leroy] 4.0.0-396-g3b2fc511f

	* src/oauth2.c		
		Fix CID 1495421 and 1495420

2022-01-03  [Colin Leroy] 3.18.0-325-g9171e908b

	* src/oauth2.c		
		Fix CID 1495421 and 1495420

2022-01-02  [Michael Rasmussen] 3.18.0-324-gb7792aad0

	* src/common/utils.h		
		Fix -Wformat warnings. Adapted patch for gtk3 branch by Jonathan
		Boeing 

2021-12-29  [Jonathan Boeing] 4.0.0-395-g28b9c8e65

	* src/common/utils.h		
		Fix -Wformat warnings

2022-01-02  [Jonathan Boeing] 3.18.0-323-g67f11d627

	* manual/Makefile.am		
		Don't assume docbook2pdf variable is set

2022-01-02  [Jonathan Boeing] 4.0.0-394-g7464133af

	* manual/Makefile.am		
		Don't assume docbook2pdf variable is set

2022-01-01  [Michael Rasmussen] 3.18.0-322-g5ae9cfbe8

	* src/compose.c		
		Fix CID 1496033 

2022-01-01  [Michael Rasmussen] 3.18.0-321-g8c8be5e01

	* src/quote_fmt_parse.y		
		Fix CID 1496026 

2022-01-01  [Michael Rasmussen] 4.0.0-393-g39d152b96

	* src/compose.c		
		Fix CID 1496033 

2022-01-01  [Michael Rasmussen] 4.0.0-392-gb678f5169

	* src/quote_fmt_parse.y		
		Fix CID 1496026 

2021-11-29  [Jonathan Boeing] 3.18.0-320-g029cf7820

	* .gitignore
	* configure.ac
	* manual/Makefile.am
	* manual/de/Makefile.am
	* manual/de/dist/Makefile.am
	* manual/de/dist/html/Makefile.am
	* manual/de/dist/pdf/Makefile.am
	* manual/de/dist/ps/Makefile.am
	* manual/de/dist/txt/Makefile.am
	* manual/dist/Makefile.am
	* manual/dist/html/Makefile.am
	* manual/dist/pdf/Makefile.am
	* manual/dist/ps/Makefile.am
	* manual/dist/txt/Makefile.am
	* manual/dtd/Makefile.am
	* manual/dtd/manual.dsl
	* manual/dtd/manual.xsl
	* manual/{ => en}/account.xml
	* manual/{ => en}/ack.xml
	* manual/{ => en}/addrbook.xml
	* manual/{ => en}/advanced.xml
	* manual/{ => en}/claws-mail-manual.xml
	* manual/{ => en}/faq.xml
	* manual/{ => en}/glossary.xml
	* manual/{ => en}/gpl.xml
	* manual/{ => en}/handling.xml
	* manual/{ => en}/intro.xml
	* manual/{ => en}/keyboard.xml
	* manual/{ => en}/plugins.xml
	* manual/{ => en}/starting.xml
	* manual/es/Makefile.am
	* manual/es/dist/Makefile.am
	* manual/es/dist/html/Makefile.am
	* manual/es/dist/pdf/Makefile.am
	* manual/es/dist/ps/Makefile.am
	* manual/es/dist/txt/Makefile.am
	* manual/fr/Makefile.am
	* manual/fr/dist/Makefile.am
	* manual/fr/dist/html/Makefile.am
	* manual/fr/dist/pdf/Makefile.am
	* manual/fr/dist/ps/Makefile.am
	* manual/fr/dist/txt/Makefile.am
	* manual/pl/Makefile.am
	* manual/pl/dist/Makefile.am
	* manual/pl/dist/html/Makefile.am
	* manual/pl/dist/pdf/Makefile.am
	* manual/pl/dist/ps/Makefile.am
	* manual/pl/dist/txt/Makefile.am		
		Build manuals in parallel

2021-11-20  [Jonathan Boeing] 3.18.0-319-g48b2af2c1

	* src/compose.c		
		Fix -Wmaybe-uninitialized warning on Windows

2021-11-20  [Jonathan Boeing] 3.18.0-318-g67d3d844e

	* src/plugins/mailmbox/mailimf.c		
		Fix clang -Wunused-function warning

2021-11-20  [Jonathan Boeing] 3.18.0-317-gff596f89b

	* src/plugins/perl/perl_plugin.c		
		Fix clang -Wmacro-redefined warning

2021-11-20  [Jonathan Boeing] 3.18.0-316-g5e410ca8d

	* src/plugins/managesieve/sieve_prefs.c		
		Fix clang -Wformat warning

2021-11-20  [Jonathan Boeing] 3.18.0-315-gc98e80d79

	* src/plugins/notification/gtkhotkey/x11/eggaccelerators.c		
		Fix clang -Wenum-conversion warning

2021-11-20  [Jonathan Boeing] 3.18.0-314-gdf67123b4

	* src/wizard.c		
		Fix clang -Wnon-literal-null-conversion warning

2021-11-20  [Jonathan Boeing] 3.18.0-313-gea8e47385

	* src/prefs_account.c		
		Fix clang -Wlogical-not-parentheses warning

2021-11-20  [Jonathan Boeing] 3.18.0-312-gc8f34c6fc

	* src/toolbar.c		
		Fix clang -Wmisleading-indentation warning

2021-11-20  [Jonathan Boeing] 3.18.0-311-gdb7fb751a

	* src/prefs_account.c		
		Fix clang -Wmisleading-indentation warning

2021-11-20  [Jonathan Boeing] 3.18.0-310-gac0b067d0

	* src/filtering.c		
		Fix clang -Wmisleading-indentation warning

2021-11-20  [Jonathan Boeing] 3.18.0-309-gfa83e0804

	* src/summaryview.c		
		Fix -Wunused-variable warning

2021-11-21  [Jonathan Boeing] 3.18.0-308-gf118b01ea

	* src/plugins/litehtml_viewer/container_linux.cpp		
		Fix memory leak found

2021-11-20  [Jonathan Boeing] 3.18.0-307-gf2ce6d5c7

	* configure.ac
	* src/common/utils.c
	* src/plugins/libravatar/libravatar_missing.c
	* src/plugins/rssyl/rssyl_add_item.c
	* src/plugins/rssyl/rssyl_deleted.c		
		Use CM_TIME_FORMAT instead of casting

2021-11-29  [Jonathan Boeing] 4.0.0-391-g3e67cbb91

	* .gitignore
	* configure.ac
	* manual/Makefile.am
	* manual/de/Makefile.am
	* manual/de/dist/Makefile.am
	* manual/de/dist/html/Makefile.am
	* manual/de/dist/pdf/Makefile.am
	* manual/de/dist/ps/Makefile.am
	* manual/de/dist/txt/Makefile.am
	* manual/dist/Makefile.am
	* manual/dist/html/Makefile.am
	* manual/dist/pdf/Makefile.am
	* manual/dist/ps/Makefile.am
	* manual/dist/txt/Makefile.am
	* manual/dtd/Makefile.am
	* manual/dtd/manual.dsl
	* manual/dtd/manual.xsl
	* manual/{ => en}/account.xml
	* manual/{ => en}/ack.xml
	* manual/{ => en}/addrbook.xml
	* manual/{ => en}/advanced.xml
	* manual/{ => en}/claws-mail-manual.xml
	* manual/{ => en}/faq.xml
	* manual/{ => en}/glossary.xml
	* manual/{ => en}/gpl.xml
	* manual/{ => en}/handling.xml
	* manual/{ => en}/intro.xml
	* manual/{ => en}/keyboard.xml
	* manual/{ => en}/plugins.xml
	* manual/{ => en}/starting.xml
	* manual/es/Makefile.am
	* manual/es/dist/Makefile.am
	* manual/es/dist/html/Makefile.am
	* manual/es/dist/pdf/Makefile.am
	* manual/es/dist/ps/Makefile.am
	* manual/es/dist/txt/Makefile.am
	* manual/fr/Makefile.am
	* manual/fr/dist/Makefile.am
	* manual/fr/dist/html/Makefile.am
	* manual/fr/dist/pdf/Makefile.am
	* manual/fr/dist/ps/Makefile.am
	* manual/fr/dist/txt/Makefile.am
	* manual/pl/Makefile.am
	* manual/pl/dist/Makefile.am
	* manual/pl/dist/html/Makefile.am
	* manual/pl/dist/pdf/Makefile.am
	* manual/pl/dist/ps/Makefile.am
	* manual/pl/dist/txt/Makefile.am		
		Build manuals in parallel

2021-12-28  [paul] 3.18.0-306-g51dbebb55

	* src/compose.c		
		fix English usage

2021-12-28  [paul] 4.0.0-390-g52a3354ec

	* src/compose.c		
		fix English usage

2021-12-25  [Michael Rasmussen] 3.18.0-305-g4e10965ee

	* src/compose.c		
		Warn when user tries to paste more text into compose window than the
		defined max size in common/utils.h 

2021-12-25  [Michael Rasmussen] 3.18.0-304-gf9fa10468

	* src/common/utils.h		
		Protect alloca function to not request a memory size larger than the
		stack frame size - Causing segmentation faults 

2021-12-25  [Michael Rasmussen] 4.0.0-389-g1a9ec36b0

	* src/compose.c		
		Warn when user tries to paste more text into compose window than the
		defined max size in commons/utils.h 

2021-12-25  [Michael Rasmussen] 4.0.0-388-g156003b4b

	* src/common/utils.h		
		Protect alloca function to not request a memory size larger than the
		stack frame size - Causing segmentation faults 

2021-12-24  [paul] 4.0.0-387-g3afec966f

	* src/mainwindow.c		
		fix bug 4513, 'msg window too small in 3 column layout'  patch by ???

2021-12-17  [paul] 3.18.0-303-gcbf024d6e

	* src/action.c
	* src/compose.c
	* src/editaddress.c
	* src/gtk/gtkaspell.c
	* src/gtk/inputdialog.c
	* src/plugins/python/python-shell.c		
		where GDK_KEY_Return is accepted, also accept GDK_KEY_KP_Enter

2021-12-17  [paul] 4.0.0-386-g82e0e7751

	* src/action.c
	* src/compose.c
	* src/editaddress.c
	* src/gtk/gtkaspell.c
	* src/gtk/inputdialog.c
	* src/plugins/python/python-shell.c		
		where GDK_KEY_Return is accepted, also accept GDK_KEY_KP_Enter

2021-12-17  [paul] 3.18.0-302-g2fb4305ca

	* src/common/utils.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/bsfilter/bsfilter_gtk.c
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/prefs_account.c
	* src/prefs_compose_writing.c
	* src/prefs_matcher.c		
		fix bug 4556, 'Filesize in kilobytes versus kibibytes'

2021-12-17  [paul] 4.0.0-385-g03b2cb8e0

	* src/common/utils.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/bsfilter/bsfilter_gtk.c
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/prefs_account.c
	* src/prefs_compose_writing.c
	* src/prefs_matcher.c		
		fix bug 4556, 'Filesize in kilobytes versus kibibytes'

2021-12-14  [Colin Leroy-Mira] 3.18.0-301-g37aa87d1b

	* src/oauth2.c		
		Fix leaks on previous commit

2021-12-14  [Colin Leroy-Mira] 4.0.0-384-gc49e227ed

	* src/oauth2.c		
		Fix leaks on previous commit

2021-12-14  [Colin Leroy-Mira] 3.18.0-300-g38fc56a7f

	* src/oauth2.c		
		Fix OAUTH URL parameters concatenation

2021-12-14  [Colin Leroy-Mira] 4.0.0-383-g8793b0991

	* src/oauth2.c		
		Fix OAUTH URL parameters concatenation

2021-12-07  [wwp] 4.0.0-382-gba1f90ef6

	* src/plugins/smime/smime.c		
		Fix a crash in case of invalid crypto engine (gpgme_op_verify
		failed).

2021-12-07  [wwp] 3.18.0-299-g29bdb8f76

	* src/plugins/smime/smime.c		
		Fix a crash in case of invalid crypto engine (gpgme_op_verify
		failed).

2021-12-03  [paul] 3.18.0-298-g7edd292d6

	* src/messageview.c		
		in separate msgview Enter key opens currently selected msg  also
		modify when to automatically show the next msg or not when
		moving/deleting current msg

2021-12-03  [paul] 4.0.0-381-g4697baf02

	* src/messageview.c		
		in separate msgview Enter key opens currently selected msg  also
		modify when to automatically show the next msg or not when
		moving/deleting current msg

2021-11-20  [Jonathan Boeing] 4.0.0-380-g728723230

	* src/compose.c		
		Fix -Wmaybe-uninitialized warning on Windows

2021-11-20  [Jonathan Boeing] 4.0.0-379-gce587ea16

	* src/plugins/litehtml_viewer/lh_widget.cpp		
		Fix -Wmaybe-uninitialized warnings

2021-11-20  [Jonathan Boeing] 4.0.0-378-g96c3d0eb9

	* src/plugins/mailmbox/mailimf.c		
		Fix clang -Wunused-function warning

2021-11-20  [Jonathan Boeing] 4.0.0-377-g46f2d1dbc

	* src/plugins/perl/perl_plugin.c		
		Fix clang -Wmacro-redefined warning

2021-11-20  [Jonathan Boeing] 4.0.0-376-g20e0932b9

	* src/plugins/managesieve/sieve_prefs.c		
		Fix clang -Wformat warning

2021-11-20  [Jonathan Boeing] 4.0.0-375-g0801d2ee7

	* src/plugins/notification/gtkhotkey/x11/eggaccelerators.c		
		Fix clang -Wenum-conversion warning

2021-11-20  [Jonathan Boeing] 4.0.0-374-gaeff67563

	* src/plugins/fancy/fancy_viewer.c		
		Fix clang -Wenum-conversion warning

2021-11-20  [Jonathan Boeing] 4.0.0-373-g1fda747aa

	* src/wizard.c		
		Fix clang -Wnon-literal-null-conversion warning

2021-11-20  [Jonathan Boeing] 4.0.0-372-g70bd527aa

	* src/prefs_account.c		
		Fix clang -Wlogical-not-parentheses warning

2021-11-20  [Jonathan Boeing] 4.0.0-371-g9d279a86c

	* src/toolbar.c		
		Fix clang -Wmisleading-indentation warning

2021-11-20  [Jonathan Boeing] 4.0.0-370-ge81e23ed9

	* src/prefs_account.c		
		Fix clang -Wmisleading-indentation warning

2021-11-20  [Jonathan Boeing] 4.0.0-369-g579ce7652

	* src/filtering.c		
		Fix clang -Wmisleading-indentation warning

2021-11-20  [Jonathan Boeing] 4.0.0-368-g9018c2113

	* src/summaryview.c		
		Fix -Wunused-variable warning

2021-11-21  [Jonathan Boeing] 4.0.0-367-g32f1e7daa

	* src/plugins/litehtml_viewer/container_linux.cpp		
		Fix memory leak found

2021-11-19  [Jonathan Boeing] 4.0.0-366-g01b813a45

	* src/gtk/quicksearch.c		
		Fix memory leak found

2021-11-20  [Jonathan Boeing] 4.0.0-365-gb8a90e53e

	* configure.ac
	* src/common/utils.c
	* src/plugins/libravatar/libravatar_missing.c
	* src/plugins/rssyl/rssyl_add_item.c
	* src/plugins/rssyl/rssyl_deleted.c		
		Use CM_TIME_FORMAT instead of casting

2021-11-23  [paul] 3.18.0-297-g32bc9be42

	* src/foldersel.c		
		remove foldersel_entry_activated(, which did nothing but cause an
		invalid signal warning

2021-11-23  [paul] 4.0.0-364-g870b417f9

	* src/foldersel.c		
		remove foldersel_entry_activated(, which did nothing but cause an
		invalid signal warning

2021-11-22  [paul] 3.18.0-296-g6fecf4e8d

	* src/textview.c		
		don't show Tags line twice

2021-11-22  [paul] 4.0.0-363-g9bedd4481

	* src/textview.c		
		don't show Tags line twice

2021-11-06  [Jonathan Boeing] 3.18.0-295-g71e1e70a4

	* configure.ac		
		Use a compile test for time_t format specifier

2021-11-06  [Jonathan Boeing] 3.18.0-294-ga126fd0fa

	* src/etpan/imap-thread.c		
		Remove leftover defines  Remove some leftover solaris bits that were
		first added in bf654ba1, and mostly removed in e2770d27

2021-11-04  [Jonathan Boeing] 3.18.0-293-g50e04af18

	* src/common/passcrypt.c
	* src/common/socket.c
	* src/common/socket.h
	* src/plugins/rssyl/libfeed/date.c		
		Clean up feature test macro definitions

2021-11-05  [Jonathan Boeing] 3.18.0-292-gef3e65978

	* src/plugins/python/clawsmailmodule.c		
		Make config.h the first include

2021-11-05  [Jonathan Boeing] 3.18.0-291-ge2337ced7

	* src/common/file-utils.h
	* src/common/proxy.h
	* src/common/utils.h
	* src/etpan/etpan-ssl.h
	* src/password.h
	* src/password_gtk.h
	* src/plugins/notification/notification_banner.h
	* src/plugins/notification/notification_command.h
	* src/plugins/notification/notification_foldercheck.h
	* src/plugins/notification/notification_hotkeys.h
	* src/plugins/notification/notification_indicator.h
	* src/plugins/notification/notification_lcdproc.h
	* src/plugins/notification/notification_plugin.h
	* src/plugins/notification/notification_popup.h
	* src/plugins/notification/notification_prefs.h
	* src/plugins/notification/notification_trayicon.h
	* src/plugins/pdf_viewer/poppler_viewer.h
	* src/prefs_common.h
	* src/summaryview.h		
		Only include config.h from .c files

2021-11-04  [Jonathan Boeing] 3.18.0-290-ga85f5c4e7

	* src/addrcache.c
	* src/addrclip.c
	* src/addritem.c
	* src/addrquery.c
	* src/addrselect.c
	* src/common/mgutils.c
	* src/common/passcrypt.c
	* src/common/pkcs5_pbkdf2.c
	* src/common/progressindicator.c
	* src/common/quoted-printable.c
	* src/common/stringtable.c
	* src/common/template.c
	* src/common/tests/codeconv_test.c
	* src/common/tests/md5_test.c
	* src/common/tests/pkcs5_pbkdf2_test.c
	* src/common/tests/unmime_test.c
	* src/common/tests/utils_get_serverportfp_from_filename_test.c
	* src/common/tests/utils_get_uri_part_test.c
	* src/common/tests/xml_test.c
	* src/common/uuencode.c
	* src/common/w32_reg.c
	* src/filtering.c
	* src/foldersel.c
	* src/folderutils.c
	* src/folderview.c
	* src/gtk/colorlabel.c
	* src/gtk/foldersort.c
	* src/gtk/gtksctree.c
	* src/gtk/manage_window.c
	* src/ldif.c
	* src/localfolder.c
	* src/mainwindow.c
	* src/messageview.c
	* src/mutt.c
	* src/pine.c
	* src/plugins/demo/demo.c
	* src/plugins/libravatar/libravatar_cache.c
	* src/plugins/libravatar/libravatar_federation.c
	* src/plugins/libravatar/libravatar_missing.c
	* src/plugins/litehtml_viewer/lh_widget_text.cpp
	* src/plugins/mailmbox/carray.c
	* src/plugins/mailmbox/chash.c
	* src/plugins/mailmbox/clist.c
	* src/plugins/mailmbox/mailimf_types.c
	* src/plugins/mailmbox/mailimf_types_helper.c
	* src/plugins/mailmbox/maillock.c
	* src/plugins/mailmbox/mailmbox_parse.c
	* src/plugins/mailmbox/mailmbox_types.c
	* src/plugins/mailmbox/mmapstring.c
	* src/plugins/managesieve/managesieve.c
	* src/plugins/managesieve/sieve_plugin.c
	* src/plugins/newmail/newmail.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-error.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-info.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-key-file-registry.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-listener.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-marshal.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-registry.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-utils.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-x11-listener.c
	* src/plugins/notification/gtkhotkey/x11/eggaccelerators.c
	* src/plugins/notification/gtkhotkey/x11/tomboykeybinder.c
	* src/plugins/notification/notification_pixbuf.c
	* src/plugins/pgpcore/tests/pgp_utils_test.c
	* src/plugins/python/python-shell.c
	* src/plugins/rssyl/libfeed/feed.c
	* src/plugins/rssyl/libfeed/feeditem.c
	* src/plugins/rssyl/libfeed/feeditemenclosure.c
	* src/plugins/rssyl/libfeed/parser_atom10.c
	* src/plugins/rssyl/libfeed/parser_opml.c
	* src/plugins/rssyl/libfeed/parser_rdf.c
	* src/plugins/rssyl/libfeed/parser_rss20.c
	* src/plugins/rssyl/libfeed/tests/date_test.c
	* src/plugins/rssyl/libfeed/tests/feed_test.c
	* src/plugins/rssyl/old_feeds.c
	* src/plugins/rssyl/tests/strutils_test.c
	* src/plugins/spamassassin/utils.c
	* src/prefs_proxy.c
	* src/prefs_template.c
	* src/privacy.c
	* src/procmsg.c
	* src/remotefolder.c
	* src/sourcewindow.c
	* src/summaryview.c
	* src/tests/entity_test.c		
		Add missing config.h includes

2021-11-02  [Jonathan Boeing] 3.18.0-289-g12b3eda9a

	* configure.ac
	* src/Makefile.am		
		Use AM_CFLAGS in configure.ac  Use AM_CFLAGS in configure.ac so that
		CFLAGS given during configure or make take precedence

2021-11-05  [Jonathan Boeing] 3.18.0-288-gc659b1426

	* src/common/socket.c
	* src/common/utils.c
	* src/main.c
	* src/procmime.c		
		Fix -Wunused-function warnings for Windows

2021-11-06  [Jonathan Boeing] 3.18.0-287-g7c5b3f1c2

	* src/addressbook.c
	* src/plugins/litehtml_viewer/lh_viewer.c
	* src/plugins/pgpinline/pgpinline.c		
		Fix -Wunused-function-warnings

2021-11-02  [Jonathan Boeing] 3.18.0-286-g8d0917ab4

	* configure.ac
	* src/Makefile.am		
		Restrict -Wno-unused-function to flex generated files

2021-11-06  [Jonathan Boeing] 3.18.0-285-g3f99b30b0

	* src/plugins/vcalendar/claws.def		
		Fix windows build

2021-11-06  [Jonathan Boeing] 4.0.0-362-g1b9711497

	* configure.ac		
		Use a compile test for time_t format specifier

2021-11-06  [Jonathan Boeing] 4.0.0-361-g4967f15fd

	* src/etpan/imap-thread.c		
		Remove leftover defines  Remove some leftover solaris bits that were
		first added in bf654ba1, and mostly removed in e2770d27

2021-11-04  [Jonathan Boeing] 4.0.0-360-gc2fa37c19

	* src/common/passcrypt.c
	* src/common/socket.c
	* src/common/socket.h
	* src/plugins/rssyl/libfeed/date.c		
		Clean up feature test macro definitions

2021-11-05  [Jonathan Boeing] 4.0.0-359-g7e9e3dc1d

	* src/plugins/python/clawsmailmodule.c		
		Make config.h the first include

2021-11-05  [Jonathan Boeing] 4.0.0-358-g1af27911f

	* src/common/file-utils.h
	* src/common/proxy.h
	* src/common/utils.h
	* src/etpan/etpan-ssl.h
	* src/password.h
	* src/password_gtk.h
	* src/plugins/notification/notification_banner.h
	* src/plugins/notification/notification_command.h
	* src/plugins/notification/notification_foldercheck.h
	* src/plugins/notification/notification_hotkeys.h
	* src/plugins/notification/notification_indicator.h
	* src/plugins/notification/notification_lcdproc.h
	* src/plugins/notification/notification_plugin.h
	* src/plugins/notification/notification_popup.h
	* src/plugins/notification/notification_prefs.h
	* src/plugins/notification/notification_trayicon.h
	* src/plugins/pdf_viewer/poppler_viewer.h
	* src/prefs_common.h
	* src/summaryview.h		
		Only include config.h from .c files

2021-11-04  [Jonathan Boeing] 4.0.0-357-gf54996a2a

	* src/addrcache.c
	* src/addrclip.c
	* src/addritem.c
	* src/addrquery.c
	* src/addrselect.c
	* src/common/mgutils.c
	* src/common/passcrypt.c
	* src/common/pkcs5_pbkdf2.c
	* src/common/progressindicator.c
	* src/common/quoted-printable.c
	* src/common/stringtable.c
	* src/common/template.c
	* src/common/tests/codeconv_test.c
	* src/common/tests/md5_test.c
	* src/common/tests/pkcs5_pbkdf2_test.c
	* src/common/tests/unmime_test.c
	* src/common/tests/utils_get_serverportfp_from_filename_test.c
	* src/common/tests/utils_get_uri_part_test.c
	* src/common/tests/xml_test.c
	* src/common/uuencode.c
	* src/common/w32_reg.c
	* src/filtering.c
	* src/foldersel.c
	* src/folderutils.c
	* src/folderview.c
	* src/gtk/colorlabel.c
	* src/gtk/foldersort.c
	* src/gtk/gtksctree.c
	* src/gtk/manage_window.c
	* src/ldif.c
	* src/localfolder.c
	* src/mainwindow.c
	* src/messageview.c
	* src/mutt.c
	* src/pine.c
	* src/plugins/demo/demo.c
	* src/plugins/libravatar/libravatar_cache.c
	* src/plugins/libravatar/libravatar_federation.c
	* src/plugins/libravatar/libravatar_missing.c
	* src/plugins/litehtml_viewer/lh_widget_text.cpp
	* src/plugins/mailmbox/carray.c
	* src/plugins/mailmbox/chash.c
	* src/plugins/mailmbox/clist.c
	* src/plugins/mailmbox/mailimf_types.c
	* src/plugins/mailmbox/mailimf_types_helper.c
	* src/plugins/mailmbox/maillock.c
	* src/plugins/mailmbox/mailmbox_parse.c
	* src/plugins/mailmbox/mailmbox_types.c
	* src/plugins/mailmbox/mmapstring.c
	* src/plugins/managesieve/managesieve.c
	* src/plugins/managesieve/sieve_plugin.c
	* src/plugins/newmail/newmail.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-error.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-info.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-key-file-registry.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-listener.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-marshal.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-registry.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-utils.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-x11-listener.c
	* src/plugins/notification/gtkhotkey/x11/eggaccelerators.c
	* src/plugins/notification/gtkhotkey/x11/tomboykeybinder.c
	* src/plugins/notification/notification_pixbuf.c
	* src/plugins/pgpcore/tests/pgp_utils_test.c
	* src/plugins/python/python-shell.c
	* src/plugins/rssyl/libfeed/feed.c
	* src/plugins/rssyl/libfeed/feeditem.c
	* src/plugins/rssyl/libfeed/feeditemenclosure.c
	* src/plugins/rssyl/libfeed/parser_atom10.c
	* src/plugins/rssyl/libfeed/parser_opml.c
	* src/plugins/rssyl/libfeed/parser_rdf.c
	* src/plugins/rssyl/libfeed/parser_rss20.c
	* src/plugins/rssyl/libfeed/tests/date_test.c
	* src/plugins/rssyl/libfeed/tests/feed_test.c
	* src/plugins/rssyl/old_feeds.c
	* src/plugins/rssyl/tests/strutils_test.c
	* src/plugins/spamassassin/utils.c
	* src/prefs_proxy.c
	* src/prefs_template.c
	* src/privacy.c
	* src/procmsg.c
	* src/remotefolder.c
	* src/sourcewindow.c
	* src/summaryview.c
	* src/tests/entity_test.c		
		Add missing config.h includes

2021-11-02  [Jonathan Boeing] 4.0.0-356-g1a59bfc48

	* configure.ac
	* src/Makefile.am		
		Use AM_CFLAGS in configure.ac  Use AM_CFLAGS in configure.ac so that
		CFLAGS given during configure or make take precedence

2021-11-05  [Jonathan Boeing] 4.0.0-355-g2d5fca2a3

	* src/common/socket.c
	* src/common/utils.c
	* src/main.c
	* src/procmime.c		
		Fix -Wunused-function warnings for Windows

2021-09-15  [Jonathan Boeing] 4.0.0-354-gf9c2a4430

	* src/addressbook.c
	* src/gtk/gtkutils.c
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/litehtml_viewer/lh_viewer.c
	* src/plugins/notification/notification_prefs.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/python/accounttype.c
	* src/plugins/python/python_plugin.c		
		Fix -Wunused-function warnings

2021-11-02  [Jonathan Boeing] 4.0.0-353-g86fcec37b

	* configure.ac
	* src/Makefile.am		
		Restrict -Wno-unused-function to flex generated files

2021-11-06  [Jonathan Boeing] 4.0.0-352-g2abc7b175

	* src/plugins/vcalendar/claws.def		
		Fix windows build

2021-11-06  [Ricardo Mones] 3.18.0-284-g0578ee723

	* src/common/utils.c
	* src/common/utils.h
	* src/mainwindow.c
	* src/plugins/vcalendar/vcal_folder.c		
		Refactor CRLF-truncation into a function

2021-11-06  [Ricardo Mones] 4.0.0-351-g7eb44fab0

	* src/common/utils.c
	* src/common/utils.h
	* src/mainwindow.c
	* src/plugins/vcalendar/vcal_folder.c		
		Refactor CRLF-truncation into a function

2021-11-06  [Ricardo Mones] 3.18.0-283-g4b26e5875

	* src/common/utils.c
	* src/common/utils.h		
		Remove unused function  Introduced in b0c27bffcd, calls removed in
		59712bbc18, dead code since then.

2021-11-06  [Ricardo Mones] 4.0.0-350-gda970984a

	* src/common/utils.c
	* src/common/utils.h		
		Remove unused function  Introduced in b0c27bffcd, calls removed in
		59712bbc18, dead code since then.

2021-10-31  [Jonathan Boeing] 3.18.0-282-g990d70e41

	* src/mimeview.c		
		Use global IO timeout value for signature check

2021-10-29  [Jonathan Boeing] 3.18.0-281-gee26f858e

	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/smime/smime.c		
		Fix build error with -Werror=format-security

2021-10-29  [Michael Rasmussen] 3.18.0-280-g932dfa4eb

	* src/plugins/smime/smime.c		
		Fix CID 1493278 

2021-10-29  [Jonathan Boeing] 3.18.0-279-gca14c79c3

	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/smime/smime.c
	* src/privacy.c		
		Check for null pointer

2021-10-29  [Jonathan Boeing] 3.18.0-278-g24c45b9e1

	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/plugin.c
	* src/plugins/smime/plugin.c		
		set min plugin version for new privacy interface

2021-08-02  [Jonathan Boeing] 3.18.0-277-gb00919ab9

	* src/mimeview.c
	* src/mimeview.h
	* src/plugins/pgpcore/claws.def
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/plugin.def
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpcore/sgpgme.h
	* src/plugins/pgpinline/claws.def
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/claws.def
	* src/plugins/pgpmime/mypgpcore.def
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/plugin.c
	* src/plugins/smime/claws.def
	* src/plugins/smime/mypgpcore.def
	* src/plugins/smime/plugin.c
	* src/plugins/smime/smime.c
	* src/privacy.c
	* src/privacy.h
	* src/procmime.c
	* src/procmime.h		
		fix bug 4517, 'Thread safety issues in signature checking code'  Move
		from using raw pthreads to GLib tasks for safety and convenience.
		Also includes some extra fixes for leaked gpgme keys and contexts.

2021-09-27  [Jonathan Boeing] 3.18.0-276-gb52781b8c

	* src/common/utils.c
	* src/common/utils.h
	* src/compose.c
	* src/compose.h
	* src/prefs_account.c		
		Remove cm_mutex_new/_free wrappers

2021-09-27  [Jonathan Boeing] 3.18.0-275-g6596986bb

	* src/addrduplicates.c
	* src/common/utils.c
	* src/common/utils.h
	* src/procmsg.c		
		Remove slist_copy_deep wrapper

2021-09-27  [Jonathan Boeing] 3.18.0-274-g2608cac9b

	* configure.ac
	* src/common/utils.c
	* src/common/utils.h
	* src/main.c
	* src/plugins/notification/notification_plugin.c
	* src/prefs_account.c		
		Set minimum GLib version to 2.36

2021-11-01  [paul] 3.18.0-273-g621550bd6

	* src/prefs_matcher.c		
		fix g_free()

2021-11-01  [paul] 4.0.0-349-g4dc91617c

	* src/prefs_matcher.c		
		fix g_free()

2021-10-31  [Jonathan Boeing] 4.0.0-348-gf958752b2

	* src/mimeview.c		
		Use global IO timeout value for signature check

2021-10-29  [Jonathan Boeing] 4.0.0-347-ge700a32e8

	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/smime/smime.c		
		Fix build error with -Werror=format-security

2021-10-29  [Michael Rasmussen] 4.0.0-346-gf6eff41a7

	* src/plugins/smime/smime.c		
		Fix CID 1493278 

2021-10-29  [Jonathan Boeing] 4.0.0-345-gcb6b97b6c

	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/smime/smime.c
	* src/privacy.c		
		Check for null pointer

2021-10-29  [Jonathan Boeing] 4.0.0-344-g993bb4afa

	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/plugin.c
	* src/plugins/smime/plugin.c		
		set min plugin version for new privacy interface

2021-08-02  [Jonathan Boeing] 4.0.0-343-g617596d53

	* src/mimeview.c
	* src/mimeview.h
	* src/plugins/pgpcore/claws.def
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/plugin.def
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpcore/sgpgme.h
	* src/plugins/pgpinline/claws.def
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/claws.def
	* src/plugins/pgpmime/mypgpcore.def
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/plugin.c
	* src/plugins/smime/claws.def
	* src/plugins/smime/mypgpcore.def
	* src/plugins/smime/plugin.c
	* src/plugins/smime/smime.c
	* src/privacy.c
	* src/privacy.h
	* src/procmime.c
	* src/procmime.h		
		fix bug 4517, 'Thread safety issues in signature checking code'  Move
		from using raw pthreads to GLib tasks for safety and convenience.
		Also includes some extra fixes for leaked gpgme keys and contexts.

2021-09-27  [Jonathan Boeing] 4.0.0-342-g1559337f7

	* src/common/utils.c
	* src/common/utils.h
	* src/compose.c
	* src/compose.h
	* src/prefs_account.c		
		Remove cm_mutex_new/_free wrappers

2021-09-27  [Jonathan Boeing] 4.0.0-341-g6df5a3adb

	* src/addrduplicates.c
	* src/common/utils.c
	* src/common/utils.h
	* src/procmsg.c		
		Remove slist_copy_deep wrapper

2021-09-27  [Jonathan Boeing] 4.0.0-340-g78de2d36b

	* configure.ac
	* src/common/utils.c
	* src/common/utils.h
	* src/main.c
	* src/plugins/notification/notification_plugin.c
	* src/prefs_account.c		
		Set minimum GLib version to 2.36

2021-10-26  [wwp] 4.0.0-339-g5082e914b

	* src/gtk/inputdialog.c		
		Add more space to the right of the input dialog.

2021-10-26  [wwp] 3.18.0-272-g438b3955a

	* src/gtk/inputdialog.c		
		Add more space to the right of the input dialog.

2021-10-25  [wwp] 4.0.0-338-ge26fd7e6d

	* src/plugins/vcalendar/vcal_folder.c		
		Subscribe to Webcal: use any URI found in the clipboard.

2021-10-25  [wwp] 3.18.0-271-gf77e02c92

	* src/plugins/vcalendar/vcal_folder.c		
		Subscribe to Webcal: use any URI found in the clipboard.

2021-10-14  [paul] 4.0.0-337-gc64353ee1

	* src/addr_compl.c		
		fix bug 4536, 'Tab for address selects second entry'

2021-10-12  [paul] 4.0.0-336-gc0508d11c

	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h		
		remove unused gtkut_set_button_color()

2021-10-12  [paul] 4.0.0-335-g499b61ef5

	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h		
		remove unused gtkut_set_widget_bgcolor_rgb()

2021-10-12  [paul] 4.0.0-334-ge924500d8

	* src/action.c
	* src/grouplistdialog.c
	* src/gtk/progressdialog.c		
		rework border widths

2021-10-11  [paul] 4.0.0-333-g8b228c1c3

	* src/action.c
	* src/grouplistdialog.c
	* src/gtk/gtkaspell.c
	* src/gtk/inputdialog.c
	* src/gtk/progressdialog.c
	* src/password_gtk.c		
		replace deprecated gtk_dialog_get_action_area()

2021-10-09  [wwp] 4.0.0-332-gf9e10f155

	* src/addressbook.c		
		Fix CID 1492336: dead code (due to fixing CID 1491181).

2021-10-09  [wwp] 3.18.0-270-ga57e95710

	* src/addressbook.c		
		Fix CID 1492336: dead code (due to fixing CID 1491181).

2021-10-08  [wwp] 3.18.0-269-g34f669fb3

	* src/gtk/gtkutils.c		
		Fix CID 1491401 and 1491402: (possible) modulo by zero.

2021-10-08  [wwp] 4.0.0-331-g9509f1654

	* src/gtk/gtkutils.c		
		Fix CID 1491401 and 1491402: (possible) modulo by zero.

2021-10-08  [wwp] 4.0.0-330-g699bae842

	* src/addressbook.c		
		Fix CID 1491181: dereference null return value.

2021-10-08  [wwp] 3.18.0-268-g620c95330

	* src/addressbook.c		
		Fix CID 1491181: dereference null return value.

2021-10-08  [wwp] 4.0.0-329-gc6fa3ed5e

	* src/folderview.c		
		Fix CID 1491360: dereference null return value.

2021-10-08  [wwp] 3.18.0-267-g8f5483331

	* src/folderview.c		
		Fix CID 1491360: dereference null return value.

2021-10-07  [wwp] 4.0.0-328-g6ec003366

	* src/ldif.c		
		Free ptr only if necessary (around CID 1491058).

2021-10-07  [wwp] 4.0.0-327-g1a6649b3f

	* src/ldif.c		
		Fix CID 1491058: resource leak (a good old one).

2021-10-07  [wwp] 3.18.0-266-g3a0ac9efa

	* src/ldif.c		
		Fix CID 1491058: resource leak (a good old one).

2021-10-07  [wwp] 3.18.0-265-g502474a0d

	* src/ldif.c		
		Free ptr only if necessary (around CID 1491058).

2021-10-07  [wwp] 4.0.0-326-g9869b8839

	* src/export.c		
		Fix CID 1491311: dereference after null check. Wrong logic there: we
		should fail if pointers are null, not only if strings are empty, even
		though gtk_entry_get_text should never return null).

2021-10-07  [wwp] 3.18.0-264-g68b65ac49

	* src/export.c		
		Fix CID 1491311: dereference after null check. Wrong logic there: we
		should fail if pointers are null, not only if strings are empty, even
		though gtk_entry_get_text should never return null).

2021-10-07  [wwp] 4.0.0-325-g03565af05

	* src/folder.c		
		Fix CID 1491229: dereference after null check.

2021-10-07  [wwp] 3.18.0-263-g263eb8133

	* src/folder.c		
		Fix CID 1491229: dereference after null check.

2021-10-06  [wwp] 4.0.0-324-ga47170504

	* src/addressbook.c		
		Fix CID 1491290: dereference before null check.

2021-10-06  [wwp] 3.18.0-262-gdc1cd36b3

	* src/addressbook.c		
		Fix CID 1491290: dereference before null check.

2021-10-06  [wwp] 4.0.0-323-g65b78c0c8

	* src/plugins/litehtml_viewer/container_linux_images.cpp
	* src/plugins/litehtml_viewer/lh_viewer.c		
		Fix CID 1491104, 1491132, 1491327: dereference before null check.

2021-10-06  [wwp] 3.18.0-261-g3d29bbb7d

	* src/plugins/litehtml_viewer/container_linux_images.cpp
	* src/plugins/litehtml_viewer/lh_viewer.c		
		Fix CID 1491104, 1491132, 1491327: dereference before null check.

2021-10-06  [wwp] 4.0.0-322-g1803265b1

	* src/addrcustomattr.c		
		Fix CID 1491379: dereference before null check.

2021-10-06  [wwp] 3.18.0-260-g8f03bca61

	* src/addrcustomattr.c		
		Fix CID 1491379: dereference before null check.

2021-10-06  [wwp] 4.0.0-321-g4228ee62e

	* src/edittags.c		
		Fix CID 1492202: dereference before null check (we usually test if
		gtk_editable_get_chars returns NULL, but it should not).

2021-10-06  [wwp] 3.18.0-259-gbac407684

	* src/edittags.c		
		Fix CID 1492202: dereference before null check (we usually test if
		gtk_editable_get_chars returns NULL, but it should not).

2021-10-06  [wwp] 4.0.0-320-gb3e01e3b3

	* src/ldapctrl.c		
		Fix CID 1492329: use after free (proper fix for CID 1491230).

2021-10-06  [wwp] 4.0.0-319-gac14ec50d

	* src/msgcache.c		
		Fix CID 1492328: uninitialized ptr read (bound to fix for CID
		1491222).

2021-10-06  [wwp] 3.18.0-258-g17bc6d54f

	* src/ldapctrl.c		
		Fix CID 1492329: use after free (proper fix for CID 1491230).

2021-10-06  [wwp] 3.18.0-257-g9b84fd8c3

	* src/msgcache.c		
		Fix CID 1492328: uninitialized ptr read (bound to fix for CID
		1491222).

2021-10-06  [Michael Rasmussen] 3.18.0-256-g13c6d440f

	* src/ldapctrl.c		
		Fix CID 1492329 

2021-10-06  [Michael Rasmussen] 4.0.0-318-g62f60f91d

	* src/ldapctrl.c		
		Fix CID 1492329 

2021-10-05  [wwp] 4.0.0-317-g6d1d01c42

	* src/imap.c		
		Revert accidentally committed changes.

2021-10-05  [wwp] 3.18.0-255-g939891e96

	* src/imap.c		
		Revert accidentally committed changes.

2021-10-05  [wwp] 4.0.0-316-gd4c46b213

	* src/imap.c
	* src/main.c		
		Fix CID 1491365: resource leak.

2021-10-05  [wwp] 3.18.0-254-g6e380d8a1

	* src/imap.c
	* src/main.c		
		Fix CID 1491365: resource leak.

2021-10-05  [wwp] 4.0.0-315-g8afdad641

	* src/addrbook.c		
		Fix CID 1491373 and 1491378: resource leaks.

2021-10-05  [wwp] 3.18.0-253-ge2bde697b

	* src/addrbook.c		
		Fix CID 1491373 and 1491378: resource leaks.

2021-10-05  [wwp] 4.0.0-314-g5be9de249

	* src/addressbook.c		
		Fix CID 1492192: resource leak.

2021-10-05  [wwp] 3.18.0-252-g5d2612f9c

	* src/addressbook.c		
		Fix CID 1492192: resource leak.

2021-10-05  [wwp] 4.0.0-313-g224f1e26f

	* src/addrindex.c		
		Fix CID 1491180: resource leak (and not stopping at first match
		whereas we should).

2021-10-05  [wwp] 3.18.0-251-geae61be5c

	* src/addrindex.c		
		Fix CID 1491180: resource leak (and not stopping at first match
		whereas we should).

2021-10-05  [wwp] 4.0.0-312-g38915be2c

	* src/addrmerge.c		
		Fix CID 1491184: resource leak.

2021-10-05  [wwp] 3.18.0-250-g7efb57bc4

	* src/addrmerge.c		
		Fix CID 1491184: resource leak.

2021-10-05  [wwp] 4.0.0-311-gf27c43b92

	* src/ldapctrl.c		
		Fix CID 1491230: resource leak.

2021-10-05  [wwp] 3.18.0-249-g347e003b4

	* src/ldapctrl.c		
		Fix CID 1491230: resource leak.

2021-10-05  [wwp] 4.0.0-310-gd99686bea

	* src/ldapupdate.c		
		Fix CID 1491349: resource leak.

2021-10-05  [wwp] 3.18.0-248-g4b4eded68

	* src/ldapupdate.c		
		Fix CID 1491349: resource leak.

2021-10-05  [wwp] 4.0.0-309-g254f6308d

	* src/ldaputil.c		
		Fix CID 1491221: resource leak.

2021-10-05  [wwp] 3.18.0-247-ge345eea1d

	* src/ldaputil.c		
		Fix CID 1491221: resource leak.

2021-10-05  [wwp] 4.0.0-308-g4aab5e403

	* src/ldif.c		
		Fix CID 1491058: resource leak.

2021-10-05  [wwp] 3.18.0-246-gb4b270844

	* src/ldif.c		
		Fix CID 1491058: resource leak.

2021-10-05  [wwp] 4.0.0-307-g216d11f75

	* src/msgcache.c		
		Fix CID 1491222: resource leak.

2021-10-05  [wwp] 3.18.0-245-g7c6bf43b8

	* src/msgcache.c		
		Fix CID 1491222: resource leak.

2021-10-05  [wwp] 4.0.0-306-g6bd9ed9fc

	* src/news.c		
		Fix VID 1491252: resource leak.

2021-10-05  [wwp] 3.18.0-244-gb78affce7

	* src/news.c		
		Fix VID 1491252: resource leak.

2021-10-05  [wwp] 4.0.0-305-gc986621b3

	* src/mimeview.c		
		Fix CID 1491285: resource leak. Fix dead code, an another resource
		leak.

2021-10-05  [wwp] 3.18.0-243-gf6c082178

	* src/mimeview.c		
		Fix CID 1491285: resource leak. Fix dead code, an another resource
		leak.

2021-10-05  [wwp] 4.0.0-304-g0fc77dc8c

	* src/folder.c		
		Fix a copy/paste error around fixing a resource leak.

2021-10-05  [wwp] 3.18.0-242-g89afcae32

	* src/folder.c		
		Fix a copy/paste error around fixing a resource leak.

2021-10-04  [wwp] 4.0.0-303-g36769f5bb

	* src/imap.c		
		Fix CID 1491135, 1491259: resource leaks.

2021-10-04  [wwp] 3.18.0-241-g55588396c

	* src/imap.c		
		Fix CID 1491135, 1491259: resource leaks.

2021-10-04  [wwp] 4.0.0-302-g8dd0f61c0

	* src/folder.c		
		Fix CID 1491062, 1491266, 1491236, 1491201, 1492193: resource leaks.

2021-10-04  [wwp] 3.18.0-240-gffa9ae35d

	* src/folder.c		
		Fix CID 1491062, 1491266, 1491236, 1491201, 1492193: resource leaks.

2021-10-04  [wwp] 4.0.0-301-g38efb7ce6

	* src/filtering.c		
		Fix CID 1491217: resource leak (2/2).

2021-10-04  [wwp] 3.18.0-239-gd0f60a36f

	* src/filtering.c		
		Fix CID 1491217: resource leak (2/2).

2021-10-04  [wwp] 4.0.0-300-g3665d84a6

	* src/folderview.c		
		Fix CID 1491194: resource leak.

2021-10-04  [wwp] 3.18.0-238-g29d534e1a

	* src/folderview.c		
		Fix CID 1491194: resource leak.

2021-10-04  [wwp] 4.0.0-299-gae0353bbf

	* src/filtering.c		
		Fix CID 1491068 and 1491217: resource leaks.

2021-10-04  [wwp] 3.18.0-237-g485502a2a

	* src/filtering.c		
		Fix CID 1491068 and 1491217: resource leaks.

2021-10-04  [Paul] 3.18.0-236-g4cf2d14f1

	* src/compose.c
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/prefs_folder_item.c		
		add 'Default From:' to folder prefs

2021-10-04  [paul] 4.0.0-298-gc7452669c

	* src/compose.c
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/prefs_folder_item.c		
		add 'Default From:' to folder prefs

2021-10-04  [wwp] 4.0.0-297-g9d5931247

	* src/inc.c		
		Fix CID 1491391: use after free.

2021-10-04  [wwp] 3.18.0-235-g6dea1d0af

	* src/inc.c		
		Fix CID 1491391: use after free.

2021-10-04  [wwp] 4.0.0-296-g719b65f27

	* src/filtering.c		
		Fix CID 1491157: use after free.

2021-10-04  [wwp] 3.18.0-234-ga62826429

	* src/filtering.c		
		Fix CID 1491157: use after free.

2021-10-04  [wwp] 4.0.0-295-gb69c0c073

	* src/prefs_filtering.c		
		Fix  (in a better way) CID 1491324: use after free.

2021-10-04  [wwp] 3.18.0-233-ge66db4b26

	* src/prefs_filtering.c		
		Fix  (in a better way) CID 1491324: use after free.

2021-10-04  [paul] 4.0.0-294-gd00635536

	* src/image_viewer.c		
		fix 'suggest parentheses' warning

2021-10-04  [paul] 4.0.0-291-g57c52f338

	* src/textview.c		
		fix incompatible pointer type warning

2021-10-04  [wwp] 4.0.0-291-g270545657

	* src/plugins/spamassassin/libspamc.c		
		Fix CID 1491198: wrong printf argument type.

2021-10-04  [wwp] 3.18.0-232-g3ba77c4ef

	* src/plugins/spamassassin/libspamc.c		
		Fix CID 1491198: wrong printf argument type.

2021-10-04  [paul] 4.0.0-290-g36c0dbe2d

	* src/mimeview.c		
		fix incompatible pointer type warning

2021-10-04  [wwp] 4.0.0-289-ge2e7b25a2

	* src/compose.c		
		Fix (in a better way) CID 1492307: use after free.

2021-10-04  [wwp] 3.18.0-231-gb910bfe85

	* src/compose.c		
		Fix (in a better way) CID 1492307: use after free.

2021-10-04  [wwp] 4.0.0-288-g1cdefe8ac

	* src/oauth2.c		
		Fix (or better fix for) CID 1491155, 1491195 and 1491351: resource
		leaks.

2021-10-04  [wwp] 3.18.0-230-g4d7fede42

	* src/oauth2.c		
		Fix (or better fix for) CID 1491155, 1491195 and 1491351: resource
		leaks.

2021-10-03  [wwp] 4.0.0-287-g148912d83

	* src/compose.c		
		Fix (again) CID 1491255: resource leak.

2021-10-03  [wwp] 3.18.0-229-g3ac411c86

	* src/compose.c		
		Fix (again) CID 1491255: resource leak.

2021-10-01  [wwp] 4.0.0-286-g3188ba813

	* src/compose.c		
		Fix CID 1402307: use after free, and do a proper freeing of struct.

2021-10-01  [wwp] 3.18.0-228-g4236b3851

	* src/compose.c		
		Fix CID 1402307: use after free, and do a proper freeing of struct.

2021-10-01  [wwp] 4.0.0-285-ga6e473fd6

	* src/common/utils.c		
		Fix CID 1492306: use after free.

2021-10-01  [wwp] 3.18.0-227-g7a307732a

	* src/common/utils.c		
		Fix CID 1492306: use after free.

2021-10-01  [wwp] 4.0.0-284-gd3e24af7f

	* src/common/template.c		
		Fix CID 1492308: incorrect expression.

2021-10-01  [wwp] 3.18.0-226-g54a6490bf

	* src/common/template.c		
		Fix CID 1492308: incorrect expression.

2021-10-01  [wwp] 4.0.0-283-g0e0a6e17c

	* src/oauth2.c		
		Fix CID 1492309: resource leaks (due to massive code rewriting
		yesterday).

2021-10-01  [wwp] 3.18.0-225-g47c129334

	* src/oauth2.c		
		Fix CID 1492309: resource leaks (due to massive code rewriting
		yesterday).

2021-09-30  [wwp] 4.0.0-282-gfb466b8a5

	* src/mh.c		
		Fix CID 1491096, 1491263, 1491328, 1491348: resource leaks.

2021-09-30  [wwp] 3.18.0-224-gb3bc30c4a

	* src/mh.c		
		Fix CID 1491096, 1491263, 1491328, 1491348: resource leaks.

2021-09-30  [wwp] 4.0.0-281-g61026543f

	* src/oauth2.c		
		Fix CID 1491155, 1491195, 1491219, 1491279, 1491295, 1491299,
		1491305, 1491351: resource leaks.

2021-09-30  [wwp] 3.18.0-223-g10c688b98

	* src/oauth2.c		
		Fix CID 1491155, 1491195, 1491219, 1491279, 1491295, 1491299,
		1491305, 1491351: resource leaks.

2021-09-30  [wwp] 4.0.0-280-g9cbebb67c

	* src/oauth2.c		
		Fix CID 1491371, 1491094, 1491341, 1491114, 1491203, 1491206,
		1491199, 1491219: resource leaks.

2021-09-30  [wwp] 3.18.0-222-g5e768abb6

	* src/oauth2.c		
		Fix CID 1491371, 1491094, 1491341, 1491114, 1491203, 1491206,
		1491199, 1491219: resource leaks.

2021-09-30  [wwp] 4.0.0-279-gc75453be8

	* src/compose.c		
		Fix CID 1491120, 1491212, 1491255, 1491280, 1491284, 1491318:
		resource leaks.

2021-09-30  [wwp] 3.18.0-221-gcc5251ec0

	* src/compose.c		
		Fix CID 1491120, 1491212, 1491255, 1491280, 1491284, 1491318:
		resource leaks.

2021-09-30  [wwp] 4.0.0-278-g84ce49b63

	* src/oauth2.c		
		Fix CID 1491170: logically dead code.

2021-09-30  [wwp] 3.18.0-220-gf75522e98

	* src/oauth2.c		
		Fix CID 1491170: logically dead code.

2021-09-30  [wwp] 4.0.0-277-g399a77d88

	* src/gtk/about.c
	* src/gtk/gtkaspell.c		
		Fix CID 1491099 and 1491241: resource leaks.

2021-09-30  [wwp] 3.18.0-219-ga102ba8a3

	* src/gtk/about.c
	* src/gtk/gtkaspell.c		
		Fix CID 1491099 and 1491241: resource leaks.

2021-09-30  [wwp] 4.0.0-276-g4e0408e03

	* src/main.c		
		Fix CID 1491313: resource leak.

2021-09-30  [wwp] 3.18.0-218-ge389d0d17

	* src/main.c		
		Fix CID 1491313: resource leak.

2021-09-30  [wwp] 4.0.0-275-gbb28b4255

	* src/news_gtk.c		
		Fix CID 1491341: resource leak.

2021-09-30  [wwp] 3.18.0-217-gb5ccfbc46

	* src/news_gtk.c		
		Fix CID 1491341: resource leak.

2021-09-30  [wwp] 4.0.0-274-gdd904f328

	* src/partial_download.c		
		Fix CID 1491293: resource leak.

2021-09-30  [wwp] 3.18.0-216-gc8ce3b6e7

	* src/partial_download.c		
		Fix CID 1491293: resource leak.

2021-09-30  [wwp] 4.0.0-273-g292bd6285

	* src/password.c		
		Fix CID 1491404: logically dead code.

2021-09-30  [wwp] 3.18.0-215-g395844e4f

	* src/password.c		
		Fix CID 1491404: logically dead code.

2021-09-30  [wwp] 4.0.0-272-g2c9090652

	* src/common/template.c		
		Fix CID 1491210: resource leak.

2021-09-30  [wwp] 3.18.0-214-ge73ec88c8

	* src/common/template.c		
		Fix CID 1491210: resource leak.

2021-09-30  [wwp] 4.0.0-271-g0c35d7403

	* src/common/utils.c		
		Fix CID 1491272, 1491265, 1491237 and 1491176: resource leaks.

2021-09-30  [wwp] 3.18.0-213-g911bd7831

	* src/common/utils.c		
		Fix CID 1491272, 1491265, 1491237 and 1491176: resource leaks.

2021-09-30  [wwp] 4.0.0-270-g68a5fe8e4

	* src/common/utils.c		
		Fix CID 1491361: logically dead code (ternary operator).

2021-09-30  [wwp] 3.18.0-212-g9caee5ad8

	* src/common/utils.c		
		Fix CID 1491361: logically dead code (ternary operator).

2021-09-30  [wwp] 4.0.0-269-g06019f2e4

	* src/plugins/archive/libarchive_archive.c		
		Fix CID 1492295: explicit null dereferenced (due to previous commit).

2021-09-30  [wwp] 3.18.0-211-g0da71bb6b

	* src/plugins/archive/libarchive_archive.c		
		Fix CID 1492295: explicit null dereferenced (due to previous commit).

2021-09-30  [wwp] 4.0.0-268-g48010781a

	* src/plugins/vcalendar/vcal_meeting_gtk.c		
		Fix CID 1491353: resource leak.

2021-09-30  [wwp] 3.18.0-210-gbafa99458

	* src/plugins/vcalendar/vcal_meeting_gtk.c		
		Fix CID 1491353: resource leak.

2021-09-30  [wwp] 4.0.0-267-g2af46a6d1

	* src/plugins/vcalendar/vcal_meeting_gtk.c		
		Rework a bit the vcal export to file logic.

2021-09-30  [wwp] 3.18.0-209-g7f47e75ae

	* src/plugins/vcalendar/vcal_meeting_gtk.c		
		Rework a bit the vcal export to file logic.

2021-09-30  [wwp] 4.0.0-266-g1a475994e

	* src/plugins/vcalendar/vcal_meeting_gtk.c		
		Fix memory corruption caused by a double free.

2021-09-30  [wwp] 3.18.0-208-g35d7347e1

	* src/plugins/vcalendar/vcal_meeting_gtk.c		
		Fix memory corruption caused by a double free.

2021-09-29  [wwp] 4.0.0-265-gcd6958cda

	* src/plugins/vcalendar/vcal_meeting_gtk.c		
		Fix CID 1491191: use after free. Reworked a bit variable scopes in
		multisync_export() in order to avoid such issues.

2021-09-29  [wwp] 3.18.0-207-g261e507d3

	* src/plugins/vcalendar/vcal_meeting_gtk.c		
		Fix CID 1491191: use after free. Reworked a bit variable scopes in
		multisync_export() in order to avoid such issues.

2021-09-29  [wwp] 4.0.0-264-gf73d8e932

	* src/plugins/vcalendar/vcal_folder.c
	* src/plugins/vcalendar/vcal_meeting_gtk.c
	* src/plugins/vcalendar/vcalendar.c		
		Fix CID 1491106, 1491129, 1491163, 1491231, 1491329 and 1491353:
		resource leaks.

2021-09-29  [wwp] 3.18.0-206-g6a0dae093

	* src/plugins/vcalendar/vcal_folder.c
	* src/plugins/vcalendar/vcal_meeting_gtk.c
	* src/plugins/vcalendar/vcalendar.c		
		Fix CID 1491106, 1491129, 1491163, 1491231, 1491329 and 1491353:
		resource leaks.

2021-09-29  [wwp] 4.0.0-263-g7d41ed5f8

	* src/plugins/archive/libarchive_archive.c		
		Fix CID 1491162, 1491183, 1491321 and 1491257: resource leaks.

2021-09-29  [wwp] 3.18.0-205-gca35e90da

	* src/plugins/archive/libarchive_archive.c		
		Fix CID 1491162, 1491183, 1491321 and 1491257: resource leaks.

2021-09-29  [wwp] 4.0.0-262-g42d7514b2

	* src/foldersel.c		
		Fix CID 1491149: resource leak.

2021-09-29  [wwp] 3.18.0-204-g34d058d8e

	* src/foldersel.c		
		Fix CID 1491149: resource leak.

2021-09-29  [wwp] 4.0.0-261-g753698d5e

	* src/plugins/notification/notification_popup.c
	* src/plugins/notification/notification_trayicon.c		
		Fix CID 1491296, 1491368, 1491288 and 1491322: dereference before
		null check.

2021-09-29  [wwp] 3.18.0-203-gb29415ca6

	* src/plugins/notification/notification_popup.c
	* src/plugins/notification/notification_trayicon.c		
		Fix CID 1491296, 1491368, 1491288 and 1491322: dereference before
		null check.

2021-09-29  [wwp] 4.0.0-260-ge3048e92f

	* src/plugins/managesieve/sieve_editor.c		
		Fix CID 1491362: dereference after null check. Fix CID 1491278:
		(neutral) use after free (but still better to disable callbacks
		before freeing).

2021-09-29  [wwp] 3.18.0-202-g286e63ec8

	* src/plugins/managesieve/sieve_editor.c		
		Fix CID 1491362: dereference after null check. Fix CID 1491278:
		(neutral) use after free (but still better to disable callbacks
		before freeing).

2021-09-29  [wwp] 4.0.0-259-g45c87cf44

	* src/plugins/managesieve/managesieve.c		
		Fix resource leak: we were never freeing session's config.

2021-09-29  [wwp] 3.18.0-201-g00d8211ca

	* src/plugins/managesieve/managesieve.c		
		Fix resource leak: we were never freeing session's config.

2021-09-29  [wwp] 4.0.0-258-ge63d58c53

	* src/plugins/managesieve/sieve_manager.c		
		Fix CID 1491276: resource leak.

2021-09-29  [wwp] 3.18.0-200-gc2c10908d

	* src/plugins/managesieve/sieve_manager.c		
		Fix CID 1491276: resource leak.

2021-09-29  [wwp] 4.0.0-257-g4e02e4eee

	* src/passwordstore.c		
		Fix CID 1491346: resource leak.

2021-09-29  [wwp] 3.18.0-199-gb116c679c

	* src/passwordstore.c		
		Fix CID 1491346: resource leak.

2021-09-28  [wwp] 4.0.0-256-gcf88ebed5

	* src/plugins/pgpcore/sgpgme.c		
		Fix pgpcore build.

2021-09-28  [wwp] 3.18.0-198-gf4c027770

	* src/plugins/pgpcore/sgpgme.c		
		Fix pgpcore build.

2021-09-28  [wwp] 4.0.0-255-gb78a997e2

	* src/plugins/pgpcore/sgpgme.c		
		Fix CID 1492251: resource leaks.

2021-09-28  [wwp] 3.18.0-197-g144f19e9a

	* src/plugins/pgpcore/sgpgme.c		
		Fix CID 1492251: resource leaks.

2021-09-28  [wwp] 4.0.0-254-gb0a8b7617

	* src/plugins/pgpinline/pgpinline.c		
		Fix CID 1492200 and 1491225: resource leaks.

2021-09-28  [wwp] 3.18.0-196-gb589f44bb

	* src/plugins/pgpinline/pgpinline.c		
		Fix CID 1492200 and 1491225: resource leaks.

2021-09-28  [wwp] 4.0.0-253-g0c2412178

	* src/plugins/pgpmime/pgpmime.c		
		Fix CID 1492195, 1491196, 1491158 and 1491081: resource leaks.

2021-09-28  [wwp] 3.18.0-195-gda9933b20

	* src/plugins/pgpmime/pgpmime.c		
		Fix CID 1492195, 1491196, 1491158 and 1491081: resource leaks.

2021-09-28  [wwp] 4.0.0-252-gbbe3de93c

	* src/plugins/attachwarner/attachwarner.c		
		Fix CID 1491146: resource leak.

2021-09-28  [wwp] 3.18.0-194-gee207f846

	* src/plugins/attachwarner/attachwarner.c		
		Fix CID 1491146: resource leak.

2021-09-28  [wwp] 4.0.0-251-gecb3e3e74

	* src/plugins/clamd/clamav_plugin.c		
		Fix CID 1491066: resource leak.

2021-09-28  [wwp] 3.18.0-193-gc0b3a6d5b

	* src/plugins/clamd/clamav_plugin.c		
		Fix CID 1491066: resource leak.

2021-09-28  [wwp] 4.0.0-250-g15814dd06

	* src/plugins/pgpcore/passphrase.c		
		Fix CID 1491150: resource leaks.

2021-09-28  [wwp] 3.18.0-192-gf930692ab

	* src/plugins/pgpcore/passphrase.c		
		Fix CID 1491150: resource leaks.

2021-09-28  [wwp] 4.0.0-249-gced627e75

	* src/plugins/smime/smime.c		
		Fix CID 1492282, 1492283: double free.

2021-09-28  [wwp] 3.18.0-191-g045269e91

	* src/plugins/smime/smime.c		
		Fix CID 1492282, 1492283: double free.

2021-09-28  [wwp] 4.0.0-248-g08acbbba3

	* src/prefs_account.c		
		Fix CID 1492279: resource leak.

2021-09-28  [wwp] 3.18.0-190-g6d2e1e14c

	* src/prefs_account.c		
		Fix CID 1492279: resource leak.

2021-09-28  [wwp] 4.0.0-247-gb2f2c703b

	* src/procmime.c		
		Fix CID 1491274: resource leak.

2021-09-28  [wwp] 3.18.0-189-gf948bf7b3

	* src/procmime.c		
		Fix CID 1491274: resource leak.

2021-09-28  [wwp] 4.0.0-246-g6e40e6ced

	* src/plugins/rssyl/libfeed/feed.c
	* src/plugins/rssyl/libfeed/parser_opml.c
	* src/plugins/rssyl/parse822.c
	* src/plugins/rssyl/rssyl.c
	* src/plugins/rssyl/rssyl_deleted.c
	* src/plugins/rssyl/rssyl_update_comments.c
	* src/plugins/rssyl/rssyl_update_format.c		
		Fix CID 1491122, 1491118, 1491138, 1491092, 1491098 and 1491340:
		resource leaks. Fix an extra leaks in opml parsing. Fix CID 1491366:
		unchecked return value.

2021-09-28  [wwp] 3.18.0-188-g9f8c2f755

	* src/plugins/rssyl/libfeed/feed.c
	* src/plugins/rssyl/libfeed/parser_opml.c
	* src/plugins/rssyl/parse822.c
	* src/plugins/rssyl/rssyl.c
	* src/plugins/rssyl/rssyl_deleted.c
	* src/plugins/rssyl/rssyl_update_comments.c
	* src/plugins/rssyl/rssyl_update_format.c		
		Fix CID 1491122, 1491118, 1491138, 1491092, 1491098 and 1491340:
		resource leaks. Fix an extra leaks in opml parsing. Fix CID 1491366:
		unchecked return value.

2021-09-28  [wwp] 4.0.0-245-g5b993515c

	* src/plugins/smime/smime.c		
		Fix CID 1491069 and 1491256: resource leaks.

2021-09-28  [wwp] 3.18.0-187-g3b1b04062

	* src/plugins/smime/smime.c		
		Fix CID 1491069 and 1491256: resource leaks.

2021-09-28  [wwp] 3.18.0-186-g8856d58a4

	* src/plugins/spamassassin/spamassassin.c		
		Fix CID 1491076 and 1491352: resource leaks.

2021-09-28  [wwp] 4.0.0-244-g7e51f51b5

	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bsfilter/bsfilter.c		
		Fix CID 1491076 and 1491352: resource leaks.

2021-09-28  [wwp] 4.0.0-243-g104cf039b

	* src/plugins/spamassassin/spamassassin.c		
		Fix CID 1491076 and 1491352: resource leaks.

2021-09-28  [wwp] 3.18.0-185-g415e7de0d

	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bsfilter/bsfilter.c		
		Fix CID 1491076 and 1491352: resource leaks.

2021-09-28  [wwp] 4.0.0-242-gc1de20451

	* src/plugins/tnef_parse/tnef_parse.c		
		Fix CID 1491121: resource leak.

2021-09-28  [wwp] 3.18.0-184-gd8833eba9

	* src/plugins/tnef_parse/tnef_parse.c		
		Fix CID 1491121: resource leak.

2021-09-27  [wwp] 4.0.0-241-ge29192eca

	* src/common/plugin.c		
		Revert fixes for CID 1491185, 1492198, 1491339, 1491307 (resource
		leaks), need further investigation (probably false positives).

2021-09-27  [wwp] 3.18.0-183-g38f6d3e79

	* src/common/plugin.c		
		Revert fixes for CID 1491185, 1492198, 1491339, 1491307 (resource
		leaks), need further investigation (probably false positives).

2021-09-27  [wwp] 4.0.0-240-gf170f2739

	* src/common/plugin.c		
		Fix CID 1491185, 1492198, 1491356, 1491339, 1491307, 1491188,
		1491179, 1491107: resource leaks.

2021-09-27  [wwp] 3.18.0-182-g6f04e9aa6

	* src/common/plugin.c		
		Fix CID 1491185, 1492198, 1491356, 1491339, 1491307, 1491188,
		1491179, 1491107: resource leaks.

2021-09-27  [wwp] 4.0.0-239-g975843601

	* src/gtk/spell_entry.c		
		Fix CIS 1491270: resource leak.

2021-09-27  [wwp] 3.18.0-181-ga70d45847

	* src/gtk/spell_entry.c		
		Fix CIS 1491270: resource leak.

2021-09-27  [wwp] 4.0.0-238-g3e0a4c095

	* src/procmime.c		
		Proper fix for CID 1491065 (resource leak).

2021-09-27  [wwp] 3.18.0-180-gf25ae8ceb

	* src/procmime.c		
		Proper fix for CID 1491065 (resource leak).

2021-09-27  [wwp] 4.0.0-237-g1d608b800

	* src/prefs_account.c		
		Fix CID 1492279: resource leak.

2021-09-27  [wwp] 3.18.0-179-g340e813e7

	* src/prefs_account.c		
		Fix CID 1492279: resource leak.

2021-09-27  [wwp] 4.0.0-236-gb4a807872

	* src/prefs_toolbar.c		
		Fix CID 1491085: (possible) use after free.

2021-09-27  [wwp] 3.18.0-178-g65b412d59

	* src/prefs_toolbar.c		
		Fix CID 1491085: (possible) use after free.

2021-09-27  [wwp] 4.0.0-235-gd845ea399

	* src/procmime.c		
		Fix CID 1491274: resource leak.

2021-09-27  [wwp] 3.18.0-177-gb152fc03c

	* src/procmime.c		
		Fix CID 1491274: resource leak.

2021-09-27  [wwp] 4.0.0-234-gff1794b59

	* src/procmsg.c		
		Fix CID 1491018: resource leak.

2021-09-27  [wwp] 3.18.0-176-g96f3f29c0

	* src/procmsg.c		
		Fix CID 1491018: resource leak.

2021-09-27  [wwp] 4.0.0-233-g9ed7cc63f

	* src/ssl_manager.c		
		Fix CID 1491119: use after free.

2021-09-27  [wwp] 3.18.0-175-g0b2802f8f

	* src/ssl_manager.c		
		Fix CID 1491119: use after free.

2021-09-27  [wwp] 4.0.0-232-gb6808412b

	* src/ssl_manager.c		
		Fix CID 1491200, 1491294 and 1491301: resource leaks.

2021-09-27  [wwp] 3.18.0-174-g29102bfa0

	* src/ssl_manager.c		
		Fix CID 1491200, 1491294 and 1491301: resource leaks.

2021-09-27  [wwp] 4.0.0-231-gb1c1c6d36

	* src/stock_pixmap.c		
		Fix CID 1491190: explicit null dereference.

2021-09-27  [wwp] 3.18.0-173-gcb22c1707

	* src/stock_pixmap.c		
		Fix CID 1491190: explicit null dereference.

2021-09-26  [wwp] 4.0.0-230-g5d9d64f08

	* src/prefs_account.c		
		Fix CID 1491337, 1491317 and 1491101: resource leak, use after free.

2021-09-26  [wwp] 3.18.0-172-g49bd0f5d2

	* src/prefs_account.c		
		Fix CID 1491337, 1491317 and 1491101: resource leak, use after free.

2021-09-26  [wwp] 4.0.0-229-gd172fae34

	* src/prefs_actions.c		
		Fix CID 1491147 and 1491153: null ptr dereference, resource leak.

2021-09-26  [wwp] 3.18.0-171-ga616aa880

	* src/prefs_actions.c		
		Fix CID 1491147 and 1491153: null ptr dereference, resource leak.

2021-09-26  [wwp] 4.0.0-228-gbeffc75e4

	* src/procmime.c		
		Fix CID 1491065, 1491075 and 1491274: resource leaks

2021-09-26  [wwp] 3.18.0-170-g7ff8e070e

	* src/procmime.c		
		Fix CID 1491065, 1491075 and 1491274: resource leaks

2021-09-26  [wwp] 4.0.0-227-gec8d3625b

	* src/prefs_filtering.c		
		Fix CID 1491095: resource leak.

2021-09-26  [wwp] 3.18.0-169-gfa5ad28e7

	* src/prefs_filtering.c		
		Fix CID 1491095: resource leak.

2021-09-26  [wwp] 4.0.0-226-g5168c2ab5

	* src/prefs_filtering.c		
		Fix CID 1491324: use after free.

2021-09-26  [wwp] 3.18.0-168-gdd81ff3c8

	* src/prefs_filtering.c		
		Fix CID 1491324: use after free.

2021-09-26  [wwp] 4.0.0-225-g82bdd5b0b

	* src/prefs_display_header.c		
		Fix CID 1491102: use after free.

2021-09-26  [wwp] 3.18.0-167-gc2b04d014

	* src/prefs_display_header.c		
		Fix CID 1491102: use after free.

2021-09-26  [wwp] 4.0.0-224-g63db37ff1

	* src/prefs_matcher.c		
		Fix CID 1491134, 1491173: resource leaks.

2021-09-26  [wwp] 3.18.0-166-ge1d431c55

	* src/prefs_matcher.c		
		Fix CID 1491134, 1491173: resource leaks.

2021-09-26  [wwp] 4.0.0-223-g2e626bf17

	* src/summaryview.c		
		Fix CID 1491116: explicit null dereference, make sure folder item
		identifier is set and further allocations are possible when building
		a path list.

2021-09-26  [wwp] 3.18.0-165-g8dde5e6b4

	* src/summaryview.c		
		Fix CID 1491116: explicit null dereference, make sure folder item
		identifier is set and further allocations are possible when building
		a path list.

2021-09-26  [wwp] 4.0.0-222-g2365b058e

	* src/summaryview.c		
		Fix CID 1491354: null ptr dereference, add warnings in case of
		unexpected filename encoding conversion or copy failures.

2021-09-26  [wwp] 3.18.0-164-g943c87cd3

	* src/summaryview.c		
		Fix CID 1491354: null ptr dereference, add warnings in case of
		unexpected filename encoding conversion or copy failures.

2021-09-26  [wwp] 4.0.0-221-ge06ed0f01

	* src/summaryview.c		
		Fix CID 1491140 (and strange design): free of stack-allocated memory.

2021-09-26  [wwp] 3.18.0-163-gdd061389c

	* src/summaryview.c		
		Fix CID 1491140 (and strange design): free of stack-allocated memory.

2021-09-26  [wwp] 4.0.0-220-g0951750b9

	* src/toolbar.c
	* src/toolbar.h		
		Fix CID 1491320, 1492199, 1492201: resource leaks.

2021-09-26  [wwp] 3.18.0-162-gfc73942fc

	* src/toolbar.c
	* src/toolbar.h		
		Fix CID 1491320, 1492199, 1492201: resource leaks.

2021-09-26  [wwp] 4.0.0-219-g45f75aeea

	* src/summaryview.c		
		Fix CID 1491131 and 1491292: resource leaks.

2021-09-26  [wwp] 3.18.0-161-gc771663a2

	* src/summaryview.c		
		Fix CID 1491131 and 1491292: resource leaks.

2021-09-26  [wwp] 4.0.0-218-gd5bb4a312

	* src/textview.c		
		Fix CID 1391319: resource leak.

2021-09-26  [wwp] 3.18.0-160-g3ad096b48

	* src/textview.c		
		Fix CID 1391319: resource leak.

2021-09-26  [wwp] 4.0.0-217-ge4aee9fb4

	* src/textview.c		
		Fix CID 1491067: resource leak.

2021-09-26  [wwp] 3.18.0-159-gadeb0b7ef

	* src/textview.c		
		Fix CID 1491067: resource leak.

2021-09-26  [wwp] 4.0.0-216-gd661790bc

	* src/textview.c		
		Fix CID 1491186 resource leaks.

2021-09-26  [wwp] 3.18.0-158-g96b3a87ee

	* src/textview.c		
		Fix CID 1491186 resource leaks.

2021-09-26  [wwp] 4.0.0-215-gf49e40123

	* src/toolbar.c		
		Fix CID 1491264: use after free.

2021-09-26  [wwp] 3.18.0-157-gd256de076

	* src/toolbar.c		
		Fix CID 1491264: use after free.

2021-09-24  [Jonathan Boeing] 3.18.0-156-g5b1a3ab9d

	* src/gtk/gtkutils.c		
		Fix memory leak

2021-09-24  [Jonathan Boeing] 3.18.0-155-ga4bf73918

	* src/plugins/pgpcore/sgpgme.c		
		Fix memory leak

2021-09-24  [Jonathan Boeing] 3.18.0-154-g021be06b3

	* src/textview.c		
		Fix memory leak

2021-09-24  [Jonathan Boeing] 4.0.0-214-g45bb7c40c

	* src/gtk/gtkutils.c		
		Fix memory leak

2021-09-24  [Jonathan Boeing] 4.0.0-213-gd5e5f0ce0

	* src/plugins/pgpcore/sgpgme.c		
		Fix memory leak

2021-09-24  [Jonathan Boeing] 4.0.0-212-ga325902fc

	* src/textview.c		
		Fix memory leak

2021-09-23  [Paul] 3.18.0-151-gdaae4a1ea

	* INSTALL		
		some updates

2021-09-23  [paul] 4.0.0-211-g4d5631739

	* INSTALL		
		remove duplicated entry

2021-09-23  [paul] 4.0.0-210-g98c688a3f

	* INSTALL		
		some updates

2021-09-23  [paul] 4.0.0-209-g08ee26d34

	* INSTALL		
		correct required GTK+ version

2021-09-22  [wwp] 4.0.0-208-gc78b7acfa

	* src/plugins/rssyl/rssyl_cb_menu.c		
		Add new RSSyl feed: use any URI found in the clipboard.

2021-09-22  [wwp] 3.18.0-151-gab4842412

	* src/plugins/rssyl/rssyl_cb_menu.c		
		Add new RSSyl feed: use any URI found in the clipboard.

2021-09-22  [paul] 4.0.0-207-g686ce43bd

	* src/action.c		
		fix button text

2021-09-21  [paul] 3.18.0-150-gfef812a13

	* README		
		fix dates of latest releases

2021-09-21  [paul] 4.0.0-206-gbf67b45d5

	* README		
		fix dates of latest releases

2021-09-20  [Jonathan Boeing] 3.18.0-149-g633a2de84

	* src/plugins/notification/Makefile.am		
		Fix missing line continuation

2021-09-20  [Jonathan Boeing] 3.18.0-148-g56c42d195

	* src/plugins/pdf_viewer/Makefile.am		
		Update plugin makefiles for Windows

2021-09-20  [Jonathan Boeing] 3.18.0-147-g8192036d0

	* configure.ac
	* src/plugins/pdf_viewer/version.rc
	* src/plugins/pdf_viewer/version.rc.in		
		Update Windows VERSIONINFO resource for plugins

2021-08-22  [Jonathan Boeing] 3.18.0-146-g00145c3aa

	* src/plugins/pdf_viewer/Makefile.am
	* src/plugins/pdf_viewer/claws.def
	* src/plugins/pdf_viewer/plugin.def
	* src/plugins/pdf_viewer/poppler_viewer.h
	* src/plugins/pdf_viewer/version.rc		
		port pdf viewer plugin to windows

2021-09-17  [wwp] 4.0.0-205-g6c1835695

	* src/common/utils.c
	* src/compose.c
	* src/messageview.c
	* src/plugins/vcalendar/vcal_meeting_gtk.c
	* src/plugins/vcalendar/vcal_prefs.c
	* src/textview.c		
		Fix few wrong string lengths when matching URI schemes, add more
		known schemes.

2021-09-17  [wwp] 3.18.0-145-g3bf1a2983

	* src/common/utils.c
	* src/compose.c
	* src/messageview.c
	* src/plugins/vcalendar/vcal_meeting_gtk.c
	* src/plugins/vcalendar/vcal_prefs.c
	* src/textview.c		
		Fix few wrong string lengths when matching URI schemes, add more
		known schemes.

2021-09-17  [paul] 3.18.0-144-gc9be0c35f

	* src/prefs_migration.c		
		put the correct config_version in folderitemrc

2021-09-17  [paul] 4.0.0-204-gcd666398a

	* src/prefs_migration.c		
		put the correct config_version in folderitemrc

2021-09-17  [paul] 3.18.0-143-g22d11141c

	* src/mainwindow.c		
		fix Ingreesh

2021-09-17  [paul] 4.0.0-203-gf31cbefef

	* src/mainwindow.c		
		fix Ingreesh

2021-09-17  [paul] 3.18.0-142-g9cfb0bd90

	* src/edittags.c		
		only allow deletion of tags from the Tags Configuration window

2021-09-17  [paul] 4.0.0-202-g0ab4f470f

	* src/edittags.c		
		only allow deletion of tags from the Tags Configuration window

2021-09-16  [paul] 3.18.0-141-g953d86931

	* src/edittags.c
	* src/edittags.h
	* src/mainwindow.c
	* src/summaryview.c		
		rework tags  set correct window title, depending on whether we are
		configuring the tags, or modifying the tags of the selected
		message(s); display or don't display the label in the window,
		depending on the same; improve the English usage; make the 'add'
		button sensitive, so we don't need the 'tag not set' warning if
		someone presses Add without setting the tag name; only show the
		vertidal scrollbar when needed; lots of renaming, e.g. not
		'apply_window' but 'tags_window'

2021-09-16  [paul] 4.0.0-201-g6e0cf4b69

	* src/edittags.c
	* src/edittags.h
	* src/mainwindow.c
	* src/summaryview.c		
		rework tags  set correct window title, depending on whether we are
		configuring the tags, or modifying the tags of the selected
		message(s); display or don't display the label in the window,
		depending on the same; improve the English usage; make the 'add'
		button sensitive, so we don't need the 'tag not set' warning if
		someone presses Add without setting the tag name; only show the
		vertidal scrollbar when needed; lots of renaming, e.g. not
		'apply_window' but 'tags_window'

2021-09-16  [paul] 4.0.0-200-g6a52fac34

	* src/mainwindow.c		
		remove unnecessary empty menu item in colour label menu; replace
		empty menu item with separator in tags menu

2021-09-16  [Paul] 3.18.0-140-ge56e77d20

	* src/common/template.c
	* src/editaddress.c
	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp
	* src/plugins/vcalendar/month-view.c
	* src/procmime.c
	* src/textview.c
	* src/uri_opener.c		
		remove typo semi-colons

2021-09-16  [paul] 4.0.0-199-g9ade17f2b

	* src/common/template.c
	* src/editaddress.c
	* src/mainwindow.c
	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp
	* src/plugins/vcalendar/month-view.c
	* src/procmime.c
	* src/textview.c
	* src/uri_opener.c		
		remove typo semi-colons

2021-09-16  [wwp] 3.18.0-139-g9283cb6a6

	* src/plugins/clamd/libclamd/clamd-plugin.c		
		Better (and real) fix for CID 1491141 (resource leak), simplify the
		handling of 'value'.

2021-09-16  [wwp] 4.0.0-194-g4b7ba8fc8

	* src/plugins/clamd/libclamd/clamd-plugin.c		
		Better (and real) fix for CID 1491141 (resource leak), simplify the
		handling of 'value'.

2021-09-14  [Jonathan Boeing] 3.18.0-138-g0d164d3e2

	* src/common/Makefile.am
	* src/common/w32_reg.c
	* src/common/w32_reg.h
	* src/common/w32lib.h
	* src/mainwindow.c
	* src/procmime.c		
		Update Windows registry code

2021-09-13  [Jonathan Boeing] 3.18.0-137-ge0f1b4660

	* src/common/log.c
	* src/common/socket.c
	* src/common/timing.h
	* src/common/utils.c
	* src/common/w32lib.h
	* src/exporthtml.c
	* src/folder.c
	* src/mbox.c
	* src/msgcache.c
	* src/plugins/pgpcore/passphrase.c
	* src/prefs_summaries.c
	* src/procheader.c
	* src/procmime.c
	* src/recv.c		
		Cleanup w32lib.h

2021-09-13  [Jonathan Boeing] 3.18.0-136-ga1cb2c4c6

	* src/common/Makefile.am
	* src/common/w32_account.c
	* src/common/w32_signal.c
	* src/common/w32_stat.c
	* src/common/w32_stdlib.c
	* src/common/w32_string.c
	* src/common/w32_time.c
	* src/common/w32_unistd.c
	* src/common/w32_wait.c
	* src/common/w32lib.h		
		Remove old windows compatibility code

2021-09-14  [Jonathan Boeing] 4.0.0-196-gcb86e0eb6

	* src/common/Makefile.am
	* src/common/w32_reg.c
	* src/common/w32_reg.h
	* src/common/w32lib.h
	* src/mainwindow.c
	* src/procmime.c		
		Update Windows registry code

2021-09-13  [Jonathan Boeing] 4.0.0-195-g16c0f2c8f

	* src/common/log.c
	* src/common/socket.c
	* src/common/timing.h
	* src/common/utils.c
	* src/common/w32lib.h
	* src/exporthtml.c
	* src/folder.c
	* src/mbox.c
	* src/msgcache.c
	* src/plugins/pgpcore/passphrase.c
	* src/prefs_summaries.c
	* src/procheader.c
	* src/procmime.c
	* src/recv.c		
		Cleanup w32lib.h

2021-09-13  [Jonathan Boeing] 4.0.0-194-g9bcb48ee8

	* src/common/Makefile.am
	* src/common/w32_account.c
	* src/common/w32_signal.c
	* src/common/w32_stat.c
	* src/common/w32_stdlib.c
	* src/common/w32_string.c
	* src/common/w32_time.c
	* src/common/w32_unistd.c
	* src/common/w32_wait.c
	* src/common/w32lib.h		
		Remove old windows compatibility code

2021-09-16  [wwp] 3.18.0-135-ga96ead9bf

	* src/plugins/clamd/libclamd/clamd-plugin.c		
		Fix CID 1491141, 149246: resource leaks. Fix CID 1491291: ensure
		string in buffer is 0-ended.

2021-09-16  [wwp] 4.0.0-193-g2d39e4b7a

	* src/plugins/clamd/libclamd/clamd-plugin.c		
		Fix CID 1491141, 149246: resource leaks. Fix CID 1491291: ensure
		string in buffer is 0-ended.

2021-09-16  [wwp] 3.18.0-134-gd6cdfd3ba

	* src/common/file-utils.c		
		Fix CID 1491202, 1491126, 1491156 and 1491142: resource leaks. And
		simplify the copy algorithm a bit (mostly around error checking).

2021-09-16  [wwp] 3.18.0-133-gb97377a6c

	* src/common/file-utils.c		
		Fix CID 1491202, 1491126, 1491156 and 1491142: resource leaks. And
		simplify the copy algorithm a bit (mostly around error checking).

2021-09-16  [wwp] 4.0.0-192-g5618ef004

	* src/common/file-utils.c		
		Fix CID 1491202, 1491126, 1491156 and 1491142: resource leaks. And
		simplify the copy algorithm a bit (mostly around error checking).

2021-09-16  [wwp] 4.0.0-191-gaac70d4d6

	* src/common/file-utils.c		
		Fix CID 1491202, 1491126, 1491156 and 1491142: resource leaks. And
		simplify the copy algorithm a bit (mostly around error checking).

2021-09-15  [wwp] 4.0.0-190-gf3e015037

	* src/mimeview.c		
		Fix scrolling in a message's attachments bar (scrolling left or right
		were scrolling down). Also fix scrolling not working when GTK smooth
		scroll is set.

2021-09-15  [wwp] 4.0.0-189-gcf0d5714d

	* src/textview.c		
		Fix wrong variable used to access event data (neutral at run-time).

2021-09-15  [wwp] 3.18.0-132-gcfe830d7a

	* src/mimeview.c		
		Fix scrolling in a message's attachments bar (scrolling left or right
		were scrolling down).

2021-09-14  [Jonathan Boeing] 4.0.0-188-ge90e11cad

	* src/plugins/pdf_viewer/poppler_viewer.c		
		Fix scroll to next/prev page in pdf_viewer  Add handling for
		GDK_SCROLL_SMOOTH events in scroll callback

2021-09-14  [wwp] 3.18.0-131-g758724012

	* src/action.c		
		Fix CID 1491213: resource leak.

2021-09-14  [wwp] 4.0.0-187-g73557a0db

	* src/action.c		
		Fix CID 1491213: resource leak.

2021-09-13  [Jonathan Boeing] 3.18.0-130-g03066f1d7

	* configure.ac
	* src/matcher.c
	* src/mh.c
	* src/plugins/libravatar/libravatar_missing.c
	* src/plugins/rssyl/parse822.c
	* src/plugins/rssyl/rssyl_add_item.c
	* src/plugins/vcalendar/vcal_folder.c
	* src/plugins/vcalendar/vcal_manager.c
	* src/plugins/vcalendar/vcal_meeting_gtk.c		
		Fix time_t format specifier warnings

2021-09-13  [Jonathan Boeing] 3.18.0-129-gac96dc8c6

	* src/inc.c		
		Fix -Wmaybe-uninitialized warning

2021-09-13  [Jonathan Boeing] 3.18.0-128-gbb833be1d

	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp		
		Fix litehtml warnings

2021-09-13  [Jonathan Boeing] 3.18.0-127-gdbf84332f

	* src/common/ssl_certificate.c
	* src/compose.c
	* src/plugins/litehtml_viewer/http.cpp		
		Fix size_t format specifier warnings

2021-09-13  [Jonathan Boeing] 3.18.0-126-gb71d11782

	* src/compose.c
	* src/editaddress.c		
		Fix missing GTK casts

2021-09-13  [Jonathan Boeing] 3.18.0-125-gfef0cbd96

	* src/compose.c		
		GPid is a HANDLE on Windows

2021-09-12  [Jonathan Boeing] 3.18.0-124-g10d7193ab

	* src/compose.c		
		Fix -Wunused-variable warnings

2021-09-12  [Jonathan Boeing] 3.18.0-123-g23b79443f

	* src/gtk/quicksearch.c		
		Fix -Wunused-but-set-variable warnings

2021-09-12  [Jonathan Boeing] 3.18.0-122-g88cf744c7

	* src/main.c
	* src/plugins/notification/notification_plugin.c		
		Add glib version check for g_thread_supported

2021-09-12  [Jonathan Boeing] 3.18.0-121-gd8e3362e7

	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/litehtml_viewer/litehtml/Makefile.am		
		Remove unneeded define for litehtml

2021-08-03  [paul] 3.18.0-120-g36810ba67

	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp		
		fix bug 4312, 'litehtml plugin loops (hangup)'  patch by Frank
		Mueller  (cherry picked from commit
		00d0212ccbcaa608a91c5f3a50639fed98f654c6)

2021-09-12  [Jonathan Boeing] 3.18.0-119-g2f0c7dd54

	* src/plugins/litehtml_viewer/litehtml/os_types.h		
		Add updated fix for litehtml os_types.h  Original fix from
		b1bc36d2f7ca19cd61e335561d2a44c421ba9678

2019-04-10  [Andrej Kacian] 3.18.0-118-gace1637cb

	* src/plugins/litehtml_viewer/litehtml/document.h		
		Add a getter for litehtml::document's m_over_element member  This
		allows us to avoid some expensive GDK calls in
		lh_widget::set_cursor().  (cherry picked from commit
		7c6693d7085636df23c44d1b40895f0e43c1f166)

2021-09-12  [Jonathan Boeing] 3.18.0-117-ga1bad64aa

	* src/plugins/litehtml_viewer/litehtml/Makefile.am
	* src/plugins/litehtml_viewer/litehtml/README.md
	* src/plugins/litehtml_viewer/litehtml/borders.h
	* .../litehtml_viewer/litehtml/css_selector.cpp
	* src/plugins/litehtml_viewer/litehtml/document.cpp
	* src/plugins/litehtml_viewer/litehtml/document.h
	* src/plugins/litehtml_viewer/litehtml/el_image.cpp
	* src/plugins/litehtml_viewer/litehtml/el_image.h
	* src/plugins/litehtml_viewer/litehtml/el_li.cpp
	* src/plugins/litehtml_viewer/litehtml/el_li.h
	* src/plugins/litehtml_viewer/litehtml/element.cpp
	* src/plugins/litehtml_viewer/litehtml/element.h
	* src/plugins/litehtml_viewer/litehtml/html.cpp
	* src/plugins/litehtml_viewer/litehtml/html.h
	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp
	* src/plugins/litehtml_viewer/litehtml/html_tag.h
	* src/plugins/litehtml_viewer/litehtml/litehtml.h
	* .../litehtml_viewer/litehtml/media_query.cpp
	* src/plugins/litehtml_viewer/litehtml/num_cvt.cpp
	* src/plugins/litehtml_viewer/litehtml/num_cvt.h
	* src/plugins/litehtml_viewer/litehtml/os_types.h
	* src/plugins/litehtml_viewer/litehtml/style.cpp
	* src/plugins/litehtml_viewer/litehtml/types.h
	* .../litehtml_viewer/litehtml/utf8_strings.cpp
	* .../litehtml_viewer/litehtml/utf8_strings.h		
		Sync with upstream litehtml  Sync with commit
		294780d910607850e91f3a066561bbbce03d1aaf

2021-09-13  [Jonathan Boeing] 4.0.0-186-gbe99a003e

	* configure.ac
	* src/matcher.c
	* src/mh.c
	* src/plugins/libravatar/libravatar_missing.c
	* src/plugins/rssyl/parse822.c
	* src/plugins/rssyl/rssyl_add_item.c
	* src/plugins/vcalendar/vcal_folder.c
	* src/plugins/vcalendar/vcal_manager.c
	* src/plugins/vcalendar/vcal_meeting_gtk.c		
		Fix time_t format specifier warnings

2021-09-13  [Jonathan Boeing] 4.0.0-185-g7ed063fd8

	* src/inc.c		
		Fix -Wmaybe-uninitialized warning

2021-09-13  [Jonathan Boeing] 4.0.0-184-g9c4b4aea5

	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp		
		Fix litehtml warnings

2021-09-13  [Jonathan Boeing] 4.0.0-183-g1653583d5

	* src/procmime.c		
		Fix wrong return value

2021-09-13  [Jonathan Boeing] 4.0.0-182-gb4c9e5206

	* src/common/ssl_certificate.c
	* src/compose.c
	* src/plugins/litehtml_viewer/http.cpp		
		Fix size_t format specifier warnings

2021-09-13  [Jonathan Boeing] 4.0.0-181-gce62446d9

	* src/compose.c
	* src/editaddress.c
	* src/gtk/gtkcmclist.c		
		Fix missing GTK casts

2021-09-13  [Jonathan Boeing] 4.0.0-180-gfac24c59d

	* src/compose.c		
		GPid is a HANDLE on Windows

2021-09-12  [Jonathan Boeing] 4.0.0-179-g1205ad823

	* src/compose.c		
		Fix -Wunused-variable warnings

2021-09-12  [Jonathan Boeing] 4.0.0-178-ga2e991d8e

	* src/gtk/prefswindow.c
	* src/gtk/quicksearch.c
	* src/plugins/notification/notification_banner.c		
		Fix -Wunused-but-set-variable warnings

2021-09-12  [Jonathan Boeing] 4.0.0-177-g849778a75

	* src/main.c
	* src/plugins/notification/notification_plugin.c		
		Add glib version check for g_thread_supported

2021-09-12  [Jonathan Boeing] 4.0.0-176-g8446f2657

	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/litehtml_viewer/litehtml/Makefile.am		
		Remove unneeded define for litehtml

2021-08-03  [paul] 4.0.0-175-gbbe6c209a

	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp		
		fix bug 4312, 'litehtml plugin loops (hangup)'  patch by Frank
		Mueller  (cherry picked from commit
		00d0212ccbcaa608a91c5f3a50639fed98f654c6)

2021-09-12  [Jonathan Boeing] 4.0.0-174-g73b5271fb

	* src/plugins/litehtml_viewer/litehtml/os_types.h		
		Add updated fix for litehtml os_types.h  Original fix from
		b1bc36d2f7ca19cd61e335561d2a44c421ba9678

2019-04-10  [Andrej Kacian] 4.0.0-173-g44a873753

	* src/plugins/litehtml_viewer/litehtml/document.h		
		Add a getter for litehtml::document's m_over_element member  This
		allows us to avoid some expensive GDK calls in
		lh_widget::set_cursor().  (cherry picked from commit
		7c6693d7085636df23c44d1b40895f0e43c1f166)

2021-09-12  [Jonathan Boeing] 4.0.0-172-gbc7f670ba

	* src/plugins/litehtml_viewer/litehtml/Makefile.am
	* src/plugins/litehtml_viewer/litehtml/README.md
	* src/plugins/litehtml_viewer/litehtml/borders.h
	* .../litehtml_viewer/litehtml/css_selector.cpp
	* src/plugins/litehtml_viewer/litehtml/document.cpp
	* src/plugins/litehtml_viewer/litehtml/document.h
	* src/plugins/litehtml_viewer/litehtml/el_image.cpp
	* src/plugins/litehtml_viewer/litehtml/el_image.h
	* src/plugins/litehtml_viewer/litehtml/el_li.cpp
	* src/plugins/litehtml_viewer/litehtml/el_li.h
	* src/plugins/litehtml_viewer/litehtml/element.cpp
	* src/plugins/litehtml_viewer/litehtml/element.h
	* src/plugins/litehtml_viewer/litehtml/html.cpp
	* src/plugins/litehtml_viewer/litehtml/html.h
	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp
	* src/plugins/litehtml_viewer/litehtml/html_tag.h
	* src/plugins/litehtml_viewer/litehtml/litehtml.h
	* .../litehtml_viewer/litehtml/media_query.cpp
	* src/plugins/litehtml_viewer/litehtml/num_cvt.cpp
	* src/plugins/litehtml_viewer/litehtml/num_cvt.h
	* src/plugins/litehtml_viewer/litehtml/os_types.h
	* src/plugins/litehtml_viewer/litehtml/style.cpp
	* src/plugins/litehtml_viewer/litehtml/types.h
	* .../litehtml_viewer/litehtml/utf8_strings.cpp
	* .../litehtml_viewer/litehtml/utf8_strings.h		
		Sync with upstream litehtml  Sync with commit
		294780d910607850e91f3a066561bbbce03d1aaf

2021-09-13  [paul] 4.0.0-171-g36d10734f

	* src/gtk/gtkaspell.c
	* src/summaryview.c		
		use separators in menus, not empty  menu items

2021-09-13  [paul] 4.0.0-170-gfab030f00

	* src/summaryview.c		
		remove unnecessary empty item in colour labels menu

2021-09-12  [Jonathan Boeing] 3.18.0-116-gae4519307

	* src/procheader.c		
		Fix messageview_date_format on Windows  Bug 4535 'Setting
		msgview_date_format=1 does not work'  Call
		procheader_date_get_localtime() for Windows as well.  Also fix
		deprecation warning for g_time_zone_new()

2021-09-12  [Jonathan Boeing] 4.0.0-169-g3e5706b06

	* src/procheader.c		
		Fix messageview_date_format on Windows  Bug 4535 'Setting
		msgview_date_format=1 does not work'  Call
		procheader_date_get_localtime() for Windows as well.  Also fix
		deprecation warning for g_time_zone_new()

2021-09-12  [wwp] 3.18.0-115-g69f0c0e70

	* src/action.c
	* src/inc.c
	* src/plugins/pgpcore/select-keys.c		
		Fix CID 1491213, 1491253, 1491103 and 1491189: resource leaks (if
		g_locale_from_utf8() returns an empty string, still to free).

2021-09-12  [wwp] 4.0.0-168-g9d73c50d6

	* src/action.c
	* src/inc.c
	* src/plugins/pgpcore/select-keys.c		
		Fix CID 1491213, 1491253, 1491103 and 1491189: resource leaks (if
		g_locale_from_utf8() returns an empty string, still to free).

2021-09-12  [wwp] 3.18.0-114-gfe2c6b9d2

	* src/import.c		
		Fix CID 141151: coverity scared because we're testing of pointers
		that can never be null (from gtk_entry_get_text()).

2021-09-12  [wwp] 4.0.0-167-g9a7649aac

	* src/import.c		
		Fix CID 141151: coverity scared because we're testing of pointers
		that can never be null (from gtk_entry_get_text()).

2021-09-12  [wwp] 3.18.0-113-gfa8b9e14d

	* src/main.c		
		Fix CID 1491070: resource leak. Use a static GString to feed
		cmd.mailto instead of a dynamically allocated struct that will never
		be freed.

2021-09-12  [wwp] 4.0.0-166-g24415eb70

	* src/main.c		
		Fix CID 1491070: resource leak. Use a static GString to feed
		cmd.mailto instead of a dynamically allocated struct that will never
		be freed.

2021-09-12  [wwp] 3.18.0-112-geba430d7a

	* src/matcher.c		
		Fix CID 1491332: resource leaks (3).

2021-09-12  [wwp] 4.0.0-165-ge97569bcb

	* src/matcher.c		
		Fix CID 1491332: resource leaks (3).

2021-09-11  [Jonathan Boeing] 3.18.0-111-g6cca74bc3

	* src/plugins/rssyl/libfeed/feed.c
	* src/plugins/rssyl/libfeed/feeditem.c
	* src/plugins/rssyl/libfeed/feeditemenclosure.c
	* src/plugins/rssyl/libfeed/parser.c
	* src/plugins/rssyl/libfeed/parser_opml.c
	* src/plugins/rssyl/rssyl_cb_menu.c
	* src/plugins/rssyl/rssyl_parse_feed.c
	* src/plugins/rssyl/strutils.c		
		match glib allocate and free functions  fix allocate/free mismatches
		and switch to glib functions

2021-09-11  [Jonathan Boeing] 3.18.0-110-g98393c3a5

	* src/plugins/rssyl/claws.def
	* src/plugins/rssyl/rssyl.c		
		Fix crash when unloading RSSyl plugin  Bug 4467  folder is not a
		LocalFolder, so calling folder_local_folder_destroy() passes a bad
		address to g_free().  Causes a potential crash on Windows, and
		valgrind logs an 'Invalid read of size 8' and 'Invalid free() /
		delete / delete[] / realloc()'

2021-09-11  [Jonathan Boeing] 4.0.0-164-g5fea1d086

	* src/plugins/rssyl/libfeed/feed.c
	* src/plugins/rssyl/libfeed/feeditem.c
	* src/plugins/rssyl/libfeed/feeditemenclosure.c
	* src/plugins/rssyl/libfeed/parser.c
	* src/plugins/rssyl/libfeed/parser_opml.c
	* src/plugins/rssyl/rssyl_cb_menu.c
	* src/plugins/rssyl/rssyl_parse_feed.c
	* src/plugins/rssyl/strutils.c		
		match glib allocate and free functions  fix allocate/free mismatches
		and switch to glib functions

2021-09-11  [Jonathan Boeing] 4.0.0-163-gd52aded0f

	* src/plugins/rssyl/claws.def
	* src/plugins/rssyl/rssyl.c		
		Fix crash when unloading RSSyl plugin  Bug 4467  folder is not a
		LocalFolder, so calling folder_local_folder_destroy() passes a bad
		address to g_free().  Causes a potential crash on Windows, and
		valgrind logs an 'Invalid read of size 8' and 'Invalid free() /
		delete / delete[] / realloc()'

2021-09-11  [wwp] 3.18.0-109-g8ef8b8a42

	* src/action.c		
		Better check for read() errors.

2021-09-11  [wwp] 4.0.0-162-g8cb4112c1

	* src/action.c		
		Better check for read() errors.

2021-09-11  [wwp] 3.18.0-108-gd5170988d

	* src/main.c		
		No trailing punctuation in g_error's.

2021-09-11  [wwp] 4.0.0-161-ga223eeb17

	* src/main.c		
		No trailing punctuation in g_error's.

2021-09-11  [wwp] 3.18.0-107-g30515cc37

	* src/addritem.c		
		Fix CID 1491380: resource leak, and add few errors when allocating
		new itemFolders weren't possible (this would lead to unpredictable
		behaviour later, anyway).

2021-09-11  [wwp] 3.18.0-106-g7a8bcbd20

	* src/main.c		
		g_error's are not translated and have no trailing new-line char.

2021-09-11  [wwp] 4.0.0-160-g556016d16

	* src/addritem.c		
		Fix CID 1491380: resource leak, and add few errors when allocating
		new itemFolders weren't possible (this would lead to unpredictable
		behaviour later, anyway).

2021-09-11  [wwp] 4.0.0-159-g33c9a6ca3

	* src/main.c		
		g_error's are not translated and have no trailing new-line char.

2021-09-11  [wwp] 3.18.0-105-g82bd80a34

	* src/vcard.c		
		Fix CID 1491382: malloc size too short by one because, worst case,
		qp_decode_const will dump the exact same input string.

2021-09-11  [wwp] 4.0.0-158-g121dfea85

	* src/vcard.c		
		Fix CID 1491382: malloc size too short by one because, worst case,
		qp_decode_const will dump the exact same input string.

2021-09-11  [wwp] 4.0.0-157-g66893572a

	* src/action.c		
		Fix CID 1491207, 1491213 and 1491253: ensure string in buffer is
		0-ended, and two resource (possible) leaks.

2021-09-11  [wwp] 4.0.0-156-g829b45e27

	* src/account.c
	* src/addrbook.c
	* src/addrbook.h
	* src/addrcache.c
	* src/addrcache.h
	* src/addressbook.c
	* src/addrindex.c
	* src/addrindex.h
	* src/addritem.c
	* src/addritem.h
	* src/common/smtp.c
	* src/common/smtp.h
	* src/compose.c
	* src/compose.h
	* src/folder.c
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/gtk/manage_window.c
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
	* src/html.c
	* src/html.h
	* src/jpilot.c
	* src/jpilot.h
	* src/mainwindow.c
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser_parse.y
	* src/messageview.c
	* src/mimeview.c
	* src/plugins/Makefile.am
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/notification/notification_trayicon.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/python/composewindowtype.c
	* src/plugins/rssyl/rssyl.c
	* src/plugins/rssyl/rssyl_parse_feed.c
	* src/plugins/rssyl/rssyl_prefs.c
	* src/plugins/rssyl/rssyl_prefs.h
	* src/plugins/rssyl/rssyl_subscribe.c
	* src/plugins/rssyl/rssyl_update_feed.c
	* src/plugins/vcalendar/vcal_meeting_gtk.c
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_ext_prog.c
	* src/prefs_folder_item.c
	* src/prefs_matcher.c
	* src/prefs_message.c
	* src/prefs_summaries.c
	* src/procmime.c
	* src/procmime.h
	* src/procmsg.c
	* src/send_message.c
	* src/send_message.h
	* src/summaryview.c
	* src/textview.c
	* src/toolbar.c
	* src/vcard.c
	* src/vcard.h		
		Revert "Fix CID 1491382: malloc size too short by one because, worst
		case, qp_decode_const"  This reverts commit
		69e7131dc87ed1dbec2f9140a03b38feaf192cdf.

2021-09-11  [wwp] 4.0.0-155-gdf27a8bc0

	* src/action.c		
		Revert "Fix CID 1491207, 1491213 and 1491253: ensure string in buffer
		is 0-ended,"  This reverts commit
		74059cdc111cdc7ada818eb3a57df6f441acdbe5.

2021-09-11  [wwp] 4.0.0-154-g69e7131dc

	* src/account.c
	* src/addrbook.c
	* src/addrbook.h
	* src/addrcache.c
	* src/addrcache.h
	* src/addressbook.c
	* src/addrindex.c
	* src/addrindex.h
	* src/addritem.c
	* src/addritem.h
	* src/common/smtp.c
	* src/common/smtp.h
	* src/compose.c
	* src/compose.h
	* src/folder.c
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/gtk/manage_window.c
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
	* src/html.c
	* src/html.h
	* src/jpilot.c
	* src/jpilot.h
	* src/mainwindow.c
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser_parse.y
	* src/messageview.c
	* src/mimeview.c
	* src/plugins/Makefile.am
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/notification/notification_trayicon.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/python/composewindowtype.c
	* src/plugins/rssyl/rssyl.c
	* src/plugins/rssyl/rssyl_parse_feed.c
	* src/plugins/rssyl/rssyl_prefs.c
	* src/plugins/rssyl/rssyl_prefs.h
	* src/plugins/rssyl/rssyl_subscribe.c
	* src/plugins/rssyl/rssyl_update_feed.c
	* src/plugins/vcalendar/vcal_meeting_gtk.c
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_ext_prog.c
	* src/prefs_folder_item.c
	* src/prefs_matcher.c
	* src/prefs_message.c
	* src/prefs_summaries.c
	* src/procmime.c
	* src/procmime.h
	* src/procmsg.c
	* src/send_message.c
	* src/send_message.h
	* src/summaryview.c
	* src/textview.c
	* src/toolbar.c
	* src/vcard.c
	* src/vcard.h		
		Fix CID 1491382: malloc size too short by one because, worst case,
		qp_decode_const will dump the exact same input string.

2021-09-11  [wwp] 3.18.0-104-gac7ee135c

	* src/action.c		
		Fix CID 1491207, 1491213 and 1491253: ensure string in buffer is
		0-ended, and two resource (possible) leaks.

2021-09-11  [wwp] 4.0.0-153-g74059cdc1

	* src/action.c		
		Fix CID 1491207, 1491213 and 1491253: ensure string in buffer is
		0-ended, and two resource (possible) leaks.

2021-09-11  [wwp] 3.18.0-103-gce2331344

	* src/crash.c		
		Fix CID 1491187, 1491214, 1491383: discard const returned for newly
		allocated strings, resource leak.

2021-09-11  [wwp] 4.0.0-152-g1451f9278

	* src/crash.c		
		Fix CID 1491187, 1491214, 1491383: discard const returned for newly
		allocated strings, resource leak.

2021-09-11  [wwp] 3.18.0-102-gb24a66c40

	* src/grouplistdialog.c		
		Fix CID 1491385: buffer overrun (if copying all non-0 chars of name
		to newname, we still need an extra room for a trailing 0).

2021-09-11  [wwp] 4.0.0-151-g7fbe24ea7

	* src/grouplistdialog.c		
		Fix CID 1491385: buffer overrun (if copying all non-0 chars of name
		to newname, we still need an extra room for a trailing 0).

2021-09-11  [wwp] 3.18.0-101-g1f6055001

	* src/mbox.c		
		Fix CID 1491389: resource leak.

2021-09-11  [wwp] 4.0.0-150-g2175e7fc9

	* src/mbox.c		
		Fix CID 1491389: resource leak.

2021-09-11  [wwp] 3.18.0-100-g29baace4f

	* src/plugins/smime/smime.c		
		Fix CID 1491390: resource leak.

2021-09-11  [wwp] 4.0.0-149-g7edb55b8c

	* src/plugins/smime/smime.c		
		Fix CID 1491390: resource leak.

2021-09-09  [Jonathan Boeing] 3.18.0-99-gaf4a2b24c

	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h		
		Add missing const qualifier  Fix warning: assignment discards ‘const’
		qualifier from pointer target type

2021-09-09  [Jonathan Boeing] 3.18.0-98-gba258d369

	* src/plugins/fancy/fancy_viewer.c		
		Minor cleanup

2021-09-09  [Jonathan Boeing] 4.0.0-148-g9ba29ca59

	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h		
		Add missing const qualifier  Fix warning: assignment discards ‘const’
		qualifier from pointer target type

2021-09-09  [Jonathan Boeing] 4.0.0-147-gb32b28769

	* src/plugins/fancy/fancy_viewer.c		
		Minor cleanup

2021-09-10  [Paul] 3.18.0-97-g05d668eae

	* autogen.sh
	* config/test-driver
	* tools/check-appstream.sh
	* tools/claws.get.tlds.pl
	* tools/gitlog2changelog.py		
		fix filemode, broken in 9ffe6db441e441feea5d4ff5ad055d9b2e407c25

2021-09-10  [wwp] 3.18.0-96-g6f604e06b

	* src/plugins/archive/libarchive_archive.c		
		Fix duplicate g_unlink (thanks, Colin).

2021-09-10  [Michael Rasmussen] 4.0.0-146-gef5c197cf

	* src/plugins/notification/gtkhotkey/Makefile.am
	* src/plugins/notification/gtkhotkey/gtk-hotkey-key-file-registry.c		
		Fix broken include 

2021-09-10  [Michael Rasmussen] 3.18.0-95-gbadf45743

	* src/plugins/notification/gtkhotkey/Makefile.am
	* src/plugins/notification/gtkhotkey/gtk-hotkey-key-file-registry.c		
		Fix broken include 

2021-09-09  [Jonathan Boeing] 4.0.0-145-g0c7308ca2

	* src/editaddress.c		
		Fix crash in address book edit person details  Bug 4534 'Address book
		causing claws to terminate unexpectedly'  Clearing the list store
		triggers a cursor-changed signal, leading to a potential crash with a
		use-after-free

2021-09-10  [Michael Rasmussen] 3.18.0-94-gac9475845

	* src/plugins/archive/libarchive_archive.c		
		Fix CID 1491395 

2021-09-09  [Michael Rasmussen] 3.18.0-93-gd5053bf90

	* src/plugins/vcalendar/vcal_folder.c		
		Fix CID 1491387 

2021-09-09  [Michael Rasmussen] 3.18.0-92-g2d41301d0

	* src/main.c		
		Fix CID 1491386 

2021-09-09  [Michael Rasmussen] 3.18.0-91-g82b23ceee

	* src/etpan/imap-thread.c		
		Fix CID 1491384 

2021-09-09  [Michael Rasmussen] 3.18.0-90-g43d2cef47

	* src/common/file-utils.c		
		Fix CID 1491381 

2021-09-09  [Michael Rasmussen] 3.18.0-89-g786008d8e

	* src/plugins/clamd/clamav_plugin.c		
		Fix CID 1491377 

2021-09-09  [Michael Rasmussen] 3.18.0-88-g98731f9d7

	* src/procmime.c		
		Fix CID 1491376 

2021-09-09  [Michael Rasmussen] 3.18.0-87-g3530d881e

	* src/plugins/tnef_parse/tnef_parse.c		
		Fix CID 1491375 

2021-09-09  [Michael Rasmussen] 3.18.0-86-gf18a7806b

	* src/plugins/notification/gtkhotkey/gtk-hotkey-key-file-registry.c		
		Fix CID 1491374 

2021-09-09  [Michael Rasmussen] 3.18.0-85-g9ffe6db44

	* autogen.sh
	* config/test-driver
	* src/plugins/archive/libarchive_archive.c
	* tools/check-appstream.sh
	* tools/claws.get.tlds.pl
	* tools/gitlog2changelog.py		
		Fix CID 1491392 

2021-09-09  [Michael Rasmussen] 4.0.0-144-g1850c52bb

	* src/plugins/notification/gtkhotkey/gtk-hotkey-key-file-registry.c		
		Fix CID 1491374 

2021-09-09  [Michael Rasmussen] 4.0.0-143-ge4be4beeb

	* src/plugins/tnef_parse/tnef_parse.c		
		Fix CID 1491375 

2021-09-09  [Michael Rasmussen] 4.0.0-142-g23d991d97

	* src/plugins/tnef_parse/tnef_parse.c		
		Fix CID 1491375 

2021-09-09  [Michael Rasmussen] 4.0.0-141-gdc931c8e6

	* src/procmime.c		
		Fix CID 1491376 

2021-09-09  [Michael Rasmussen] 4.0.0-140-g4f9c02185

	* src/plugins/clamd/clamav_plugin.c		
		Fix CID 1491377 

2021-09-09  [Michael Rasmussen] 4.0.0-139-gead53a765

	* src/common/file-utils.c		
		Fix CID 1491381 

2021-09-09  [Michael Rasmussen] 4.0.0-138-gb4b33b25f

	* src/common/file-utils.c		
		Fix CID 1491381 

2021-09-09  [Michael Rasmussen] 4.0.0-137-gf2a5d59d3

	* src/common/file-utils.c		
		Fix CID 1491381 

2021-09-09  [Michael Rasmussen] 4.0.0-136-gf405cef3d

	* src/etpan/imap-thread.c		
		Fix CID 1491384 

2021-09-09  [Michael Rasmussen] 4.0.0-135-gbd1db001e

	* src/main.c		
		Fix CID 1491386 

2021-09-09  [Michael Rasmussen] 4.0.0-134-gb38c4362b

	* src/plugins/vcalendar/vcal_folder.c		
		Fix CID 1491387 

2021-09-09  [Michael Rasmussen] 4.0.0-133-g531f47d9b

	* src/plugins/archive/libarchive_archive.c		
		Fix CID 1491392 

2021-09-09  [paul] 3.18.0-84-g8589ae35c

	* src/plugins/bogofilter/bogofilter.c		
		the final (?) modification to this debug_print()

2021-09-09  [paul] 4.0.0-132-g882bb4d6f

	* src/plugins/bogofilter/bogofilter.c		
		the final (?) modification to this debug_print()

2021-09-09  [paul] 3.18.0-83-gaa0c24852

	* src/plugins/bogofilter/bogofilter.c		
		remove unecessary linebreak (it's already there)

2021-09-09  [paul] 4.0.0-131-gecea5c2fd

	* src/plugins/bogofilter/bogofilter.c		
		remove unecessary linebreak (it's already there)

2021-09-08  [wwp] 4.0.0-130-gd4e2645d8

	* src/textview.c		
		Allow zooming in/out a message body text view. Zoom level is applied
		to any further message viewed, and reset at next start-up. Only
		applies to text font. Zoom is changed by using CTRL+mouse wheel
		up/down, or with text view's right-click menu.

2021-09-08  [wwp] 3.18.0-82-gf577e0432

	* src/textview.c		
		Allow zooming in/out a message body text view. Zoom level is applied
		to any further message viewed, and reset at next start-up. Only
		applies to text font. Zoom is changed by using CTRL+mouse wheel
		up/down, or with text view's right-click menu.

2021-09-07  [wwp] 4.0.0-129-g2478af427

	* src/plugins/bogofilter/bogofilter.c		
		Better debug statement (than ever).

2021-09-07  [wwp] 3.18.0-81-g39eb4e5c0

	* src/plugins/bogofilter/bogofilter.c		
		Better debug statement (than ever).

2021-09-07  [wwp] 4.0.0-128-gaaa599c49

	* src/plugins/bogofilter/bogofilter.c		
		Remove extra line-break in debug statement.

2021-09-07  [wwp] 3.18.0-80-gdac44f0d2

	* src/plugins/bogofilter/bogofilter.c		
		Remove extra line-break in debug statement.

2021-09-02  [Jonathan Boeing] 4.0.0-127-gf2f4a99dc

	* src/image_viewer.c
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/litehtml_viewer/lh_viewer.c
	* src/plugins/vcalendar/day-view.c
	* src/plugins/vcalendar/month-view.c
	* src/plugins/vcalendar/vcalendar.c
	* src/textview.c		
		Add more widget names

2021-09-01  [Jonathan Boeing] 4.0.0-126-g275d19822

	* src/plugins/fancy/fancy_viewer.c		
		Fix crashes in Fancy when printing  Fix a crash due to a race between
		the background initialization of the newly created WebKitWebView and
		launching the print dialog.  Also fix a crash due to an allocate/free
		mismatch with the WebKitPrintOperation

2021-09-01  [Jonathan Boeing] 4.0.0-125-g07ced7167

	* src/messageview.c		
		Clear temp messageview before destroying  Avoid potential crashes
		when printing from a mimeview

2021-09-06  [Ricardo Mones] 4.0.0-124-g545cab2d8

	* src/common/tags.c
	* src/compose.c
	* src/edittags.c
	* src/gtk/gtkutils.c
	* src/gtk/spell_entry.c
	* src/matcher.c
	* src/plugins/acpi_notifier/acpi_notifier.c
	* src/plugins/archive/archiver_prefs.c
	* src/plugins/att_remover/att_remover.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bsfilter/bsfilter.c
	* src/plugins/bsfilter/bsfilter_gtk.c
	* src/plugins/fetchinfo/fetchinfo_plugin.c
	* src/plugins/litehtml_viewer/litehtml/litehtml.h
	* src/plugins/mailmbox/mailmbox.c
	* src/plugins/mailmbox/mailmbox_folder.c
	* src/plugins/mailmbox/plugin.c
	* src/plugins/newmail/newmail.c
	* src/plugins/notification/notification_banner.c
	* src/plugins/pdf_viewer/poppler_viewer.h
	* src/plugins/perl/perl_gtk.c
	* src/plugins/python/clawsmailmodule.c
	* src/plugins/smime/smime.c
	* src/plugins/spam_report/spam_report.c
	* src/plugins/vcalendar/common-views.c
	* src/plugins/vcalendar/day-view.c
	* src/plugins/vcalendar/month-view.c
	* src/prefs_actions.c
	* src/prefs_common.c
	* src/prefs_folder_item.c
	* src/prefs_image_viewer.c
	* src/prefs_template.c		
		Remove duplicate includes

2021-09-06  [Ricardo Mones] 3.18.0-79-g69f8c49ca

	* src/common/tags.c
	* src/compose.c
	* src/edittags.c
	* src/gtk/gtkutils.c
	* src/gtk/spell_entry.c
	* src/matcher.c
	* src/plugins/acpi_notifier/acpi_notifier.c
	* src/plugins/archive/archiver_prefs.c
	* src/plugins/att_remover/att_remover.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bsfilter/bsfilter.c
	* src/plugins/bsfilter/bsfilter_gtk.c
	* src/plugins/fetchinfo/fetchinfo_plugin.c
	* src/plugins/litehtml_viewer/litehtml/litehtml.h
	* src/plugins/mailmbox/mailmbox.c
	* src/plugins/mailmbox/mailmbox_folder.c
	* src/plugins/mailmbox/plugin.c
	* src/plugins/newmail/newmail.c
	* src/plugins/notification/notification_banner.c
	* src/plugins/pdf_viewer/poppler_viewer.h
	* src/plugins/perl/perl_gtk.c
	* src/plugins/python/clawsmailmodule.c
	* src/plugins/smime/smime.c
	* src/plugins/spam_report/spam_report.c
	* src/plugins/vcalendar/common-views.c
	* src/plugins/vcalendar/day-view.c
	* src/plugins/vcalendar/month-view.c
	* src/prefs_actions.c
	* src/prefs_common.c
	* src/prefs_folder_item.c
	* src/prefs_image_viewer.c
	* src/prefs_template.c		
		Remove duplicate includes

2021-09-05  [wwp] 4.0.0-123-g70f242f0b

	* src/common/Makefile.am
	* src/etpan/Makefile.am
	* src/gtk/Makefile.am
	* src/plugins/acpi_notifier/Makefile.am
	* src/plugins/address_keeper/Makefile.am
	* src/plugins/att_remover/Makefile.am		
		Revert accidentally committed changes.

2021-09-05  [wwp] 4.0.0-122-g1e9ab88e5

	* src/compose.c
	* src/plugins/rssyl/rssyl_prefs.c
	* src/plugins/rssyl/rssyl_prefs.h
	* src/plugins/rssyl/rssyl_update_feed.c
	* src/procmsg.c		
		Revert accidentally commited changes.

2021-09-04  [wwp] 4.0.0-121-g1be840cc9

	* src/prefs_folder_item.c		
		Better spacing of widgets in folder prefs.

2021-09-03  [wwp] 4.0.0-117-g791db4bb0

	* src/uri_opener.c		
		Update copyright header.

2021-09-03  [wwp] 3.18.0-78-g86b5e30f7

	* src/gtk/gtkutils.c
	* src/uri_opener.c		
		Update copyright header.

2021-09-03  [Ricardo Mones] 4.0.0-118-g78c266b23

	* src/alertpanel.c		
		Remove unused defines

2021-09-03  [Ricardo Mones] 3.18.0-77-g373610811

	* src/alertpanel.c		
		Remove unused defines

2021-09-03  [Ricardo Mones] 3.18.0-76-ge5d14dc9f

	* src/plugins/attachwarner/attachwarner.c
	* src/plugins/attachwarner/attachwarner.h
	* src/plugins/attachwarner/attachwarner_prefs.c
	* src/plugins/attachwarner/attachwarner_prefs.h		
		Use plugin name consistently

2021-09-03  [Ricardo Mones] 4.0.0-117-gf041228ca

	* src/plugins/attachwarner/attachwarner.c
	* src/plugins/attachwarner/attachwarner.h
	* src/plugins/attachwarner/attachwarner_prefs.c
	* src/plugins/attachwarner/attachwarner_prefs.h		
		Use plugin name consistently

2021-09-03  [wwp] 3.18.0-75-g6010dca56

	* configure.ac
	* src/account.c
	* src/common/session.c
	* src/common/socket.c
	* src/common/ssl.c
	* src/editldap.c
	* src/gtk/sslcertwindow.c
	* src/imap.c
	* src/inc.c
	* src/ldapctrl.c
	* src/ldapserver.c
	* src/mainwindow.c
	* src/news.c
	* src/oauth2.c
	* src/plugins/rssyl/rssyl_feed_props.c
	* src/plugins/rssyl/rssyl_prefs.c
	* src/plugins/vcalendar/vcal_prefs.c
	* src/prefs_account.c
	* src/send_message.c
	* src/ssl_manager.c
	* src/wizard.c		
		Replace 'SSL/TLS' with 'TLS'.

2021-09-03  [wwp] 4.0.0-116-g89b932309

	* configure.ac		
		Replace 'SSL/TLS' with 'TLS'.

2021-09-03  [wwp] 3.18.0-74-gac192b80f

	* src/action.c
	* src/addr_compl.c
	* src/addressadd.c
	* src/addressbook-dbus.c
	* src/addressbook.c
	* src/addrindex.c
	* src/avatars.c
	* src/common/file-utils.c
	* src/common/proxy.c
	* src/common/session.c
	* src/common/socket.c
	* src/common/ssl.c
	* src/common/ssl_certificate.c
	* src/common/template.c
	* src/common/utils.c
	* src/common/xml.c
	* src/compose.c
	* src/export.c
	* src/folder.c
	* src/folderview.c
	* src/gtk/about.c
	* src/gtk/gtksctree.c
	* src/gtk/gtkunit.c
	* src/gtk/gtkutils.c
	* src/headerview.c
	* src/image_viewer.c
	* src/imap.c
	* src/import.c
	* src/main.c
	* src/mainwindow.c
	* src/mbox.c
	* src/messageview.c
	* src/mh.c
	* src/msgcache.c
	* src/partial_download.c
	* src/plugins/acpi_notifier/acpi_notifier.c
	* src/plugins/address_keeper/address_keeper_prefs.c
	* src/plugins/archive/archiver_prefs.c
	* src/plugins/archive/libarchive_archive.c
	* src/plugins/att_remover/att_remover.c
	* src/plugins/attachwarner/attachwarner_prefs.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bsfilter/bsfilter.c
	* src/plugins/clamd/clamav_plugin.c
	* src/plugins/clamd/clamav_plugin_gtk.c
	* src/plugins/clamd/libclamd/clamd-plugin.c
	* src/plugins/demo/demo.c
	* src/plugins/dillo/dillo_prefs.c
	* src/plugins/fancy/fancy_prefs.c
	* src/plugins/gdata/gdata_plugin.c
	* .../litehtml_viewer/container_linux_images.cpp
	* src/plugins/litehtml_viewer/lh_viewer.c
	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/managesieve/managesieve.c
	* src/plugins/managesieve/sieve_editor.c
	* src/plugins/managesieve/sieve_prefs.c
	* .../gtkhotkey/gtk-hotkey-key-file-registry.c
	* .../gtkhotkey/gtk-hotkey-x11-listener.c
	* .../notification/gtkhotkey/x11/tomboykeybinder.c
	* .../notification/notification_foldercheck.c
	* src/plugins/notification/notification_prefs.c
	* src/plugins/pdf_viewer/poppler_viewer.c
	* src/plugins/perl/perl_gtk.c
	* src/plugins/perl/perl_plugin.c
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/python/python_prefs.c
	* src/plugins/rssyl/parse822.c
	* src/plugins/rssyl/rssyl_add_item.c
	* src/plugins/rssyl/rssyl_deleted.c
	* src/plugins/rssyl/rssyl_prefs.c
	* src/plugins/spam_report/spam_report.c
	* src/plugins/spam_report/spam_report_prefs.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/tnef_parse/tnef_parse.c
	* src/plugins/vcalendar/vcal_folder.c
	* src/plugins/vcalendar/vcal_manager.c
	* src/plugins/vcalendar/vcalendar.c
	* src/prefs_account.c
	* src/prefs_actions.c
	* src/prefs_folder_column.c
	* src/prefs_gtk.c
	* src/prefs_msg_colors.c
	* src/prefs_summary_column.c
	* src/prefs_themes.c
	* src/procheader.c
	* src/procmime.c
	* src/procmsg.c
	* src/quote_fmt_parse.y
	* src/setup.c
	* src/summaryview.c
	* src/textview.c
	* src/toolbar.c
	* src/wizard.c		
		Normalize g_warning's: no capitalization, no trailing punctuation or
		newline-char. Fix few messages (simply wrong, or typos).

2021-09-03  [wwp] 4.0.0-115-ged74a4678

	* src/action.c
	* src/addr_compl.c
	* src/addressadd.c
	* src/addressbook-dbus.c
	* src/addressbook.c
	* src/addrindex.c
	* src/avatars.c
	* src/common/Makefile.am
	* src/common/file-utils.c
	* src/common/proxy.c
	* src/common/session.c
	* src/common/socket.c
	* src/common/ssl.c
	* src/common/ssl_certificate.c
	* src/common/template.c
	* src/common/utils.c
	* src/common/xml.c
	* src/compose.c
	* src/etpan/Makefile.am
	* src/export.c
	* src/folder.c
	* src/folderview.c
	* src/gtk/Makefile.am
	* src/gtk/about.c
	* src/gtk/gtksctree.c
	* src/gtk/gtkunit.c
	* src/gtk/gtkutils.c
	* src/headerview.c
	* src/image_viewer.c
	* src/imap.c
	* src/import.c
	* src/main.c
	* src/mainwindow.c
	* src/mbox.c
	* src/messageview.c
	* src/mh.c
	* src/msgcache.c
	* src/partial_download.c
	* src/plugins/acpi_notifier/Makefile.am
	* src/plugins/acpi_notifier/acpi_notifier.c
	* src/plugins/address_keeper/Makefile.am
	* src/plugins/address_keeper/address_keeper_prefs.c
	* src/plugins/archive/archiver_prefs.c
	* src/plugins/archive/libarchive_archive.c
	* src/plugins/att_remover/Makefile.am
	* src/plugins/att_remover/att_remover.c
	* src/plugins/attachwarner/attachwarner_prefs.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bsfilter/bsfilter.c
	* src/plugins/clamd/clamav_plugin.c
	* src/plugins/clamd/clamav_plugin_gtk.c
	* src/plugins/clamd/libclamd/clamd-plugin.c
	* src/plugins/demo/demo.c
	* src/plugins/dillo/dillo_prefs.c
	* src/plugins/fancy/fancy_prefs.c
	* src/plugins/gdata/gdata_plugin.c
	* .../litehtml_viewer/container_linux_images.cpp
	* src/plugins/litehtml_viewer/lh_viewer.c
	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/managesieve/managesieve.c
	* src/plugins/managesieve/sieve_editor.c
	* src/plugins/managesieve/sieve_prefs.c
	* .../gtkhotkey/gtk-hotkey-key-file-registry.c
	* .../gtkhotkey/gtk-hotkey-x11-listener.c
	* .../notification/gtkhotkey/x11/tomboykeybinder.c
	* .../notification/notification_foldercheck.c
	* src/plugins/notification/notification_prefs.c
	* src/plugins/pdf_viewer/poppler_viewer.c
	* src/plugins/perl/perl_gtk.c
	* src/plugins/perl/perl_plugin.c
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/python/python_prefs.c
	* src/plugins/rssyl/parse822.c
	* src/plugins/rssyl/rssyl_add_item.c
	* src/plugins/rssyl/rssyl_deleted.c
	* src/plugins/rssyl/rssyl_prefs.c
	* src/plugins/rssyl/rssyl_prefs.h
	* src/plugins/rssyl/rssyl_update_feed.c
	* src/plugins/spam_report/spam_report.c
	* src/plugins/spam_report/spam_report_prefs.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/tnef_parse/tnef_parse.c
	* src/plugins/vcalendar/vcal_folder.c
	* src/plugins/vcalendar/vcal_manager.c
	* src/plugins/vcalendar/vcalendar.c
	* src/prefs_account.c
	* src/prefs_actions.c
	* src/prefs_folder_column.c
	* src/prefs_gtk.c
	* src/prefs_summary_column.c
	* src/prefs_themes.c
	* src/procheader.c
	* src/procmime.c
	* src/procmsg.c
	* src/quote_fmt_parse.y
	* src/setup.c
	* src/summaryview.c
	* src/textview.c
	* src/toolbar.c
	* src/wizard.c		
		Normalize g_warning's: no capitalization, no trailing punctuation or
		newline-char. Fix few messages (simply wrong, or typos).

2021-09-03  [wwp] 3.18.0-73-g926ae8cf3

	* src/plugins/bogofilter/bogofilter.c		
		Bogofilter: fix wrong test for read() return value.

2021-09-03  [wwp] 4.0.0-114-gd82adf835

	* src/plugins/bogofilter/bogofilter.c		
		Bogofilter: fix wrong test for read() return value.

2021-09-03  [Paul] 3.18.0-72-g4a78b9be9

	* src/uri_opener.c		
		change labels, remove empty lines, show phishing warning on copy

2021-09-03  [Paul] 3.18.0-71-gd59f6d4b3

	* src/textview.c
	* src/textview.h
	* src/uri_opener.c		
		make phishing warning show correct text depending on copy url or open
		url action

2021-09-03  [paul] 4.0.0-113-ga798323be

	* src/uri_opener.c		
		replace deprecated gtk_menu_popup()

2021-09-03  [paul] 4.0.0-112-g4a36d0999

	* src/uri_opener.c		
		change labels, remove empty lines, show phishing warning on copy

2021-09-03  [paul] 4.0.0-111-gf62177266

	* src/textview.c
	* src/textview.h
	* src/uri_opener.c		
		make phishing warning show correct text depending on copy url or opne
		url action

2021-09-03  [paul] 3.18.0-70-g78638a992

	* src/plugins/fetchinfo/fetchinfo_plugin.c
	* src/plugins/fetchinfo/fetchinfo_plugin_gtk.c		
		prefix this translator msg in such a way that the translators will
		see it

2021-09-03  [paul] 4.0.0-110-gb3e778157

	* src/plugins/fetchinfo/fetchinfo_plugin.c
	* src/plugins/fetchinfo/fetchinfo_plugin_gtk.c		
		prefix this translator msg in such a way that the translators will
		see it

2021-09-03  [paul] 3.18.0-69-g6dd564cae

	* src/plugins/fancy/fancy_viewer.c		
		prefix this translator msg in such a way that the translators will
		see it

2021-09-03  [paul] 4.0.0-109-ga57ef02df

	* src/plugins/fancy/fancy_viewer.c		
		prefix this translator msg in such a way that the translators will
		see it

2021-09-03  [wwp] 4.0.0-108-g63e9f6696

	* src/plugins/bogofilter/bogofilter.c		
		Bogofilter: use BUFFSIZE to dimension the exchange buffer w/
		bogofilter. Use the proper buffer size (tmpbuf).

2021-09-03  [wwp] 3.18.0-68-gcef532d7a

	* src/plugins/bogofilter/bogofilter.c		
		Bogofilter: use BUFFSIZE to dimension the exchange buffer w/
		bogofilter. Use the proper buffer size (tmpbuf).

2021-09-03  [wwp] 4.0.0-107-g45c1dc4e6

	* src/plugins/bogofilter/bogofilter.c		
		CID1440023: use the number of bytes read() from bogofilter's stdout.

2021-09-03  [wwp] 3.18.0-67-g5ad4679e5

	* src/plugins/bogofilter/bogofilter.c		
		CID1440023: use the number of bytes read() from bogofilter's stdout.

2021-09-03  [wwp] 4.0.0-106-ge121fc476

	* src/image_viewer.c		
		CID1443020: logically dead code. Rework image loading error
		detection.

2021-09-03  [wwp] 3.18.0-66-g05f600e58

	* src/image_viewer.c		
		CID1443020: logically dead code. Rework image loading error
		detection.

2021-09-03  [wwp] 4.0.0-105-g03d781d9f

	* src/plugins/mailmbox/mailimf_write.c		
		CID1440022: check for claws_fputc return value.

2021-09-03  [wwp] 3.18.0-65-g45ac11d4d

	* src/plugins/mailmbox/mailimf_write.c		
		CID1440022: check for claws_fputc return value.

2021-09-02  [wwp] 4.0.0-104-g91f5bbf35

	* src/uri_opener.c		
		URL dialog: fix phishing attempt condition detection.

2021-09-02  [wwp] 3.18.0-64-g191cf028a

	* src/uri_opener.c		
		URL dialog: fix phishing attempt condition detection.

2021-09-02  [wwp] 3.18.0-63-g205a320fd

	* src/uri_opener.c		
		Fix wrong color format used for visible URI text color.

2021-09-02  [paul] 4.0.0-103-gc7dec0a87

	* src/alertpanel.c		
		wrap long URLs

2021-09-02  [wwp] 4.0.0-102-g8dfa8ce7b

	* src/uri_opener.c		
		URL list: show phishing attempts links in red (in fact using log
		window's error color, which is customizable as a hidden pref).

2021-09-02  [wwp] 3.18.0-62-gf38052f97

	* src/uri_opener.c		
		URL list: show phishing attempts links in red (in fact using log
		window's error color, which is customizable as a hidden pref).

2021-09-02  [wwp] 4.0.0-101-g7e9c97707

	* src/uri_opener.c		
		Allow CTRL+c over multiple selection in URL list dialog, remove
		unused row selection over button press code.

2021-09-02  [wwp] 3.18.0-61-g2017d0079

	* src/uri_opener.c		
		Allow CTRL+c over multiple selection in URL list dialog, remove
		unused row selection over button press code.

2021-09-02  [wwp] 3.18.0-60-g5194a32d4

	* src/summaryview.c		
		Add the mark all read/unread items back to the message list context
		menu.

2021-09-01  [wwp] 4.0.0-100-g2247e8a07

	* src/uri_opener.c		
		Use modern GDK keydefs.

2021-09-01  [wwp] 3.18.0-59-gf8c905328

	* src/uri_opener.c		
		Use modern GDK keydefs.

2021-09-01  [wwp] 4.0.0-99-gea07c3d02

	* src/uri_opener.c		
		URL list: copy URL at selected row upon CTRL+c/CTRL+x or right-click
		then "Copy URL".

2021-09-01  [wwp] 3.18.0-58-g2e1a31d0a

	* src/uri_opener.c		
		URL list: copy URL at selected row upon CTRL+c/CTRL+x or right-click
		then "Copy URL".

2021-09-01  [Jonathan Boeing] 4.0.0-98-g7d309cfc2

	* src/plugins/litehtml_viewer/claws.def		
		Fix building litehtml viewer  Fix undefined reference when building
		with -O0 optimization level

2021-09-01  [Jonathan Boeing] 3.18.0-57-gd3b0c4bc4

	* src/plugins/litehtml_viewer/claws.def		
		Fix building litehtml viewer  Fix undefined reference when building
		with -O0 optimization level

2021-08-27  [Jonathan Boeing] 4.0.0-97-g8e57a6d6e

	* src/plugins/address_keeper/Makefile.am
	* src/plugins/att_remover/Makefile.am
	* src/plugins/attachwarner/Makefile.am
	* src/plugins/bsfilter/Makefile.am
	* src/plugins/fancy/Makefile.am
	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/libravatar/Makefile.am
	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/litehtml_viewer/litehtml/Makefile.am
	* src/plugins/mailmbox/Makefile.am
	* src/plugins/managesieve/Makefile.am
	* src/plugins/notification/Makefile.am
	* src/plugins/pdf_viewer/Makefile.am
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/rssyl/Makefile.am
	* src/plugins/smime/Makefile.am
	* src/plugins/spam_report/Makefile.am
	* src/plugins/tnef_parse/Makefile.am
	* src/plugins/vcalendar/Makefile.am		
		Update plugin makefiles for Windows

2021-08-27  [Jonathan Boeing] 3.18.0-56-g0f2e76df1

	* src/plugins/address_keeper/Makefile.am
	* src/plugins/att_remover/Makefile.am
	* src/plugins/attachwarner/Makefile.am
	* src/plugins/bsfilter/Makefile.am
	* src/plugins/fancy/Makefile.am
	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/libravatar/Makefile.am
	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/litehtml_viewer/litehtml/Makefile.am
	* src/plugins/mailmbox/Makefile.am
	* src/plugins/managesieve/Makefile.am
	* src/plugins/notification/Makefile.am
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/rssyl/Makefile.am
	* src/plugins/smime/Makefile.am
	* src/plugins/spam_report/Makefile.am
	* src/plugins/tnef_parse/Makefile.am
	* src/plugins/vcalendar/Makefile.am		
		Update plugin makefiles for Windows

2021-08-27  [Jonathan Boeing] 4.0.0-96-g3099095d3

	* .gitignore
	* configure.ac
	* src/Makefile.am
	* src/w32-resource.rc
	* src/w32-resource.rc.in		
		Add Windows VERSIONINFO resource to executable

2021-08-27  [Jonathan Boeing] 3.18.0-55-g759a7fd71

	* .gitignore
	* configure.ac
	* src/Makefile.am
	* src/w32-resource.rc
	* src/w32-resource.rc.in		
		Add Windows VERSIONINFO resource to executable

2021-08-26  [Jonathan Boeing] 4.0.0-95-g23aec49cd

	* .gitignore
	* configure.ac
	* src/plugins/address_keeper/version.rc
	* src/plugins/address_keeper/version.rc.in
	* src/plugins/att_remover/version.rc
	* src/plugins/att_remover/version.rc.in
	* src/plugins/attachwarner/version.rc
	* src/plugins/attachwarner/version.rc.in
	* src/plugins/bsfilter/version.rc
	* src/plugins/bsfilter/version.rc.in
	* src/plugins/fancy/version.rc
	* src/plugins/fancy/version.rc.in
	* src/plugins/fetchinfo/version.rc
	* src/plugins/fetchinfo/version.rc.in
	* src/plugins/libravatar/version.rc
	* src/plugins/libravatar/version.rc.in
	* src/plugins/litehtml_viewer/version.rc
	* src/plugins/litehtml_viewer/version.rc.in
	* src/plugins/mailmbox/version.rc
	* src/plugins/mailmbox/version.rc.in
	* src/plugins/managesieve/version.rc
	* src/plugins/managesieve/version.rc.in
	* src/plugins/notification/version.rc
	* src/plugins/notification/version.rc.in
	* src/plugins/pdf_viewer/version.rc
	* src/plugins/pdf_viewer/version.rc.in
	* src/plugins/pgpcore/version.rc
	* src/plugins/pgpcore/version.rc.in
	* src/plugins/pgpinline/version.rc
	* src/plugins/pgpinline/version.rc.in
	* src/plugins/pgpmime/version.rc
	* src/plugins/pgpmime/version.rc.in
	* src/plugins/rssyl/version.rc
	* src/plugins/rssyl/version.rc.in
	* src/plugins/smime/version.rc
	* src/plugins/smime/version.rc.in
	* src/plugins/spam_report/version.rc
	* src/plugins/spam_report/version.rc.in
	* src/plugins/tnef_parse/version.rc
	* src/plugins/tnef_parse/version.rc.in
	* src/plugins/vcalendar/version.rc
	* src/plugins/vcalendar/version.rc.in		
		Update Windows VERSIONINFO resource for plugins

2021-08-26  [Jonathan Boeing] 3.18.0-54-gbb8c99363

	* .gitignore
	* configure.ac
	* src/plugins/address_keeper/version.rc
	* src/plugins/address_keeper/version.rc.in
	* src/plugins/att_remover/version.rc
	* src/plugins/att_remover/version.rc.in
	* src/plugins/attachwarner/version.rc
	* src/plugins/attachwarner/version.rc.in
	* src/plugins/bsfilter/version.rc
	* src/plugins/bsfilter/version.rc.in
	* src/plugins/fancy/version.rc
	* src/plugins/fancy/version.rc.in
	* src/plugins/fetchinfo/version.rc
	* src/plugins/fetchinfo/version.rc.in
	* src/plugins/libravatar/version.rc
	* src/plugins/libravatar/version.rc.in
	* src/plugins/litehtml_viewer/version.rc
	* src/plugins/litehtml_viewer/version.rc.in
	* src/plugins/mailmbox/version.rc
	* src/plugins/mailmbox/version.rc.in
	* src/plugins/managesieve/version.rc
	* src/plugins/managesieve/version.rc.in
	* src/plugins/notification/version.rc
	* src/plugins/notification/version.rc.in
	* src/plugins/pgpcore/version.rc
	* src/plugins/pgpcore/version.rc.in
	* src/plugins/pgpinline/version.rc
	* src/plugins/pgpinline/version.rc.in
	* src/plugins/pgpmime/version.rc
	* src/plugins/pgpmime/version.rc.in
	* src/plugins/rssyl/version.rc
	* src/plugins/rssyl/version.rc.in
	* src/plugins/smime/version.rc
	* src/plugins/smime/version.rc.in
	* src/plugins/spam_report/version.rc
	* src/plugins/spam_report/version.rc.in
	* src/plugins/tnef_parse/version.rc
	* src/plugins/tnef_parse/version.rc.in
	* src/plugins/vcalendar/version.rc
	* src/plugins/vcalendar/version.rc.in		
		Update Windows VERSIONINFO resource for plugins

2021-09-01  [wwp] 4.0.0-94-g2c249a3b6

	* src/toolbar.c		
		Fix code style.

2021-09-01  [wwp] 3.18.0-53-gb3a840bd9

	* src/toolbar.c		
		Fix code style.

2021-09-01  [wwp] 4.0.0-93-g2926aa8e6

	* src/prefs_toolbar.c
	* src/toolbar.c
	* src/toolbar.h		
		Add a new toolbar button to execute processing rules in current
		folder.

2021-09-01  [wwp] 3.18.0-52-g97ba06508

	* src/prefs_toolbar.c
	* src/toolbar.c
	* src/toolbar.h		
		Add a new toolbar button to execute processing rules in current
		folder.

2021-09-01  [wwp] 4.0.0-92-g7faa46999

	* src/prefs_actions.c		
		Action prefs: be smarter about detecting what's been modified when
		cancelling an action edit (warn if action type has changed whereas a
		command-line was set before).

2021-09-01  [wwp] 3.18.0-51-g5c71c190d

	* src/prefs_actions.c		
		Action prefs: be smarter about detecting what's been modified when
		cancelling an action edit (warn if action type has changed whereas a
		command-line was set before).

2021-09-01  [wwp] 4.0.0-91-gb2e357547

	* src/mainwindow.c		
		Fix a missing wait mouse cursor at some point.

2021-09-01  [wwp] 3.18.0-50-g57ea92fc7

	* src/mainwindow.c		
		Fix a missing wait mouse cursor at some point.

2021-09-01  [wwp] 4.0.0-90-ge7436fb69

	* src/folderutils.c
	* src/folderview.c
	* src/folderview.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_summaries.c		
		Add a global option to allow executing per-folder processing rules
		prior to mark all messages read/unread in folder (also works when
		marking recursively).

2021-09-01  [wwp] 3.18.0-49-g44f2f01d2

	* src/folderutils.c
	* src/folderview.c
	* src/folderview.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_summaries.c		
		Add a global option to allow executing per-folder processing rules
		prior to mark all messages read/unread in folder (also works when
		marking recursively).

2021-09-01  [wwp] 4.0.0-89-gffddaa73d

	* src/mainwindow.c
	* src/messageview.c
	* src/prefs_filtering.h
	* src/procmsg.c
	* src/summaryview.c		
		Allow creating a filtering rule based on the Sender header value.

2021-09-01  [wwp] 3.18.0-48-gc66ece0bb

	* src/mainwindow.c
	* src/messageview.c
	* src/prefs_filtering.h
	* src/procmsg.c
	* src/summaryview.c		
		Allow creating a filtering rule based on the Sender header value.

2021-09-01  [wwp] 4.0.0-88-g62b64faeb

	* src/prefs_folder_item.c		
		Restrict widget size requisition to the width only.

2021-09-01  [wwp] 4.0.0-87-g4c09d7cbe

	* src/prefs_folder_item.c		
		Better widgets spacing and alignment in folder properties dialog.

2021-09-01  [wwp] 4.0.0-86-gcc2837f79

	* src/prefs_folder_item.c		
		Use gtk grid instead of table, fix tooltip (attached to wrong widget
		and missing a space), and fix code spacing.

2021-08-31  [wwp] 3.18.0-47-gd17d5e5ac

	* src/prefs_folder_item.c		
		Fix tooltip (attached to wrong widget and missing a space), and fix
		code spacing.

2021-08-31  [wwp] 4.0.0-85-g76e9a5af6

	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/folderview.c
	* src/prefs_folder_item.c		
		Add a per-folder option so that a folder can be skipped when doing a
		goto next/prev unread/new message.

2021-08-31  [wwp] 3.18.0-46-g9c336cb34

	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/folderview.c
	* src/prefs_folder_item.c		
		Add a per-folder option so that a folder can be skipped when doing a
		goto next/prev unread/new message.

2021-08-31  [wwp] 4.0.0-84-g4a753d049

	* src/summaryview.c		
		Fix wrong logic, (old) patch by Olivier Brunel.

2021-08-31  [wwp] 3.18.0-45-g68670c2d8

	* src/summaryview.c		
		Fix wrong logic, (old) patch by Olivier Brunel.

2021-08-26  [Jonathan Boeing] 3.18.0-44-gfee7fd3be

	* src/plugins/litehtml_viewer/version.rc		
		fix litehtml viewer version resource

2021-08-26  [Jonathan Boeing] 4.0.0-83-gdfb47978a

	* src/plugins/litehtml_viewer/version.rc		
		fix litehtml viewer version resource

2021-08-25  [wwp] 4.0.0-80-g8f2ee3071

	* po/fr.po		
		Fix the French translation (thanks to Olivier Le Jeune).

2021-08-25  [wwp] 3.18.0-43-gff83d4810

	* po/fr.po		
		Fix the French translation (thanks to Olivier Le Jeune).

2021-08-25  [wwp] 3.18.0-42-g470f97439

	* src/account.c		
		Properly resize/wrap the label in accounts list, do it upon dialog
		resize, even.

2021-08-25  [paul] 4.0.0-80-g21b9c03ef

	* src/password.h
	* src/password_gtk.h		
		complete s/master/primary/

2021-08-24  [wwp] 4.0.0-79-g947a066e5

	* src/account.c
	* src/edittags.c
	* src/gtk/foldersort.c		
		Add missing tooltips.

2021-08-24  [wwp] 3.18.0-41-g8ab15b712

	* src/account.c		
		Fix wrong widget name for tooltip.

2021-08-24  [wwp] 3.18.0-40-g074f7e60c

	* src/account.c
	* src/edittags.c
	* src/gtk/foldersort.c		
		Add more missing tooltips.

2021-08-24  [wwp] 3.18.0-39-gb7f9ed3b2

	* src/account.c		
		Add missing tooltips.

2021-08-24  [paul] 4.0.0-78-g76fe80e6d

	* src/addressbook.c
	* src/compose.c
	* src/mainwindow.c
	* src/password.c
	* src/password_gtk.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_other.c		
		'master passphrase' becomes 'primary passphrase'

2021-08-24  [paul] 4.0.0-77-g810e41b67

	* src/addrcustomattr.c
	* src/addrduplicates.c
	* src/addressbook.c
	* src/edittags.c
	* src/mh_gtk.c
	* src/plugins/rssyl/rssyl_cb_menu.c
	* src/prefs_actions.c
	* src/prefs_filtering.c
	* src/prefs_template.c
	* src/ssl_manager.c		
		fix text on Delete buttons in alertpanels

2021-08-24  [paul] 4.0.0-76-g1c5016e93

	* src/gtk/about.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/prefs_spelling.c
	* src/prefs_themes.c		
		replace homebrewed gtkut_get_link_btn() with
		gtk_link_button_new[...]()

2021-08-23  [paul] 4.0.0-75-g781785c94

	* src/gtk/gtkshruler.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-info.c
	* src/plugins/python/python-shell.c		
		remove these unnecessary GLIB_CHECK_VERSIONs  available since 2.4 but
		deprecated in 2.58; we require 2.28 as a minimum

2021-08-23  [paul] 4.0.0-74-g97515cb7f

	* src/gtk/spell_entry.c		
		replace deprecated g_type_class_add_private()

2021-08-23  [Jonathan Boeing] 4.0.0-73-gda1269449

	* src/plugins/pdf_viewer/poppler_viewer.c		
		add widget names to pdf viewer plugin

2021-08-22  [Jonathan Boeing] 4.0.0-72-gad5dd473e

	* src/plugins/pdf_viewer/Makefile.am
	* src/plugins/pdf_viewer/claws.def
	* src/plugins/pdf_viewer/plugin.def
	* src/plugins/pdf_viewer/poppler_viewer.h
	* src/plugins/pdf_viewer/version.rc		
		port pdf viewer plugin to windows

2021-08-23  [paul] 4.0.0-71-g13a8e7744

	* src/printing.c		
		replace deprecated gtk_text_iter_begins_tag()

2021-08-23  [paul] 4.0.0-70-g66bafe683

	* src/mainwindow.c		
		fix 2 incompatible pointer type warnings

2021-08-23  [paul] 4.0.0-69-g79ff72c6e

	* src/mainwindow.c
	* src/statusbar.c		
		replace deprecated gtk_widget_set_margin_left() and
		gtk_widget_set_margin_right()

2021-08-23  [paul] 4.0.0-68-g345e77f4d

	* src/wizard.c		
		remove deprecated gtk_alignment_new() and tidy up the UI

2021-08-23  [paul] 4.0.0-67-g4abec5d26

	* src/plugins/notification/notification_banner.c		
		coding style

2021-08-23  [paul] 4.0.0-66-g09d8428fe

	* src/plugins/notification/notification_prefs.c		
		replace deprecated functions

2021-08-23  [paul] 4.0.0-65-g3ea1cef89

	* src/prefs_folder_item.c
	* src/prefs_msg_colors.c
	* src/prefs_spelling.c		
		simplify colour saving

2021-08-23  [paul] 4.0.0-64-gd2f92699c

	* src/plugins/notification/notification_foldercheck.c		
		remove deprecated gtk_window_set_wmclass()

2021-08-23  [paul] 4.0.0-63-g1dd82b08e

	* src/plugins/pdf_viewer/poppler_viewer.c		
		replace deprecated GTime

2021-08-23  [paul] 4.0.0-62-g7cb0bfdfb

	* src/plugins/pdf_viewer/poppler_viewer.c
	* src/plugins/pdf_viewer/poppler_viewer.h		
		fix GtkTable/GtkGrid/GtkWidget mismatch

2021-08-23  [paul] 4.0.0-61-gb41b2a747

	* src/editaddress.c		
		fix bug 4524, 'Problems exiting/closing Claws Mail'

2021-08-23  [paul] 4.0.0-60-g8b4a8e04f

	* src/plugins/rssyl/rssyl_feed_props.c		
		remove deprecated gtk_alignment_new(), and simply buttons

2021-08-22  [paul] 4.0.0-59-g8caee652b

	* src/gtk/Makefile.am
	* src/gtk/colorsel.c
	* src/gtk/colorsel.h
	* src/prefs_folder_item.c
	* src/prefs_spelling.c		
		remove now unneeded colorsel.[ch]

2021-08-22  [paul] 4.0.0-58-g9d2279767

	* po/en_GB.po		
		update en_GB

2021-08-22  [paul] 4.0.0-57-g604d43599

	* src/prefs_msg_colors.c		
		update translator hints, and move extended Target Folder tooltip

2021-08-22  [paul] 4.0.0-56-gbcb41b69e

	* src/prefs_msg_colors.c		
		use GtkColorChooser in colour prefs page

2021-08-21  [paul] 4.0.0-55-g839650c6d

	* src/prefs_folder_item.c		
		use GtkColorChooser in folder prefs

2021-08-21  [paul] 4.0.0-54-g943185b17

	* src/gtk/gtkaspell.c		
		reimplement spell checker underlining when black is chosen

2021-08-21  [paul] 4.0.0-53-gd9457ce8c

	* src/prefs_spelling.c		
		use GtkColorChooser in spelling prefs

2021-08-20  [wwp] 4.0.0-52-g52c13c915

	* src/prefs_actions.c		
		Add top/bottom buttons to the actions list. Simplify existing code of
		up/down callbacks.

2021-08-20  [wwp] 3.18.0-38-gc0f8f599d

	* src/prefs_actions.c		
		Add top/bottom buttons to the actions list. Simplify existing code of
		up/down callbacks.

2021-08-20  [wwp] 4.0.0-51-gb15559f88

	* src/prefs_actions.c		
		Fix callback function names.

2021-08-20  [wwp] 3.18.0-37-g248954020

	* src/prefs_actions.c		
		Fix callback function names.

2021-08-20  [paul] 4.0.0-50-g30ae5d386

	* src/mainwindow.c		
		fix folderview pixmaps not being updated after icon theme change
		until restart

2021-08-19  [wwp] 4.0.0-49-g0931e0643

	* tools/README
	* tools/fix_date.sh		
		fix_date.sh: document the fact coreutils, dos2unix, grep and sed are
		required, fallback writing temporary files to $HOME if /tmp is not
		writable.

2021-08-19  [paul] 4.0.0-48-g73746b23f

	* src/plugins/fancy/fancy_viewer.c		
		replace deprecated GtkImageMenuItem

2021-08-18  [Jonathan Boeing] 3.18.0-36-g45c006c4c

	* src/messageview.c		
		Fix return receipts from accounts without a name  Use the chosen
		account's address for the return receipt if the account name isn't
		set

2021-08-18  [Jonathan Boeing] 4.0.0-47-g22f7e8c19

	* src/messageview.c		
		Fix return receipts from accounts without a name  Use the chosen
		account's address for the return receipt if the account name isn't
		set

2021-08-17  [Jonathan Boeing] 3.18.0-35-g7d32a0740

	* src/plugins/litehtml_viewer/lh_prefs.c		
		Make litehtml image cache size preference visible

2021-08-17  [Jonathan Boeing] 4.0.0-46-g23218372f

	* src/plugins/litehtml_viewer/lh_prefs.c		
		Make litehtml image cache size preference visible

2021-08-15  [Jonathan Boeing] 4.0.0-45-g332a9b895

	* src/textview.c		
		Fix the initial position of the textview image  The textview image is
		sometimes mispositioned on the initial load of the message because it
		was first positioned using buffer coordinates rather than window
		coordinates.  Also move the call to gtk_text_view_move_child out of
		the size_allocate handler and into an immediate, oneshot timeout. 
		gtk_text_view_move_child() calls gtk_widget_queue_resize()
		internally. The GTK docs say you can't call gtk_widget_queue_resize
		from inside size_allocate, and that the call to
		gtk_widget_queue_resize() will be silently ignored.

2021-08-14  [Jonathan Boeing] 4.0.0-44-g2816d7dbd

	* src/folderview.c
	* src/gtk/gtkutils.c
	* src/headerview.c
	* src/mainwindow.c
	* src/messageview.c
	* src/mimeview.c
	* src/noticeview.c
	* src/summaryview.c
	* src/textview.c		
		Set name on GTK widgets  GTK+3 themes can use widget names as a
		selector, so add names to some windows and widgets to make positively
		identifying CSS nodes easier

2021-08-11  [paul] 4.0.0-43-g5e237aee3

	* src/addr_compl.c
	* src/alertpanel.c
	* src/compose.c
	* src/folderview.c
	* src/gtk/gtkutils.c
	* src/gtk/prefswindow.c
	* src/mainwindow.c
	* src/prefs_themes.c
	* src/summaryview.c		
		replace some deprecated functions

2021-08-10  [paul] 3.18.0-34-g3f50806b1

	* src/common/defs.h
	* src/wizard.c		
		don't use the users' ml addr in the welcome msg

2021-08-10  [paul] 4.0.0-42-gb8e35947d

	* src/common/defs.h
	* src/wizard.c		
		don't use the users' ml addr in the welcome msg

2021-08-08  [paul] 4.0.0-41-g48884053b

	* src/uri_opener.c		
		fix buttons in List URLs window

2021-08-08  [paul] 4.0.0-40-gef01b91e2

	* src/ssl_manager.c		
		fix info button

2021-08-08  [paul] 4.0.0-39-g0b204af1c

	* src/gtk/gtkutils.c		
		simplify/improve gtkut_stock_button()

2021-08-08  [paul] 4.0.0-38-g9470c29c2

	* src/account.c
	* src/action.c
	* src/addrcustomattr.c
	* src/addrduplicates.c
	* src/addressbook.c
	* src/editaddress.c
	* src/editaddress_other_attributes_ldap.c
	* src/editgroup.c
	* src/edittags.c
	* src/gtk/foldersort.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/quicksearch.c
	* src/mainwindow.c
	* src/message_search.c
	* src/plugins/clamd/clamav_plugin_gtk.c
	* src/plugins/libravatar/libravatar_prefs.c
	* src/plugins/managesieve/sieve_manager.c
	* src/prefs_actions.c
	* src/prefs_customheader.c
	* src/prefs_display_header.c
	* src/prefs_filtering.c
	* src/prefs_filtering_action.c
	* src/prefs_folder_column.c
	* src/prefs_matcher.c
	* src/prefs_summaries.c
	* src/prefs_summary_column.c
	* src/prefs_summary_open.c
	* src/prefs_template.c
	* src/prefs_themes.c
	* src/prefs_toolbar.c
	* src/quote_fmt.c
	* src/ssl_manager.c
	* src/summary_search.c		
		fix non-translation of some button labels

2021-08-07  [Jonathan Boeing] 3.18.0-33-g6b6657a9f

	* src/plugins/litehtml_viewer/container_linux_images.cpp		
		Fix clearing local images from litehtml cache  The cache clearing
		logic was double incrementing for cid: images, going into an infinite
		loop if a cid: image was the last one checked

2021-08-07  [Jonathan Boeing] 4.0.0-37-g10349d5e4

	* src/plugins/litehtml_viewer/container_linux_images.cpp		
		Fix clearing local images from litehtml cache  The cache clearing
		logic was double incrementing for cid: images, going into an infinite
		loop if a cid: image was the last one checked

2021-08-04  [Jonathan Boeing] 3.18.0-32-g51e51b47c

	* configure.ac
	* src/common/utils.c
	* src/common/utils.h		
		Reduce the amount of file I/O from debug_print  Calls to debug_print
		on Windows generated two file writes and flushes per call.  Add a
		definition of debug_print that uses the __VA_OPT__ macro to expand to
		a single call to debug_print_real.

2021-08-04  [Jonathan Boeing] 3.18.0-31-gbfa14488c

	* src/main.c		
		Defer closing of Windows log  The Windows logfile was being closed
		too early and missing part of the shutdown process.

2021-08-02  [Jonathan Boeing] 3.18.0-30-gfb28d25c2

	* src/main.c		
		Add GLib structured log handler for Windows  Add a structured log
		handler for Windows.  This enables the capturing of messages from GTK
		and GLib in the same file as the Claws debug messages.  This change
		also replaces the stdio file functions used by the Windows logging
		with Win32 API functions.

2021-08-04  [Jonathan Boeing] 4.0.0-36-g481897fc2

	* configure.ac
	* src/common/utils.c
	* src/common/utils.h		
		Reduce the amount of file I/O from debug_print  Calls to debug_print
		on Windows generated two file writes and flushes per call.  Add a
		definition of debug_print that uses the __VA_OPT__ macro to expand to
		a single call to debug_print_real.

2021-08-04  [Jonathan Boeing] 4.0.0-35-g9f0ce6e37

	* src/main.c		
		Defer closing of Windows log  The Windows logfile was being closed
		too early and missing part of the shutdown process.

2021-08-02  [Jonathan Boeing] 4.0.0-34-gc218f5e59

	* src/main.c		
		Add GLib structured log handler for Windows  Add a structured log
		handler for Windows.  This enables the capturing of messages from GTK
		and GLib in the same file as the Claws debug messages.  This change
		also replaces the stdio file functions used by the Windows logging
		with Win32 API functions.

2021-08-07  [paul] 3.18.0-29-g6b3b78d5a

	* src/prefs_account.c		
		when using 'hide_timezone' use UTC when generating MessageID

2021-08-07  [paul] 4.0.0-33-ge30f272f1

	* src/prefs_account.c		
		when using 'hide_timezone' use UTC when generating MessageID

2021-08-03  [paul] 4.0.0-32-g0f228718a

	* src/gtk/authors.h		
		update contributors list

2021-08-03  [Paul] 3.18.0-28-ge8441939a

	* src/gtk/authors.h		
		update contributors list

2021-08-03  [paul] 3.18.0-27-g76dd15b02

	* AUTHORS
	* src/gtk/authors.h
	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp		
		fix bug 4312, 'litehtml plugin loops (hangup)'  patch by Frank
		Mueller

2021-08-03  [paul] 4.0.0-31-g00d0212cc

	* AUTHORS
	* src/gtk/authors.h
	* src/plugins/litehtml_viewer/litehtml/html_tag.cpp		
		fix bug 4312, 'litehtml plugin loops (hangup)'  patch by Frank
		Mueller

2021-07-31  [Jonathan Boeing] 3.18.0-26-gdae174542

	* src/plugins/litehtml_viewer/container_linux_images.cpp		
		LiteHTML pixbuf cache fixes  Add a missing call to
		unlock_images_cache  Move the check for blocking remote content to
		before inserting the NULL entry into the cache.  Otherwise the NULL
		entries will remain if remote content is enabled later on, which
		prevents further attempts to download it.

2021-07-31  [Jonathan Boeing] 4.0.0-30-g749416c7f

	* src/plugins/litehtml_viewer/container_linux_images.cpp		
		LiteHTML pixbuf cache fixes  Add a missing call to
		unlock_images_cache  Move the check for blocking remote content to
		before inserting the NULL entry into the cache.  Otherwise the NULL
		entries will remain if remote content is enabled later on, which
		prevents further attempts to download it.

2021-07-29  [Jonathan Boeing] 4.0.0-29-g9674154cb

	* src/toolbar.c		
		Set hexpand on toolbars  Depending on the Windows version and theme,
		a non-horizontally expanded toolbar has a sharp visual discontinuity
		between the toolbar button backgrounds and the background next to the
		toolbar.  Enabling horizontal expansion gives a seamless background
		across the width of the window.

2021-07-27  [Jonathan Boeing] 3.18.0-25-g4a03c10db

	* src/plugins/litehtml_viewer/lh_widget.cpp		
		Queue a draw event in open_html  Gtk2 needs a draw event here,
		otherwise the drawing area is left blanked out when switching between
		mime parts.

2021-07-25  [Jonathan Boeing] 3.18.0-24-g5621de416

	* src/plugins/litehtml_viewer/container_linux_images.cpp		
		Fix GLib assertion

2021-07-25  [Jonathan Boeing] 3.18.0-23-gca5dc3b1a

	* src/plugins/litehtml_viewer/lh_widget.cpp		
		Fix -Wall errors

2021-07-25  [Jonathan Boeing] 3.18.0-22-gb5f8770f7

	* src/plugins/litehtml_viewer/container_linux_images.cpp		
		Add url to log message

2021-07-25  [Jonathan Boeing] 3.18.0-21-g038b8092f

	* src/plugins/litehtml_viewer/http.cpp		
		Fix GLib deprecation warning  g_memdup was deprecated in GLib 2.68
		and superceded by g_memdup2

2021-07-25  [Jonathan Boeing] 3.18.0-20-ga33ae166a

	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/litehtml_viewer/lh_widget.h		
		Fix UI overwrite when clearing LiteHTML message

2021-07-24  [Jonathan Boeing] 3.18.0-19-g2018afa55

	* src/plugins/litehtml_viewer/container_linux.cpp
	* src/plugins/litehtml_viewer/container_linux.h
	* .../litehtml_viewer/container_linux_images.cpp		
		Implement an LRU pixbuf cache for LiteHTML viewer  Replace the
		list-based pixbuf cache with a map-based system.  Messages with
		duplicate image urls were causing multiple downloads and cache
		entries for the same url.  The map-based cache enforces uniqueness
		based on the url.  Also add a timestamp to the cache entries so that
		they can be pruned based on the last requested time, rather than the
		order they were first requested.

2021-07-24  [Jonathan Boeing] 3.18.0-18-g6472e759f

	* src/plugins/litehtml_viewer/container_linux.h
	* src/plugins/litehtml_viewer/container_linux_images.cpp
	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/litehtml_viewer/lh_widget.h		
		Queue redraw after downloading image  Calling redraw directly from
		the g_task callback can corrupt the display if other drawing is
		already in progress.  For example, scrolling the email while it's
		still loading draws the message outside where the viewport should be.
		 Instead, queue up a draw signal to the DrawingArea.

2021-07-24  [Jonathan Boeing] 3.18.0-17-g9305c08ac

	* .../litehtml_viewer/container_linux_images.cpp
	* src/plugins/litehtml_viewer/lh_widget.cpp		
		Fix bool vs gboolean mismatch

2021-07-19  [Jonathan Boeing] 3.18.0-16-g5495234ca

	* src/plugins/litehtml_viewer/lh_widget.cpp		
		Fix flickering when opening with LiteHTML viewer  Restrict painting
		to the allocation size of the drawing area, otherwise we draw over
		other parts of the interface.  Calling paint_white from redraw isn't
		needed and causes flickering.  Calling redraw from open_html causes
		the old message to be redisplayed after clearing it, before drawing
		the new message.

2021-07-21  [Jonathan Boeing] 3.18.0-15-g4d8314d85

	* src/plugins/fancy/claws.def
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/libravatar/claws.def
	* src/plugins/libravatar/libravatar_image.c
	* src/plugins/litehtml_viewer/claws.def
	* src/plugins/litehtml_viewer/http.cpp
	* src/plugins/spam_report/claws.def
	* src/plugins/spam_report/spam_report.c
	* src/plugins/vcalendar/claws.def
	* src/plugins/vcalendar/vcal_folder.c		
		Set the CA certificate path at runtime for Windows  Curl, as shipped
		with the Windows build of Claws, doesn't have a default path to a CA
		certificate bundle.  All users of Curl need to set the path at
		runtime.

2021-07-21  [Jonathan Boeing] 3.18.0-14-g08fb18d5a

	* tools/Makefile.am
	* tools/ca-certificates.crt		
		Remove CA certificate bundle for Windows  Remove the unmaintained
		ca-certificates.crt bundle from claws git, and handle it in the claws
		windows installer git instead.

2021-07-25  [Jonathan Boeing] 4.0.0-28-g8eaf132bd

	* src/plugins/litehtml_viewer/container_linux_images.cpp		
		Fix GLib assertion

2021-07-25  [Jonathan Boeing] 4.0.0-27-gc52989a69

	* src/plugins/litehtml_viewer/lh_widget.cpp		
		Fix -Wall errors

2021-07-25  [Jonathan Boeing] 4.0.0-26-gf60d05e6f

	* src/plugins/litehtml_viewer/container_linux_images.cpp		
		Add url to log message

2021-07-25  [Jonathan Boeing] 4.0.0-25-g0201bcfd0

	* src/plugins/litehtml_viewer/http.cpp		
		Fix GLib deprecation warning  g_memdup was deprecated in GLib 2.68
		and superceded by g_memdup2

2021-07-25  [Jonathan Boeing] 4.0.0-24-gfd82bca9c

	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/litehtml_viewer/lh_widget.h		
		Fix UI overwrite when clearing LiteHTML message

2021-07-24  [Jonathan Boeing] 4.0.0-23-g7f4170960

	* src/plugins/litehtml_viewer/container_linux.cpp
	* src/plugins/litehtml_viewer/container_linux.h
	* .../litehtml_viewer/container_linux_images.cpp		
		Implement an LRU pixbuf cache for LiteHTML viewer  Replace the
		list-based pixbuf cache with a map-based system.  Messages with
		duplicate image urls were causing multiple downloads and cache
		entries for the same url.  The map-based cache enforces uniqueness
		based on the url.  Also add a timestamp to the cache entries so that
		they can be pruned based on the last requested time, rather than the
		order they were first requested.

2021-07-24  [Jonathan Boeing] 4.0.0-22-gc35aa5ff6

	* src/plugins/litehtml_viewer/container_linux.h
	* src/plugins/litehtml_viewer/container_linux_images.cpp
	* src/plugins/litehtml_viewer/lh_widget.cpp
	* src/plugins/litehtml_viewer/lh_widget.h		
		Queue redraw after downloading image  Calling redraw directly from
		the g_task callback can corrupt the display if other drawing is
		already in progress.  For example, scrolling the email while it's
		still loading draws the message outside where the viewport should be.
		 Instead, queue up a draw signal to the DrawingArea.

2021-07-24  [Jonathan Boeing] 4.0.0-21-gfb4106737

	* .../litehtml_viewer/container_linux_images.cpp
	* src/plugins/litehtml_viewer/lh_widget.cpp		
		Fix bool vs gboolean mismatch

2021-07-19  [Jonathan Boeing] 4.0.0-20-g6fce79c9f

	* src/plugins/litehtml_viewer/lh_widget.cpp		
		Fix flickering when opening with LiteHTML viewer  Restrict painting
		to the allocation size of the drawing area, otherwise we draw over
		other parts of the interface.  Calling paint_white from redraw isn't
		needed and causes flickering.  Calling redraw from open_html causes
		the old message to be redisplayed after clearing it, before drawing
		the new message.

2021-07-21  [Jonathan Boeing] 4.0.0-19-gc84368081

	* src/plugins/fancy/claws.def
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/libravatar/claws.def
	* src/plugins/libravatar/libravatar_image.c
	* src/plugins/litehtml_viewer/claws.def
	* src/plugins/litehtml_viewer/http.cpp
	* src/plugins/spam_report/claws.def
	* src/plugins/spam_report/spam_report.c
	* src/plugins/vcalendar/claws.def
	* src/plugins/vcalendar/vcal_folder.c		
		Set the CA certificate path at runtime for Windows  Curl, as shipped
		with the Windows build of Claws, doesn't have a default path to a CA
		certificate bundle.  All users of Curl need to set the path at
		runtime.

2021-07-21  [Jonathan Boeing] 4.0.0-18-g73ef839ca

	* tools/Makefile.am
	* tools/ca-certificates.crt		
		Remove CA certificate bundle for Windows  Remove the unmaintained
		ca-certificates.crt bundle from claws git, and handle it in the claws
		windows installer git instead.

2021-07-25  [Jonathan Boeing] 4.0.0-17-g68cb64394

	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/litehtml_viewer/litehtml/Makefile.am		
		Add preprocessor definition for WIN32

2021-03-29  [Jonathan Boeing] 4.0.0-16-gb98ea6e3f

	* src/common/utils.c		
		check if string is valid UTF-8 before collating

2021-07-25  [Jonathan Boeing] 3.18.0-13-g2e3ac1454

	* src/plugins/litehtml_viewer/Makefile.am
	* src/plugins/litehtml_viewer/litehtml/Makefile.am		
		Add preprocessor definition for WIN32

2021-03-29  [Jonathan Boeing] 3.18.0-12-g8f9fe3509

	* src/common/utils.c		
		check if string is valid UTF-8 before collating

2021-07-25  [paul] 3.18.0-11-g0dc0fa955

	* manual/advanced.xml
	* manual/es/advanced.xml
	* manual/es/faq.xml
	* manual/es/glossary.xml
	* manual/es/intro.xml
	* manual/es/plugins.xml
	* manual/faq.xml
	* manual/fr/advanced.xml
	* manual/fr/faq.xml
	* manual/fr/intro.xml
	* manual/fr/plugins.xml
	* manual/glossary.xml
	* manual/intro.xml
	* manual/plugins.xml		
		update manuals

2021-07-25  [paul] 4.0.0-15-gcf889e86b

	* manual/advanced.xml
	* manual/es/advanced.xml
	* manual/es/faq.xml
	* manual/es/glossary.xml
	* manual/es/intro.xml
	* manual/es/plugins.xml
	* manual/faq.xml
	* manual/fr/advanced.xml
	* manual/fr/faq.xml
	* manual/fr/intro.xml
	* manual/fr/plugins.xml
	* manual/glossary.xml
	* manual/intro.xml
	* manual/plugins.xml		
		update manuals

2021-07-21  [paul] 3.18.0-10-g9e8bf3567

	* src/plugins/pdf_viewer/poppler_viewer.c		
		fix bug 4511, 'Uses deprecated ghostscript operator'

2021-07-21  [paul] 4.0.0-14-gdad2dd344

	* src/plugins/pdf_viewer/poppler_viewer.c		
		fix bug 4511, 'Uses deprecated ghostscript operator'

2021-07-19  [Ricardo Mones] 3.18.0-9-g1dc3676a4

	* src/plugins/clamd/libclamd/clamd-plugin.c		
		Replace last instance of deprecated function bcopy

2021-07-19  [Ricardo Mones] 4.0.0-13-g1080158b6

	* src/plugins/clamd/libclamd/clamd-plugin.c		
		Replace last instance of deprecated function bcopy

2021-07-18  [wwp] 4.0.0-12-gc5bd1f169

	* po/fr.po		
		French translation: unfuzz fuzzy states.

2021-07-18  [wwp] 4.0.0-11-g80dba857b

	* po/fr.po		
		Update French translation.

2021-07-18  [wwp] 3.18.0-8-ge8a7ed285

	* po/fr.po		
		Update French translation.

2021-07-18  [Ricardo Mones] 3.18.0-7-g1ca2a745a

	* src/compose.c
	* src/oauth2.c		
		Move extra space to a place where is needed ^_^

2021-07-18  [Ricardo Mones] 4.0.0-10-ga8683fed0

	* src/compose.c
	* src/oauth2.c		
		Move extra space to a place where is needed ^_^

2021-07-18  [paul] 3.18.0-6-g7b92628aa

	* src/common/log.c
	* src/procmime.c		
		set chmod 0600 on log files, history files, saved parts, etc.

2021-07-18  [paul] 4.0.0-9-ga4710c470

	* src/common/log.c
	* src/procmime.c		
		set chmod 0600 on log files, history files, saved parts, etc.

2021-07-13  [paul] 4.0.0-8-g7519c0093

	* src/addr_compl.c		
		replace deprecated GDK functions

2021-07-12  [paul] 4.0.0-7-gb5cfac00c

	* src/account.c
	* src/common/session.c
	* src/common/socket.c
	* src/common/ssl.c
	* src/editldap.c
	* src/gtk/sslcertwindow.c
	* src/imap.c
	* src/inc.c
	* src/ldapctrl.c
	* src/ldapserver.c
	* src/mainwindow.c
	* src/news.c
	* src/oauth2.c
	* src/plugins/rssyl/rssyl_feed_props.c
	* src/plugins/rssyl/rssyl_prefs.c
	* src/plugins/vcalendar/vcal_prefs.c
	* src/prefs_account.c
	* src/send_message.c
	* src/ssl_manager.c
	* src/wizard.c		
		replace 'SSL/TLS' with 'TLS'

2021-07-12  [paul] 3.18.0-5-gd64c625f5

	* src/oauth2.c
	* src/prefs_account.c		
		fix bug 4495, 'Improve text strings for OAuth2'  based on patch by
		Marcel Pol

2021-07-12  [paul] 4.0.0-6-g037a10503

	* src/oauth2.c
	* src/prefs_account.c		
		fix bug 4495, 'Improve text strings for OAuth2'  based on patch by
		Marcel Pol

2021-07-12  [paul] 3.18.0-4-gcdae53b1c

	* src/plugins/fancy/fancy_viewer.c		
		fix bug 4496 'Fancy crashes when opening an email'  Patch by Jonathan
		Boeing

2021-07-12  [paul] 4.0.0-5-gf459d1c27

	* src/plugins/fancy/fancy_viewer.c		
		fix bug 4496 'Fancy crashes when opening an email'  Patch by Jonathan
		Boeing

2021-07-12  [paul] 3.18.0-3-g4b04819b9

	* src/imap.c		
		move OAuth2 to last place in auto auth selection  IMAP: when using
		'automatic' auth type, if the server offers LOGIN, GSSAPI or
		plaintext in addition to OAUTH2, yet OAUTH2 is unconfigured,
		authentication will fail. This broke previously working config

2021-07-12  [paul] 4.0.0-4-g9c2585c58

	* src/imap.c		
		move OAuth2 to last place in auto auth selection  IMAP: when using
		'automatic' auth type, if the server offers LOGIN, GSSAPI or
		plaintext in addition to OAUTH2, yet OAUTH2 is unconfigured,
		authentication will fail. This broke previously working config

2021-07-11  [wwp] 4.0.0-3-gfae6b35be

	* po/id_ID.po		
		Fix broken PO file.

2021-07-11  [wwp] 4.0.0-2-g9d239e15c

	* src/addrduplicates.c
	* src/addressbook.c
	* src/addrmerge.c
	* src/common/prefs.c
	* src/grouplistdialog.c
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/prefs_msg_colors.c		
		English fixes and enhancements related to translation issues.

2021-07-11  [wwp] 4.0.0-1-g40372fd3f

	* po/bg.po
	* po/ca.po
	* po/cs.po
	* po/da.po
	* po/de.po
	* po/el.po
	* po/el_GR.po
	* po/en_GB.po
	* po/eo.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/he.po
	* po/hu.po
	* po/id_ID.po
	* po/it.po
	* po/ja.po
	* po/ko.po
	* po/lt.po
	* po/nb.po
	* po/nl.po
	* po/pl.po
	* po/pt_BR.po
	* po/pt_PT.po
	* po/ro.po
	* po/ru.po
	* po/sk.po
	* po/sr.po
	* po/sv.po
	* po/tr.po
	* po/uk.po
	* po/zh_CN.po
	* po/zh_TW.po		
		Fix translation issues w/o changing translation status.

2021-07-11  [wwp] 3.18.0-2-g7dd48f57d

	* po/bg.po
	* po/ca.po
	* po/cs.po
	* po/da.po
	* po/de.po
	* po/el.po
	* po/el_GR.po
	* po/en_GB.po
	* po/eo.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/he.po
	* po/hu.po
	* po/id_ID.po
	* po/it.po
	* po/ja.po
	* po/ko.po
	* po/lt.po
	* po/nb.po
	* po/nl.po
	* po/pl.po
	* po/pt_BR.po
	* po/pt_PT.po
	* po/ro.po
	* po/ru.po
	* po/sk.po
	* po/sr.po
	* po/sv.po
	* po/tr.po
	* po/uk.po
	* po/zh_CN.po
	* po/zh_TW.po		
		Fix translation issues w/o changing translation status.

2021-07-11  [wwp] 3.18.0-1-g176c702ac

	* src/addrduplicates.c
	* src/addressbook.c
	* src/addrmerge.c
	* src/common/prefs.c
